[Touch-packages] [Bug 1340250] Re: "#pragma weak" symbol is 0 even when defined

2018-07-24 Thread LocutusOfBorg
gcc u.c -Wl,--no-as-needed -lm; ./a.out; echo $?
0

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1340250

Title:
  "#pragma weak" symbol is 0 even when defined

Status in binutils package in Ubuntu:
  Invalid
Status in gcc-defaults package in Ubuntu:
  Invalid
Status in libidn package in Ubuntu:
  New
Status in libunistring package in Ubuntu:
  New

Bug description:
  This compiler bug is making the gnulib tests dump core; see:

  http://lists.gnu.org/archive/html/bug-gnulib/2014-07/msg00039.html

  Compile and run the following program t.c with the shell commands "gcc
  u.c -lm; ./a.out; echo $?"

  #include 
  #pragma weak tgamma

  int
  main (void)
  {
if (!tgamma)
  return 2;
if (tgamma (1) == 1)
  return 0;
return 1;
  }

  The program will exit with status 2.  It should exit with status 0,
  because the math library does have a tgamma function and the function
  pointer should be non-null.

  I observe this problem with Ubuntu 14.04 x86-64 (GCC Ubuntu
  4.8.2-19ubuntu1), but not on Fedora 20 or on RHEL 6.5.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: gcc 4:4.8.2-1ubuntu6
  ProcVersionSignature: Ubuntu 3.13.0-30.55-generic 3.13.11.2
  Uname: Linux 3.13.0-30-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.2
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Thu Jul 10 07:39:11 2014
  InstallationDate: Installed on 2012-12-21 (566 days ago)
  InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
  SourcePackage: gcc-defaults
  UpgradeStatus: Upgraded to trusty on 2014-04-18 (83 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1340250/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1340250] Re: "#pragma weak" symbol is 0 even when defined

2018-07-24 Thread LocutusOfBorg
Wl,--no-as-needed works, while adding a manual "-lpthread" doesn't,
because the library doesn't get linked to the program. Reason is
probably that weak symbols are not added by the linker

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1340250

Title:
  "#pragma weak" symbol is 0 even when defined

Status in binutils package in Ubuntu:
  Invalid
Status in gcc-defaults package in Ubuntu:
  Invalid
Status in libidn package in Ubuntu:
  New
Status in libunistring package in Ubuntu:
  New

Bug description:
  This compiler bug is making the gnulib tests dump core; see:

  http://lists.gnu.org/archive/html/bug-gnulib/2014-07/msg00039.html

  Compile and run the following program t.c with the shell commands "gcc
  u.c -lm; ./a.out; echo $?"

  #include 
  #pragma weak tgamma

  int
  main (void)
  {
if (!tgamma)
  return 2;
if (tgamma (1) == 1)
  return 0;
return 1;
  }

  The program will exit with status 2.  It should exit with status 0,
  because the math library does have a tgamma function and the function
  pointer should be non-null.

  I observe this problem with Ubuntu 14.04 x86-64 (GCC Ubuntu
  4.8.2-19ubuntu1), but not on Fedora 20 or on RHEL 6.5.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: gcc 4:4.8.2-1ubuntu6
  ProcVersionSignature: Ubuntu 3.13.0-30.55-generic 3.13.11.2
  Uname: Linux 3.13.0-30-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.2
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Thu Jul 10 07:39:11 2014
  InstallationDate: Installed on 2012-12-21 (566 days ago)
  InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
  SourcePackage: gcc-defaults
  UpgradeStatus: Upgraded to trusty on 2014-04-18 (83 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1340250/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1340250] Re: "#pragma weak" symbol is 0 even when defined

2018-07-23 Thread LocutusOfBorg
** Also affects: binutils (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1340250

Title:
  "#pragma weak" symbol is 0 even when defined

Status in binutils package in Ubuntu:
  New
Status in gcc-defaults package in Ubuntu:
  Confirmed
Status in libidn package in Ubuntu:
  New
Status in libunistring package in Ubuntu:
  New

Bug description:
  This compiler bug is making the gnulib tests dump core; see:

  http://lists.gnu.org/archive/html/bug-gnulib/2014-07/msg00039.html

  Compile and run the following program t.c with the shell commands "gcc
  u.c -lm; ./a.out; echo $?"

  #include 
  #pragma weak tgamma

  int
  main (void)
  {
if (!tgamma)
  return 2;
if (tgamma (1) == 1)
  return 0;
return 1;
  }

  The program will exit with status 2.  It should exit with status 0,
  because the math library does have a tgamma function and the function
  pointer should be non-null.

  I observe this problem with Ubuntu 14.04 x86-64 (GCC Ubuntu
  4.8.2-19ubuntu1), but not on Fedora 20 or on RHEL 6.5.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: gcc 4:4.8.2-1ubuntu6
  ProcVersionSignature: Ubuntu 3.13.0-30.55-generic 3.13.11.2
  Uname: Linux 3.13.0-30-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.2
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Thu Jul 10 07:39:11 2014
  InstallationDate: Installed on 2012-12-21 (566 days ago)
  InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
  SourcePackage: gcc-defaults
  UpgradeStatus: Upgraded to trusty on 2014-04-18 (83 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1340250/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1340250] Re: "#pragma weak" symbol is 0 even when defined

2018-07-23 Thread LocutusOfBorg
https://lists.gnu.org/archive/html/bug-gnulib/2014-07/msg00061.html

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libidn in Ubuntu.
https://bugs.launchpad.net/bugs/1340250

Title:
  "#pragma weak" symbol is 0 even when defined

Status in gcc-defaults package in Ubuntu:
  Confirmed
Status in libidn package in Ubuntu:
  New
Status in libunistring package in Ubuntu:
  New

Bug description:
  This compiler bug is making the gnulib tests dump core; see:

  http://lists.gnu.org/archive/html/bug-gnulib/2014-07/msg00039.html

  Compile and run the following program t.c with the shell commands "gcc
  u.c -lm; ./a.out; echo $?"

  #include 
  #pragma weak tgamma

  int
  main (void)
  {
if (!tgamma)
  return 2;
if (tgamma (1) == 1)
  return 0;
return 1;
  }

  The program will exit with status 2.  It should exit with status 0,
  because the math library does have a tgamma function and the function
  pointer should be non-null.

  I observe this problem with Ubuntu 14.04 x86-64 (GCC Ubuntu
  4.8.2-19ubuntu1), but not on Fedora 20 or on RHEL 6.5.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: gcc 4:4.8.2-1ubuntu6
  ProcVersionSignature: Ubuntu 3.13.0-30.55-generic 3.13.11.2
  Uname: Linux 3.13.0-30-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.2
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Thu Jul 10 07:39:11 2014
  InstallationDate: Installed on 2012-12-21 (566 days ago)
  InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
  SourcePackage: gcc-defaults
  UpgradeStatus: Upgraded to trusty on 2014-04-18 (83 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gcc-defaults/+bug/1340250/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1340250] Re: "#pragma weak" symbol is 0 even when defined

2018-07-23 Thread LocutusOfBorg
this seems to be the reason for libunistring and libidn failures

** Changed in: gcc-defaults (Ubuntu)
   Status: New => Confirmed

** Changed in: gcc-defaults (Ubuntu)
   Importance: Undecided => High

** Also affects: libunistring (Ubuntu)
   Importance: Undecided
   Status: New

** Also affects: libidn (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libunistring in Ubuntu.
https://bugs.launchpad.net/bugs/1340250

Title:
  "#pragma weak" symbol is 0 even when defined

Status in gcc-defaults package in Ubuntu:
  Confirmed
Status in libidn package in Ubuntu:
  New
Status in libunistring package in Ubuntu:
  New

Bug description:
  This compiler bug is making the gnulib tests dump core; see:

  http://lists.gnu.org/archive/html/bug-gnulib/2014-07/msg00039.html

  Compile and run the following program t.c with the shell commands "gcc
  u.c -lm; ./a.out; echo $?"

  #include 
  #pragma weak tgamma

  int
  main (void)
  {
if (!tgamma)
  return 2;
if (tgamma (1) == 1)
  return 0;
return 1;
  }

  The program will exit with status 2.  It should exit with status 0,
  because the math library does have a tgamma function and the function
  pointer should be non-null.

  I observe this problem with Ubuntu 14.04 x86-64 (GCC Ubuntu
  4.8.2-19ubuntu1), but not on Fedora 20 or on RHEL 6.5.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: gcc 4:4.8.2-1ubuntu6
  ProcVersionSignature: Ubuntu 3.13.0-30.55-generic 3.13.11.2
  Uname: Linux 3.13.0-30-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.2
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Thu Jul 10 07:39:11 2014
  InstallationDate: Installed on 2012-12-21 (566 days ago)
  InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
  SourcePackage: gcc-defaults
  UpgradeStatus: Upgraded to trusty on 2014-04-18 (83 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gcc-defaults/+bug/1340250/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1778205] Re: Audio playback is choppy in VLC on an Ubuntu 18.04 VM in VirtualBox.

2018-06-26 Thread LocutusOfBorg
** Changed in: pulseaudio (Ubuntu)
   Status: Incomplete => Invalid

** Changed in: virtualbox (Ubuntu)
   Status: Incomplete => Invalid

** Changed in: vlc (Ubuntu)
   Status: Incomplete => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1778205

Title:
  Audio playback is choppy in VLC on an Ubuntu 18.04 VM in VirtualBox.

Status in pulseaudio package in Ubuntu:
  Invalid
Status in virtualbox package in Ubuntu:
  Invalid
Status in vlc package in Ubuntu:
  Invalid

Bug description:
  This ubuntu is in a virtual box in windows 10.I have had no problem wtth vlc 
in lubuntu 18.04 in an oldlaptop as the only os
  Thanks

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: pulseaudio 1:11.1-1ubuntu7.1
  ProcVersionSignature: Ubuntu 4.15.0-23.25-generic 4.15.18
  Uname: Linux 4.15.0-23-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.2
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  gdm1001 F pulseaudio
    teeyen 1363 F pulseaudio
  Date: Fri Jun 22 15:39:28 2018
  InstallationDate: Installed on 2018-05-08 (45 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   LANG=en_IN
   SHELL=/bin/bash
  PulseList:
   Error: command ['pacmd', 'list'] failed with exit code 1: Home directory not 
accessible: Permission denied
   No PulseAudio daemon running, or not running as session daemon.
  SourcePackage: pulseaudio
  Symptom: audio
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 12/01/2006
  dmi.bios.vendor: innotek GmbH
  dmi.bios.version: VirtualBox
  dmi.board.name: VirtualBox
  dmi.board.vendor: Oracle Corporation
  dmi.board.version: 1.2
  dmi.chassis.type: 1
  dmi.chassis.vendor: Oracle Corporation
  dmi.modalias: 
dmi:bvninnotekGmbH:bvrVirtualBox:bd12/01/2006:svninnotekGmbH:pnVirtualBox:pvr1.2:rvnOracleCorporation:rnVirtualBox:rvr1.2:cvnOracleCorporation:ct1:cvr:
  dmi.product.family: Virtual Machine
  dmi.product.name: VirtualBox
  dmi.product.version: 1.2
  dmi.sys.vendor: innotek GmbH

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1778205/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1777476] Re: non-installable in chroots without udev installed due to bad postinst file

2018-06-20 Thread LocutusOfBorg
Selecting previously unselected package rfkill.
(Reading database ... 12129 files and directories currently installed.)
Preparing to unpack rfkill_0.5-1ubuntu3.1_amd64.deb ...
Unpacking rfkill (0.5-1ubuntu3.1) ...
Setting up rfkill (0.5-1ubuntu3.1) ...

I like it!

** Tags removed: verification-needed verification-needed-xenial
** Tags added: verification-done verification-done-xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to rfkill in Ubuntu.
https://bugs.launchpad.net/bugs/1777476

Title:
  non-installable in chroots without udev installed due to bad postinst
  file

Status in rfkill package in Ubuntu:
  Fix Released
Status in rfkill source package in Xenial:
  Fix Committed
Status in rfkill source package in Artful:
  Won't Fix

Bug description:
  [Impact] 
  packages using rfkill in build-dependencies are not installable.

  [Test Case]
  Install rfkill in a chroot without udev installed

  Unpacking rfkill (0.5-1ubuntu3) ...
  Setting up rfkill (0.5-1ubuntu3) ...
  /var/lib/dpkg/info/rfkill.postinst: 5: /var/lib/dpkg/info/rfkill.postinst: 
udevadm: not found
  dpkg: error processing package rfkill (--configure):
   subprocess installed post-installation script returned error exit status 127

  [Regression Potential] 
  * None, udev is already installed in user machines

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/rfkill/+bug/1777476/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1777476] Re: non-installable in chroots without udev installed due to bad postinst file

2018-06-18 Thread LocutusOfBorg
reuploaded with
command -v udevadm >/dev/null && udevadm trigger --subsystem-match=rfkill

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to rfkill in Ubuntu.
https://bugs.launchpad.net/bugs/1777476

Title:
  non-installable in chroots without udev installed due to bad postinst
  file

Status in rfkill package in Ubuntu:
  Fix Released
Status in rfkill source package in Xenial:
  In Progress
Status in rfkill source package in Artful:
  Won't Fix

Bug description:
  [Impact] 
  packages using rfkill in build-dependencies are not installable.

  [Test Case]
  Install rfkill in a chroot without udev installed

  Unpacking rfkill (0.5-1ubuntu3) ...
  Setting up rfkill (0.5-1ubuntu3) ...
  /var/lib/dpkg/info/rfkill.postinst: 5: /var/lib/dpkg/info/rfkill.postinst: 
udevadm: not found
  dpkg: error processing package rfkill (--configure):
   subprocess installed post-installation script returned error exit status 127

  [Regression Potential] 
  * None, udev is already installed in user machines

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/rfkill/+bug/1777476/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1777476] Re: non-installable in chroots without udev installed due to bad postinst file

2018-06-18 Thread LocutusOfBorg
command -v didn't work correctly, lets go for:
if [ -x /sbin/udevadm ]; then
udevadm trigger --subsystem-match=rfkill
fi

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to rfkill in Ubuntu.
https://bugs.launchpad.net/bugs/1777476

Title:
  non-installable in chroots without udev installed due to bad postinst
  file

Status in rfkill package in Ubuntu:
  Fix Released
Status in rfkill source package in Xenial:
  In Progress
Status in rfkill source package in Artful:
  Won't Fix

Bug description:
  [Impact] 
  packages using rfkill in build-dependencies are not installable.

  [Test Case]
  Install rfkill in a chroot without udev installed

  Unpacking rfkill (0.5-1ubuntu3) ...
  Setting up rfkill (0.5-1ubuntu3) ...
  /var/lib/dpkg/info/rfkill.postinst: 5: /var/lib/dpkg/info/rfkill.postinst: 
udevadm: not found
  dpkg: error processing package rfkill (--configure):
   subprocess installed post-installation script returned error exit status 127

  [Regression Potential] 
  * None, udev is already installed in user machines

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/rfkill/+bug/1777476/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1777476] Re: non-installable in chroots without udev installed due to bad postinst file

2018-06-18 Thread LocutusOfBorg
the problem is: it already has a runtime dependency on systemd, why
doesn't it automagically add udev?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to rfkill in Ubuntu.
https://bugs.launchpad.net/bugs/1777476

Title:
  non-installable in chroots without udev installed due to bad postinst
  file

Status in rfkill package in Ubuntu:
  Fix Released
Status in rfkill source package in Xenial:
  In Progress
Status in rfkill source package in Artful:
  Won't Fix

Bug description:
  [Impact] 
  packages using rfkill in build-dependencies are not installable.

  [Test Case]
  Install rfkill in a chroot without udev installed

  Unpacking rfkill (0.5-1ubuntu3) ...
  Setting up rfkill (0.5-1ubuntu3) ...
  /var/lib/dpkg/info/rfkill.postinst: 5: /var/lib/dpkg/info/rfkill.postinst: 
udevadm: not found
  dpkg: error processing package rfkill (--configure):
   subprocess installed post-installation script returned error exit status 127

  [Regression Potential] 
  * None, udev is already installed in user machines

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/rfkill/+bug/1777476/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1777476] Re: non-installable in chroots without udev installed due to bad postinst file

2018-06-18 Thread LocutusOfBorg
also changing the line to:
udevadm trigger --subsystem-match=rfkill || true

fixes the issue, giving a warning during installation

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to rfkill in Ubuntu.
https://bugs.launchpad.net/bugs/1777476

Title:
  non-installable in chroots without udev installed due to bad postinst
  file

Status in rfkill package in Ubuntu:
  Fix Released
Status in rfkill source package in Xenial:
  In Progress
Status in rfkill source package in Artful:
  Won't Fix

Bug description:
  [Impact] 
  packages using rfkill in build-dependencies are not installable.

  [Test Case]
  Install rfkill in a chroot without udev installed

  Unpacking rfkill (0.5-1ubuntu3) ...
  Setting up rfkill (0.5-1ubuntu3) ...
  /var/lib/dpkg/info/rfkill.postinst: 5: /var/lib/dpkg/info/rfkill.postinst: 
udevadm: not found
  dpkg: error processing package rfkill (--configure):
   subprocess installed post-installation script returned error exit status 127

  [Regression Potential] 
  * None, udev is already installed in user machines

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/rfkill/+bug/1777476/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1777476] [NEW] non-installable in chroots without udev installed due to bad postinst file

2018-06-18 Thread LocutusOfBorg
Public bug reported:

[Impact] 
packages using rfkill in build-dependencies are not installable.

[Test Case]
Install rfkill in a chroot without udev installed

Unpacking rfkill (0.5-1ubuntu3) ...
Setting up rfkill (0.5-1ubuntu3) ...
/var/lib/dpkg/info/rfkill.postinst: 5: /var/lib/dpkg/info/rfkill.postinst: 
udevadm: not found
dpkg: error processing package rfkill (--configure):
 subprocess installed post-installation script returned error exit status 127

[Regression Potential] 
* None, udev is already installed in user machines

** Affects: rfkill (Ubuntu)
 Importance: High
 Assignee: LocutusOfBorg (costamagnagianfranco)
 Status: Fix Released

** Affects: rfkill (Ubuntu Xenial)
 Importance: Undecided
 Status: In Progress

** Affects: rfkill (Ubuntu Artful)
 Importance: Undecided
 Status: Won't Fix

** Changed in: rfkill (Ubuntu)
   Status: New => Fix Released

** Changed in: rfkill (Ubuntu)
   Importance: Undecided => High

** Changed in: rfkill (Ubuntu)
 Assignee: (unassigned) => LocutusOfBorg (costamagnagianfranco)

** Also affects: rfkill (Ubuntu Xenial)
   Importance: Undecided
   Status: New

** Also affects: rfkill (Ubuntu Artful)
   Importance: Undecided
   Status: New

** Changed in: rfkill (Ubuntu Artful)
   Status: New => Won't Fix

** Changed in: rfkill (Ubuntu Xenial)
   Status: New => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to rfkill in Ubuntu.
https://bugs.launchpad.net/bugs/1777476

Title:
  non-installable in chroots without udev installed due to bad postinst
  file

Status in rfkill package in Ubuntu:
  Fix Released
Status in rfkill source package in Xenial:
  In Progress
Status in rfkill source package in Artful:
  Won't Fix

Bug description:
  [Impact] 
  packages using rfkill in build-dependencies are not installable.

  [Test Case]
  Install rfkill in a chroot without udev installed

  Unpacking rfkill (0.5-1ubuntu3) ...
  Setting up rfkill (0.5-1ubuntu3) ...
  /var/lib/dpkg/info/rfkill.postinst: 5: /var/lib/dpkg/info/rfkill.postinst: 
udevadm: not found
  dpkg: error processing package rfkill (--configure):
   subprocess installed post-installation script returned error exit status 127

  [Regression Potential] 
  * None, udev is already installed in user machines

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/rfkill/+bug/1777476/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1777476] Re: non-installable in chroots without udev installed due to bad postinst file

2018-06-18 Thread LocutusOfBorg
Artful is mostly EOL
Package is removed in Bionic. I consider enough fixing Xenial only

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to rfkill in Ubuntu.
https://bugs.launchpad.net/bugs/1777476

Title:
  non-installable in chroots without udev installed due to bad postinst
  file

Status in rfkill package in Ubuntu:
  Fix Released
Status in rfkill source package in Xenial:
  In Progress
Status in rfkill source package in Artful:
  Won't Fix

Bug description:
  [Impact] 
  packages using rfkill in build-dependencies are not installable.

  [Test Case]
  Install rfkill in a chroot without udev installed

  Unpacking rfkill (0.5-1ubuntu3) ...
  Setting up rfkill (0.5-1ubuntu3) ...
  /var/lib/dpkg/info/rfkill.postinst: 5: /var/lib/dpkg/info/rfkill.postinst: 
udevadm: not found
  dpkg: error processing package rfkill (--configure):
   subprocess installed post-installation script returned error exit status 127

  [Regression Potential] 
  * None, udev is already installed in user machines

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/rfkill/+bug/1777476/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1757470] Re: apport autopkgtests broken (valgrind error) toolchain regression?

2018-03-22 Thread LocutusOfBorg
I retried and the succeeded, closing

** Changed in: apport (Ubuntu)
   Status: Incomplete => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1757470

Title:
  apport autopkgtests broken (valgrind error) toolchain regression?

Status in apport package in Ubuntu:
  Invalid

Bug description:
  --- Testing apport_valgrind ---
  test_help_display (__main__.T)
  help display ... ok
  test_intentional_mem_leak_detection (__main__.T)
  apport-valgrind log reports intentional memory leak ... ok
  test_invalid_args (__main__.T)
  return code is not 0 when invalid args are passed ... ok
  test_sandbox_cache_options (__main__.T)
  apport-valgrind creates a user specified sandbox and cache ... WARNING: 
/lib/x86_64-linux-gnu/libc.so.6 is needed, but cannot be mapped to a package
  ERROR: Cannot find package which ships ExecutablePath /bin/true

  Interrupted while creating sandbox
  ERROR
  test_unpackaged_exe (__main__.T)
  apport-valgrind creates valgrind log on unpackaged executable ... 
/tmp/autopkgtest.aOT0xm/autopkgtest_tmp/apport-tests
  ok
  test_valgrind_min_installed (__main__.T)
  valgrind is installed and recent enough ... ok
  test_vlog_created (__main__.T)
  apport-valgrind creates valgrind.log with expected content ... ok

  ==
  ERROR: test_sandbox_cache_options (__main__.T)
  apport-valgrind creates a user specified sandbox and cache
  --
  Traceback (most recent call last):
File "./test_apport_valgrind.py", line 143, in test_sandbox_cache_options
  subprocess.check_call(cmd)
File "/usr/lib/python3.6/subprocess.py", line 291, in check_call
  raise CalledProcessError(retcode, cmd)
  subprocess.CalledProcessError: Command '['apport-valgrind', '--sandbox-dir', 
'/tmp/tmpbvxep0y2/test-sandbox', '--cache', '/tmp/tmpbvxep0y2/test-cache', 
'true']' returned non-zero exit status 1.

  --
  Ran 7 tests in 30.319s

  FAILED (errors=1)
  --- Testing backend_apt_dpkg ---

  the regression seems to indicate a coreutils installation issue
  apport-valgrind creates a user specified sandbox and cache ... Installing 
extra package coreutils to get ExecutablePath
  Sandbox directory: /tmp/tmpoytew5vn/test-sandbox
  Cache directory: /tmp/tmpoytew5vn/test-cache
  ok

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1757470/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1757470] Re: apport autopkgtests broken (valgrind error) toolchain regression?

2018-03-22 Thread LocutusOfBorg
I see the latest apport test ran successfully, maybe the bug solved by
unrelated changes, lets auto-close this bug in 59 days unless it happens
again (I retried the failed tests a few seconds ago)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1757470

Title:
  apport autopkgtests broken (valgrind error) toolchain regression?

Status in apport package in Ubuntu:
  Incomplete

Bug description:
  --- Testing apport_valgrind ---
  test_help_display (__main__.T)
  help display ... ok
  test_intentional_mem_leak_detection (__main__.T)
  apport-valgrind log reports intentional memory leak ... ok
  test_invalid_args (__main__.T)
  return code is not 0 when invalid args are passed ... ok
  test_sandbox_cache_options (__main__.T)
  apport-valgrind creates a user specified sandbox and cache ... WARNING: 
/lib/x86_64-linux-gnu/libc.so.6 is needed, but cannot be mapped to a package
  ERROR: Cannot find package which ships ExecutablePath /bin/true

  Interrupted while creating sandbox
  ERROR
  test_unpackaged_exe (__main__.T)
  apport-valgrind creates valgrind log on unpackaged executable ... 
/tmp/autopkgtest.aOT0xm/autopkgtest_tmp/apport-tests
  ok
  test_valgrind_min_installed (__main__.T)
  valgrind is installed and recent enough ... ok
  test_vlog_created (__main__.T)
  apport-valgrind creates valgrind.log with expected content ... ok

  ==
  ERROR: test_sandbox_cache_options (__main__.T)
  apport-valgrind creates a user specified sandbox and cache
  --
  Traceback (most recent call last):
File "./test_apport_valgrind.py", line 143, in test_sandbox_cache_options
  subprocess.check_call(cmd)
File "/usr/lib/python3.6/subprocess.py", line 291, in check_call
  raise CalledProcessError(retcode, cmd)
  subprocess.CalledProcessError: Command '['apport-valgrind', '--sandbox-dir', 
'/tmp/tmpbvxep0y2/test-sandbox', '--cache', '/tmp/tmpbvxep0y2/test-cache', 
'true']' returned non-zero exit status 1.

  --
  Ran 7 tests in 30.319s

  FAILED (errors=1)
  --- Testing backend_apt_dpkg ---

  the regression seems to indicate a coreutils installation issue
  apport-valgrind creates a user specified sandbox and cache ... Installing 
extra package coreutils to get ExecutablePath
  Sandbox directory: /tmp/tmpoytew5vn/test-sandbox
  Cache directory: /tmp/tmpoytew5vn/test-cache
  ok

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1757470/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1757470] Re: apport autopkgtests broken (valgrind error) LXC regression?

2018-03-21 Thread LocutusOfBorg
** No longer affects: lxc (Ubuntu)

** Summary changed:

- apport autopkgtests broken (valgrind error) LXC regression?
+ apport autopkgtests broken (valgrind error) toolchain regression?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1757470

Title:
  apport autopkgtests broken (valgrind error) toolchain regression?

Status in apport package in Ubuntu:
  New

Bug description:
  --- Testing apport_valgrind ---
  test_help_display (__main__.T)
  help display ... ok
  test_intentional_mem_leak_detection (__main__.T)
  apport-valgrind log reports intentional memory leak ... ok
  test_invalid_args (__main__.T)
  return code is not 0 when invalid args are passed ... ok
  test_sandbox_cache_options (__main__.T)
  apport-valgrind creates a user specified sandbox and cache ... WARNING: 
/lib/x86_64-linux-gnu/libc.so.6 is needed, but cannot be mapped to a package
  ERROR: Cannot find package which ships ExecutablePath /bin/true

  Interrupted while creating sandbox
  ERROR
  test_unpackaged_exe (__main__.T)
  apport-valgrind creates valgrind log on unpackaged executable ... 
/tmp/autopkgtest.aOT0xm/autopkgtest_tmp/apport-tests
  ok
  test_valgrind_min_installed (__main__.T)
  valgrind is installed and recent enough ... ok
  test_vlog_created (__main__.T)
  apport-valgrind creates valgrind.log with expected content ... ok

  ==
  ERROR: test_sandbox_cache_options (__main__.T)
  apport-valgrind creates a user specified sandbox and cache
  --
  Traceback (most recent call last):
File "./test_apport_valgrind.py", line 143, in test_sandbox_cache_options
  subprocess.check_call(cmd)
File "/usr/lib/python3.6/subprocess.py", line 291, in check_call
  raise CalledProcessError(retcode, cmd)
  subprocess.CalledProcessError: Command '['apport-valgrind', '--sandbox-dir', 
'/tmp/tmpbvxep0y2/test-sandbox', '--cache', '/tmp/tmpbvxep0y2/test-cache', 
'true']' returned non-zero exit status 1.

  --
  Ran 7 tests in 30.319s

  FAILED (errors=1)
  --- Testing backend_apt_dpkg ---

  the regression seems to indicate a coreutils installation issue
  apport-valgrind creates a user specified sandbox and cache ... Installing 
extra package coreutils to get ExecutablePath
  Sandbox directory: /tmp/tmpoytew5vn/test-sandbox
  Cache directory: /tmp/tmpoytew5vn/test-cache
  ok

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1757470/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1757470] Re: apport autopkgtests broken (valgrind error) LXC regression?

2018-03-21 Thread LocutusOfBorg
Timing and artifacts indicates an lxc regression:

liblxc-common   3.0.0~beta2-0ubuntu2 BAD
liblxc-common   3.0.0~beta1-0ubuntu3 GOOD

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1757470

Title:
  apport autopkgtests broken (valgrind error) LXC regression?

Status in apport package in Ubuntu:
  New
Status in lxc package in Ubuntu:
  New

Bug description:
  --- Testing apport_valgrind ---
  test_help_display (__main__.T)
  help display ... ok
  test_intentional_mem_leak_detection (__main__.T)
  apport-valgrind log reports intentional memory leak ... ok
  test_invalid_args (__main__.T)
  return code is not 0 when invalid args are passed ... ok
  test_sandbox_cache_options (__main__.T)
  apport-valgrind creates a user specified sandbox and cache ... WARNING: 
/lib/x86_64-linux-gnu/libc.so.6 is needed, but cannot be mapped to a package
  ERROR: Cannot find package which ships ExecutablePath /bin/true

  Interrupted while creating sandbox
  ERROR
  test_unpackaged_exe (__main__.T)
  apport-valgrind creates valgrind log on unpackaged executable ... 
/tmp/autopkgtest.aOT0xm/autopkgtest_tmp/apport-tests
  ok
  test_valgrind_min_installed (__main__.T)
  valgrind is installed and recent enough ... ok
  test_vlog_created (__main__.T)
  apport-valgrind creates valgrind.log with expected content ... ok

  ==
  ERROR: test_sandbox_cache_options (__main__.T)
  apport-valgrind creates a user specified sandbox and cache
  --
  Traceback (most recent call last):
File "./test_apport_valgrind.py", line 143, in test_sandbox_cache_options
  subprocess.check_call(cmd)
File "/usr/lib/python3.6/subprocess.py", line 291, in check_call
  raise CalledProcessError(retcode, cmd)
  subprocess.CalledProcessError: Command '['apport-valgrind', '--sandbox-dir', 
'/tmp/tmpbvxep0y2/test-sandbox', '--cache', '/tmp/tmpbvxep0y2/test-cache', 
'true']' returned non-zero exit status 1.

  --
  Ran 7 tests in 30.319s

  FAILED (errors=1)
  --- Testing backend_apt_dpkg ---

  the regression seems to indicate a coreutils installation issue
  apport-valgrind creates a user specified sandbox and cache ... Installing 
extra package coreutils to get ExecutablePath
  Sandbox directory: /tmp/tmpoytew5vn/test-sandbox
  Cache directory: /tmp/tmpoytew5vn/test-cache
  ok

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1757470/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1757470] [NEW] apport autopkgtests broken (valgrind error) LXC regression?

2018-03-21 Thread LocutusOfBorg
Public bug reported:

--- Testing apport_valgrind ---
test_help_display (__main__.T)
help display ... ok
test_intentional_mem_leak_detection (__main__.T)
apport-valgrind log reports intentional memory leak ... ok
test_invalid_args (__main__.T)
return code is not 0 when invalid args are passed ... ok
test_sandbox_cache_options (__main__.T)
apport-valgrind creates a user specified sandbox and cache ... WARNING: 
/lib/x86_64-linux-gnu/libc.so.6 is needed, but cannot be mapped to a package
ERROR: Cannot find package which ships ExecutablePath /bin/true

Interrupted while creating sandbox
ERROR
test_unpackaged_exe (__main__.T)
apport-valgrind creates valgrind log on unpackaged executable ... 
/tmp/autopkgtest.aOT0xm/autopkgtest_tmp/apport-tests
ok
test_valgrind_min_installed (__main__.T)
valgrind is installed and recent enough ... ok
test_vlog_created (__main__.T)
apport-valgrind creates valgrind.log with expected content ... ok

==
ERROR: test_sandbox_cache_options (__main__.T)
apport-valgrind creates a user specified sandbox and cache
--
Traceback (most recent call last):
  File "./test_apport_valgrind.py", line 143, in test_sandbox_cache_options
subprocess.check_call(cmd)
  File "/usr/lib/python3.6/subprocess.py", line 291, in check_call
raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['apport-valgrind', '--sandbox-dir', 
'/tmp/tmpbvxep0y2/test-sandbox', '--cache', '/tmp/tmpbvxep0y2/test-cache', 
'true']' returned non-zero exit status 1.

--
Ran 7 tests in 30.319s

FAILED (errors=1)
--- Testing backend_apt_dpkg ---

the regression seems to indicate a coreutils installation issue
apport-valgrind creates a user specified sandbox and cache ... Installing extra 
package coreutils to get ExecutablePath
Sandbox directory: /tmp/tmpoytew5vn/test-sandbox
Cache directory: /tmp/tmpoytew5vn/test-cache
ok

** Affects: apport (Ubuntu)
 Importance: Undecided
 Status: New

** Affects: lxc (Ubuntu)
 Importance: Undecided
 Status: New

** Also affects: lxc (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1757470

Title:
  apport autopkgtests broken (valgrind error) LXC regression?

Status in apport package in Ubuntu:
  New
Status in lxc package in Ubuntu:
  New

Bug description:
  --- Testing apport_valgrind ---
  test_help_display (__main__.T)
  help display ... ok
  test_intentional_mem_leak_detection (__main__.T)
  apport-valgrind log reports intentional memory leak ... ok
  test_invalid_args (__main__.T)
  return code is not 0 when invalid args are passed ... ok
  test_sandbox_cache_options (__main__.T)
  apport-valgrind creates a user specified sandbox and cache ... WARNING: 
/lib/x86_64-linux-gnu/libc.so.6 is needed, but cannot be mapped to a package
  ERROR: Cannot find package which ships ExecutablePath /bin/true

  Interrupted while creating sandbox
  ERROR
  test_unpackaged_exe (__main__.T)
  apport-valgrind creates valgrind log on unpackaged executable ... 
/tmp/autopkgtest.aOT0xm/autopkgtest_tmp/apport-tests
  ok
  test_valgrind_min_installed (__main__.T)
  valgrind is installed and recent enough ... ok
  test_vlog_created (__main__.T)
  apport-valgrind creates valgrind.log with expected content ... ok

  ==
  ERROR: test_sandbox_cache_options (__main__.T)
  apport-valgrind creates a user specified sandbox and cache
  --
  Traceback (most recent call last):
File "./test_apport_valgrind.py", line 143, in test_sandbox_cache_options
  subprocess.check_call(cmd)
File "/usr/lib/python3.6/subprocess.py", line 291, in check_call
  raise CalledProcessError(retcode, cmd)
  subprocess.CalledProcessError: Command '['apport-valgrind', '--sandbox-dir', 
'/tmp/tmpbvxep0y2/test-sandbox', '--cache', '/tmp/tmpbvxep0y2/test-cache', 
'true']' returned non-zero exit status 1.

  --
  Ran 7 tests in 30.319s

  FAILED (errors=1)
  --- Testing backend_apt_dpkg ---

  the regression seems to indicate a coreutils installation issue
  apport-valgrind creates a user specified sandbox and cache ... Installing 
extra package coreutils to get ExecutablePath
  Sandbox directory: /tmp/tmpoytew5vn/test-sandbox
  Cache directory: /tmp/tmpoytew5vn/test-cache
  ok

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1757470/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net

[Touch-packages] [Bug 1572244] Re: Kubuntu requires that the WiFi password be entered twice before WiFi can be used

2018-03-21 Thread LocutusOfBorg
** Changed in: casper (Ubuntu Bionic)
 Assignee: LocutusOfBorg (costamagnagianfranco) => Rik Mills (rikmills)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1572244

Title:
  Kubuntu requires that the WiFi password be entered twice before WiFi
  can be used

Status in casper package in Ubuntu:
  Fix Committed
Status in network-manager package in Ubuntu:
  Fix Released
Status in plasma-nm package in Ubuntu:
  Invalid
Status in casper source package in Bionic:
  Fix Committed
Status in network-manager source package in Bionic:
  Fix Released
Status in plasma-nm source package in Bionic:
  Invalid

Bug description:
  Kubuntu 16.04 ISO number 20160417.1 Xenial Final
  Bug reported against network-manager 
  Every time I tried the live Kubuntu 16.04 image on a Lenovo t420 laptop it 
requires to enter the wifi password twice before I can use the wifi. Once from 
the network icon panel, then second time a prompt on the desktop to enter the 
wifi password.

  I do not know if this is typical behavior of Kubuntu since I usually use GTK 
base desktops.
  I guess network-manager is the right package to file this report against.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: network-manager 1.1.93-0ubuntu4
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  CasperVersion: 1.373
  CurrentDesktop: KDE
  Date: Tue Apr 19 16:48:02 2016
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  IpRoute:
   default via 192.168.77.1 dev wlp3s0  proto static  metric 600 
   169.254.0.0/16 dev wlp3s0  scope link  metric 1000 
   192.168.77.0/24 dev wlp3s0  proto kernel  scope link  src 192.168.77.128  
metric 600
  LiveMediaBuild: Kubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160417.1)
  NetworkManager.state:
   [main]
   NetworkingEnabled=true
   WirelessEnabled=true
   WWANEnabled=true
  SourcePackage: network-manager
  UpgradeStatus: No upgrade log present (probably fresh install)
  nmcli-con:
   NAMEUUID  TYPE 
TIMESTAMP   TIMESTAMP-REAL   AUTOCONNECT  AUTOCONNECT-PRIORITY  
READONLY  DBUS-PATH   ACTIVE  DEVICE  STATE 
 ACTIVE-PATH
   KNOPPIX adfb3f1c-39c2-4410-b1dc-ca553326da52  802-11-wireless  
1461084315  Tue 19 Apr 2016 04:45:15 PM UTC  yes  0 
no/org/freedesktop/NetworkManager/Settings/1  yes wlp3s0  activated 
 /org/freedesktop/NetworkManager/ActiveConnection/3 
   Wired connection 1  4957fbd0-8ffa-4de8-aa18-275e6dfdcd9e  802-3-ethernet   
1461077415  Tue 19 Apr 2016 02:50:15 PM UTC  yes  4294966297
no/org/freedesktop/NetworkManager/Settings/0  no  --  --
 --
  nmcli-dev:
   DEVICE   TYPE  STATEDBUS-PATH  
CONNECTION  CON-UUID  CON-PATH  
 
   wlp3s0   wifi  connected/org/freedesktop/NetworkManager/Devices/0  
KNOPPIX adfb3f1c-39c2-4410-b1dc-ca553326da52  
/org/freedesktop/NetworkManager/ActiveConnection/3 
   enp0s25  ethernet  unavailable  /org/freedesktop/NetworkManager/Devices/1  
--  ----
 
   lo   loopback  unmanaged/org/freedesktop/NetworkManager/Devices/2  
--  ----
  nmcli-nm: Error: command ['nmcli', '-f', 'all', 'nm'] failed with exit code 
2: Error: Object 'nm' is unknown, try 'nmcli help'.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/casper/+bug/1572244/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1572244] Re: Kubuntu requires that the WiFi password be entered twice before WiFi can be used

2018-03-21 Thread LocutusOfBorg
** Changed in: casper (Ubuntu Bionic)
   Status: Confirmed => Fix Committed

** Changed in: casper (Ubuntu Bionic)
 Assignee: (unassigned) => LocutusOfBorg (costamagnagianfranco)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1572244

Title:
  Kubuntu requires that the WiFi password be entered twice before WiFi
  can be used

Status in casper package in Ubuntu:
  Fix Committed
Status in network-manager package in Ubuntu:
  Fix Released
Status in plasma-nm package in Ubuntu:
  Invalid
Status in casper source package in Bionic:
  Fix Committed
Status in network-manager source package in Bionic:
  Fix Released
Status in plasma-nm source package in Bionic:
  Invalid

Bug description:
  Kubuntu 16.04 ISO number 20160417.1 Xenial Final
  Bug reported against network-manager 
  Every time I tried the live Kubuntu 16.04 image on a Lenovo t420 laptop it 
requires to enter the wifi password twice before I can use the wifi. Once from 
the network icon panel, then second time a prompt on the desktop to enter the 
wifi password.

  I do not know if this is typical behavior of Kubuntu since I usually use GTK 
base desktops.
  I guess network-manager is the right package to file this report against.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: network-manager 1.1.93-0ubuntu4
  ProcVersionSignature: Ubuntu 4.4.0-18.34-generic 4.4.6
  Uname: Linux 4.4.0-18-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  CasperVersion: 1.373
  CurrentDesktop: KDE
  Date: Tue Apr 19 16:48:02 2016
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  IpRoute:
   default via 192.168.77.1 dev wlp3s0  proto static  metric 600 
   169.254.0.0/16 dev wlp3s0  scope link  metric 1000 
   192.168.77.0/24 dev wlp3s0  proto kernel  scope link  src 192.168.77.128  
metric 600
  LiveMediaBuild: Kubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160417.1)
  NetworkManager.state:
   [main]
   NetworkingEnabled=true
   WirelessEnabled=true
   WWANEnabled=true
  SourcePackage: network-manager
  UpgradeStatus: No upgrade log present (probably fresh install)
  nmcli-con:
   NAMEUUID  TYPE 
TIMESTAMP   TIMESTAMP-REAL   AUTOCONNECT  AUTOCONNECT-PRIORITY  
READONLY  DBUS-PATH   ACTIVE  DEVICE  STATE 
 ACTIVE-PATH
   KNOPPIX adfb3f1c-39c2-4410-b1dc-ca553326da52  802-11-wireless  
1461084315  Tue 19 Apr 2016 04:45:15 PM UTC  yes  0 
no/org/freedesktop/NetworkManager/Settings/1  yes wlp3s0  activated 
 /org/freedesktop/NetworkManager/ActiveConnection/3 
   Wired connection 1  4957fbd0-8ffa-4de8-aa18-275e6dfdcd9e  802-3-ethernet   
1461077415  Tue 19 Apr 2016 02:50:15 PM UTC  yes  4294966297
no/org/freedesktop/NetworkManager/Settings/0  no  --  --
 --
  nmcli-dev:
   DEVICE   TYPE  STATEDBUS-PATH  
CONNECTION  CON-UUID  CON-PATH  
 
   wlp3s0   wifi  connected/org/freedesktop/NetworkManager/Devices/0  
KNOPPIX adfb3f1c-39c2-4410-b1dc-ca553326da52  
/org/freedesktop/NetworkManager/ActiveConnection/3 
   enp0s25  ethernet  unavailable  /org/freedesktop/NetworkManager/Devices/1  
--  ----
 
   lo   loopback  unmanaged/org/freedesktop/NetworkManager/Devices/2  
--  ----
  nmcli-nm: Error: command ['nmcli', '-f', 'all', 'nm'] failed with exit code 
2: Error: Object 'nm' is unknown, try 'nmcli help'.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/casper/+bug/1572244/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1626248] Re: libunistring0 has not been updated since 2010

2018-02-13 Thread LocutusOfBorg
We are preparing the transition on 
https://launchpad.net/~ci-train-ppa-service/+archive/ubuntu/3141/+packages

We will publish it in some days

** Changed in: libunistring (Ubuntu)
   Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libunistring in Ubuntu.
https://bugs.launchpad.net/bugs/1626248

Title:
  libunistring0 has not been updated since 2010

Status in libunistring package in Ubuntu:
  Fix Released

Bug description:
  Libunistring is updated by FSF for every new version of Unicode. The
  current version of libunistring is 0.9.6 and has support for unicode
  version 9. The version shipped with Ubuntu is 0.9.3 which supports
  Unicode 7. Since the lib was last updated Unicode has added more than
  14,000 new code points which includes emoji support. Because of the
  number of Ubuntu packages that depend on libunistring I believe that
  it should be updated every time a new version is released, which is
  usually yearly following the release schedule of Unicode versions.

  Libunistring in Ubuntu has not been updated since 2010.

  Thank You for Ubuntu.

  Bob Pendleton

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: libunistring0 0.9.3-5.2ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-38.57-generic 4.4.19
  Uname: Linux 4.4.0-38-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia_modeset nvidia
  ApportVersion: 2.20.1-0ubuntu2.1
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Wed Sep 21 14:35:34 2016
  Dependencies:
   gcc-6-base 6.0.1-0ubuntu1
   libc6 2.23-0ubuntu3
   libgcc1 1:6.0.1-0ubuntu1
   multiarch-support 2.23-0ubuntu3
  InstallationDate: Installed on 2015-01-16 (613 days ago)
  InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 
(20140722.2)
  ProcEnviron:
   LANGUAGE=en_US
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: libunistring
  UpgradeStatus: Upgraded to xenial on 2016-05-19 (124 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libunistring/+bug/1626248/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1443853] Re: Ubuntu boot in Oracle VirtualBox ends up with a corrupted display

2017-12-12 Thread LocutusOfBorg
Since now we use wayland, lets wait for an eventual new bug report :

** Changed in: virtualbox (Ubuntu)
   Status: Triaged => Fix Released

** Changed in: console-setup (Ubuntu)
   Status: Triaged => Invalid

** Changed in: kbd (Ubuntu)
   Status: Triaged => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to kbd in Ubuntu.
https://bugs.launchpad.net/bugs/1443853

Title:
  Ubuntu boot in Oracle VirtualBox ends up with a corrupted display

Status in Virtualbox:
  Invalid
Status in console-setup package in Ubuntu:
  Invalid
Status in kbd package in Ubuntu:
  Invalid
Status in virtualbox package in Ubuntu:
  Fix Released

Bug description:
  (Content copied from "Ubuntu 14.10 ISO live boot ends up with a
  corrupted display" #13615 VirtualBox bug ticket, by piotrjurkiewicz)

  Booting up live session of Ubuntu MATE 14.10 and Ubuntu Gnome 14.10 from ISO 
ends up with a corrupted screen. See the screenshot:
  https://launchpadlibrarian.net/186864347/ubu.png

  Switching back and forth to the tty7 (ctrl+alt+F1 and then alt+F7)
  fixes the display.

  I think that this might be a problem with resolution setting:

  ```
  00:00:31.226379 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM= w=1152 h=400 bpp=0 cbLine=0x0, flags=0x1
  00:00:31.226399 UIFrameBuffer::RequestResize: Screen=0, Format=0, 
BitsPerPixel=0, BytesPerLine=0, Size=1152x400, Sending to async-handler..
  00:00:31.226457 UIFrameBufferQImage::resizeEvent: Format=0, BitsPerPixel=0, 
BytesPerLine=0, Size=1152x400
  00:00:31.226467 UIFrameBufferQImage::resizeEvent: Resizing to FALLBACK buffer 
due to format is invalid..
  ```

  After switching back and forth to the tty7 (what fixes the display)
  the log says:

  ```
  00:00:31.226379 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM= w=1152 h=400 bpp=0 cbLine=0x0, flags=0x1
  00:00:31.226399 UIFrameBuffer::RequestResize: Screen=0, Format=0, 
BitsPerPixel=0, BytesPerLine=0, Size=1152x400, Sending to async-handler..
  00:00:31.226457 UIFrameBufferQImage::resizeEvent: Format=0, BitsPerPixel=0, 
BytesPerLine=0, Size=1152x400
  00:00:31.226467 UIFrameBufferQImage::resizeEvent: Resizing to FALLBACK buffer 
due to format is invalid..
  00:01:37.584616 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM= w=720 h=400 bpp=0 cbLine=0x0, flags=0x1
  00:01:37.584634 UIFrameBuffer::RequestResize: Screen=0, Format=0, 
BitsPerPixel=0, BytesPerLine=0, Size=720x400, Sending to async-handler..
  00:01:37.584680 UIFrameBufferQImage::resizeEvent: Format=0, BitsPerPixel=0, 
BytesPerLine=0, Size=720x400
  00:01:37.584692 UIFrameBufferQImage::resizeEvent: Resizing to FALLBACK buffer 
due to format is invalid..
  00:01:39.055475 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM=0a7f w=1024 h=768 bpp=32 cbLine=0x1000, flags=0x1
  00:01:39.055495 UIFrameBuffer::RequestResize: Screen=0, Format=843204434, 
BitsPerPixel=32, BytesPerLine=4096, Size=1024x768, Sending to async-handler..
  00:01:39.09 UIFrameBufferQImage::resizeEvent: Format=843204434, 
BitsPerPixel=32, BytesPerLine=4096, Size=1024x768
  00:01:39.055568 UIFrameBufferQImage::resizeEvent: Resizing to directly use 
VGA device content..
  ```

  I have tested 4.3.18 and also the testbuild 4.3.19 r96825, it happens
  on both of them.

  You can download the ISO images of these two systems here:

   https://ubuntu-mate.r.worldssl.net/download/ubuntu-mate-14.10
  -desktop-amd64.iso

   http://cdimage.ubuntu.com/ubuntu-gnome/releases/14.10/release/ubuntu-
  gnome-14.10-desktop-amd64.iso

To manage notifications about this bug go to:
https://bugs.launchpad.net/virtualbox/+bug/1443853/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1725333] Re: do-release-upgrade broke WSL

2017-12-08 Thread LocutusOfBorg
Please set as fix released only with a fix somewhere, I can't see how
and who fixed it

** Changed in: bash (Ubuntu)
   Status: Fix Released => New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bash in Ubuntu.
https://bugs.launchpad.net/bugs/1725333

Title:
  do-release-upgrade broke WSL

Status in Gnu Bash:
  New
Status in bash package in Ubuntu:
  New

Bug description:
  I had Ubuntu 17.04 installed in WSL and decided to upgrade it to
  17.10, so I had run do-release-upgrade, as I did before to upgrade to
  17.04. Everything was fine before script started upgrading packages.
  It's started from bash updating, and somehow there is a problem
  revealed that locale files is missing, and locale-gen can't be run
  (because of bug in WSL). I've tried to install language-pack-en as was
  suggested, but problem haven't resolved, any attempt to update leads
  to this error.

  ProblemType: Package
  DistroRelease: Ubuntu 17.10
  Package: bash 4.4-2ubuntu1.1
  ProcVersionSignature: Microsoft 4.4.0-43-Microsoft 4.4.35
  Uname: Linux 4.4.0-43-Microsoft x86_64
  ApportVersion: 2.20.4-0ubuntu4.5
  Architecture: amd64
  Date: Fri Oct 20 18:03:30 2017
  Dmesg:
   
  DpkgTerminalLog:
   Preparing to unpack .../bash_4.4-5ubuntu1_amd64.deb ...
   preinst: ../sysdeps/unix/sysv/linux/spawni.c:368: __spawnix: Assertion `ec 
>= 0' failed.
   dpkg: error processing archive 
/var/cache/apt/archives/bash_4.4-5ubuntu1_amd64.deb (--unpack):
subprocess new pre-installation script was killed by signal (Aborted), core 
dumped
  DuplicateSignature:
   package:bash:4.4-2ubuntu1.1
   Preparing to unpack .../bash_4.4-5ubuntu1_amd64.deb ...
   preinst: ../sysdeps/unix/sysv/linux/spawni.c:368: __spawnix: Assertion `ec 
>= 0' failed.
   dpkg: error processing archive 
/var/cache/apt/archives/bash_4.4-5ubuntu1_amd64.deb (--unpack):
subprocess new pre-installation script was killed by signal (Aborted), core 
dumped
  ErrorMessage: subprocess new pre-installation script was killed by signal 
(Aborted), core dumped
  RelatedPackageVersions:
   dpkg 1.18.10ubuntu2
   apt  1.4.6~17.04.1
  SourcePackage: bash
  Title: package bash 4.4-2ubuntu1.1 failed to install/upgrade: subprocess new 
pre-installation script was killed by signal (Aborted), core dumped
  UpgradeStatus: Upgraded to artful on 2017-10-20 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnubash/+bug/1725333/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1724810] Re: 17.10/wayland causing flashes in virtualbox

2017-10-31 Thread LocutusOfBorg
** Also affects: wayland via
   https://bugzilla.gnome.org/show_bug.cgi?id=788908
   Importance: Unknown
   Status: Unknown

** Also affects: gnome-shell (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to wayland in Ubuntu.
https://bugs.launchpad.net/bugs/1724810

Title:
  17.10/wayland causing flashes in virtualbox

Status in GNOME Shell:
  Unknown
Status in gnome-shell package in Ubuntu:
  New
Status in virtualbox package in Ubuntu:
  Confirmed

Bug description:
  Hi,

  just as a quick response:

  I've installed the new 17.10 Desktop for testing in a virtual machine
  (VirtualBox 5.1.20 running on MacOS), and while it installed smoothly
  and booted instantly, there's a problem with the graphics (probably
  related to wayland): Especially when moving the mouse or starting new
  programs the screen flashes white every few seconds or sometimes shows
  just a blank grey screen for about a second. Not suited for regular
  work.

  But I have no clue which component precisely is causing that problem.

  regards

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-shell/+bug/1724810/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1724810] Re: 17.10/wayland causing flashes in virtualbox

2017-10-31 Thread LocutusOfBorg
Yep, we got the same issue, not sure what wayland is doing, but probably
this is the issue (quoting upstream)

fun: Wayland crashes if you open and close a laptop lid too fast.  This is 
apparently not a bug but a design error in the protocol.
And it has been causing me endless fun over the past week.
https://phabricator.freedesktop.org/T7722
And likely to play havoc with VirtualBox dynamic resizing:
https://bugzilla.gnome.org/show_bug.cgi?id=788908

** Changed in: virtualbox (Ubuntu)
   Importance: Undecided => Critical

** Changed in: virtualbox (Ubuntu)
   Status: Incomplete => Confirmed

** Bug watch added: GNOME Bug Tracker #788908
   https://bugzilla.gnome.org/show_bug.cgi?id=788908

** Also affects: wayland (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: wayland (Ubuntu)
   Status: New => Confirmed

** Changed in: wayland (Ubuntu)
   Importance: Undecided => Critical

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to wayland in Ubuntu.
https://bugs.launchpad.net/bugs/1724810

Title:
  17.10/wayland causing flashes in virtualbox

Status in wayland:
  Unknown
Status in gnome-shell package in Ubuntu:
  New
Status in virtualbox package in Ubuntu:
  Confirmed
Status in wayland package in Ubuntu:
  Confirmed

Bug description:
  Hi,

  just as a quick response:

  I've installed the new 17.10 Desktop for testing in a virtual machine
  (VirtualBox 5.1.20 running on MacOS), and while it installed smoothly
  and booted instantly, there's a problem with the graphics (probably
  related to wayland): Especially when moving the mouse or starting new
  programs the screen flashes white every few seconds or sometimes shows
  just a blank grey screen for about a second. Not suited for regular
  work.

  But I have no clue which component precisely is causing that problem.

  regards

To manage notifications about this bug go to:
https://bugs.launchpad.net/wayland/+bug/1724810/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1723909] Re: [security] WPA2: Many vulnerabilities discovered

2017-10-16 Thread LocutusOfBorg
** Changed in: wpa (Ubuntu)
   Importance: Undecided => Critical

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to wpa in Ubuntu.
https://bugs.launchpad.net/bugs/1723909

Title:
  [security] WPA2: Many vulnerabilities discovered

Status in wpa package in Ubuntu:
  Confirmed

Bug description:
  This is a high vulnerability problem:

  The attack works against all modern protected Wi-Fi networks

  All details:
  https://www.krackattacks.com/

  ProblemType: Bug
  DistroRelease: Ubuntu 17.10
  Package: wpasupplicant 2.4-0ubuntu9
  ProcVersionSignature: Ubuntu 4.13.0-16.19-generic 4.13.4
  Uname: Linux 4.13.0-16-generic x86_64
  ApportVersion: 2.20.7-0ubuntu3
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Mon Oct 16 11:54:57 2017
  EcryptfsInUse: Yes
  SourcePackage: wpa
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/wpa/+bug/1723909/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1719630] Re: unattended-upgrades uses dpkg-vendor but doesn't depend on dpkg-dev

2017-09-26 Thread LocutusOfBorg
uploaded and ended up in unapproved queue, waiting for Release Team

** Changed in: unattended-upgrades (Ubuntu)
   Status: Confirmed => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1719630

Title:
  unattended-upgrades uses dpkg-vendor but doesn't depend on dpkg-dev

Status in unattended-upgrades package in Ubuntu:
  In Progress

Bug description:
  in its postinst script unattended-upgrade uses dpkg-vendor from dpkg-
  dev but does not depends on dpkg-dev which results in the following
  error:

  
  # apt-get update && apt-get upgrade

  Installing the packages goes well, except for, getting this warning.

  Setting up unattended-upgrades (0.97ubuntu1) ...
  /var/lib/dpkg/info/unattended-upgrades.postinst: 65:
  /var/lib/dpkg/info/unattended-upgrades.postinst: dpkg-vendor: not found
  /var/lib/dpkg/info/unattended-upgrades.postinst: 66:
  /var/lib/dpkg/info/unattended-upgrades.postinst: dpkg-vendor: not found
  /var/lib/dpkg/info/unattended-upgrades.postinst: 124:
  /var/lib/dpkg/info/unattended-upgrades.postinst: dpkg-vendor: not found
  /var/lib/dpkg/info/unattended-upgrades.postinst: 125:
  /var/lib/dpkg/info/unattended-upgrades.postinst: dpkg-vendor: not found

  ProblemType: Bug
  DistroRelease: Ubuntu 17.10
  Package: unattended-upgrades 0.97ubuntu1
  ProcVersionSignature: Ubuntu 4.13.0-11.12-generic 4.13.1
  Uname: Linux 4.13.0-11-generic x86_64
  ApportVersion: 2.20.7-0ubuntu1
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Tue Sep 26 10:01:05 2017
  InstallationDate: Installed on 2013-09-03 (1483 days ago)
  InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130902)
  PackageArchitecture: all
  ProcEnviron:
   TERM=screen-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=fr_FR.UTF-8
   SHELL=/bin/bash
  SourcePackage: unattended-upgrades
  UpgradeStatus: No upgrade log present (probably fresh install)
  modified.conffile..etc.apt.apt.conf.d.50unattended-upgrades: [modified]
  mtime.conffile..etc.apt.apt.conf.d.50unattended-upgrades: 
2017-09-05T01:34:04.573213

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1719630/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1718419] Re: Please merge unattended-upgrades 0.97 (main) from Debian unstable (main)

2017-09-25 Thread LocutusOfBorg
ack for me

** Changed in: unattended-upgrades (Ubuntu)
   Status: Confirmed => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1718419

Title:
   Please merge unattended-upgrades 0.97 (main) from Debian unstable
  (main)

Status in unattended-upgrades package in Ubuntu:
  Fix Committed

Bug description:
  The update fixes issues which surfaced when u-u switched installing
  updates in minimal steps, most notably the minimal-steps method being
  very slow

  0.97 speeds up u-u by ~90% which brings current worst-case (xenial
  with no security fixes -> fully updated) run-time down to tolerable
  levels.

  Changes:
   unattended-upgrades (0.97) unstable; urgency=medium
   .
     * Handle recovering from broken dh_installinit override on Ubuntu, too
     * Declare needs-reboot for autopkgtests
     * Clean up more test artifacts
     * Run u-u-s only when running on AC power
     * Catch SystemError from fetcher.run(), too
     * Default to MinimalSteps=True in most tests to excercise default setting
     * Check only changed packages in check_changes_for_sanity()
     * Store candidate versions to adjust in UnattendedUpgradesCache()'s 
constructor

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1718419/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1714019] Re: Please merge unattended-upgrades 0.96 (main) from Debian unstable (main)

2017-09-04 Thread LocutusOfBorg
sponsored debdiff attached, please double check


** Attachment added: "debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1714019/+attachment/4944276/+files/debdiff

** Changed in: unattended-upgrades (Ubuntu)
   Status: Confirmed => Fix Committed

** Changed in: unattended-upgrades (Ubuntu)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1714019

Title:
  Please merge unattended-upgrades 0.96 (main) from Debian unstable
  (main)

Status in unattended-upgrades package in Ubuntu:
  Fix Released

Bug description:
  I'm also asking for a Feature Freeze Exception following the rules for
  new upstream version per
  https://wiki.ubuntu.com/FreezeExceptionProcess.

  [Reason]
  Unattended-upgrades is planned to be enabled by default but the versions 
present in Ubuntu can break the system by not protecting the upgrade process 
from termination during shutdown (see LP: #1690980).
  The newer version in Debian fixes the shutdown-related issue and contains 
several additional reliability and debuggability fixes.

  [Logs]
  They are attached to this bug.

  [Testing]
  The autopkgtest log is attached and I also tested the version in Debian 
several times while preparing the fixes for various bugs.

  Note that the package in the PPA does not close this bug from the
  changelog while the patches attaches do.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1714019/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1713313] Re: Unable to launch pkexec'ed applications on Wayland session

2017-09-04 Thread LocutusOfBorg
the question is more tricky

ettercap has the pkexec file
#!/bin/sh
pkexec --disable-internal-agent "ettercap" "$@"


but it is using a polkit file

http://www.freedesktop.org/standards/PolicyKit/1/policyconfig.dtd;>


  
Authentication is required to run Ettercap
ettercap

  auth_admin
  auth_admin
  auth_admin

@INSTALL_BINDIR@/ettercap
true
  




so, as upstream, I don't know what to do :(

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to policykit-1 in Ubuntu.
https://bugs.launchpad.net/bugs/1713313

Title:
  Unable to launch pkexec'ed applications on Wayland session

Status in apt-offline package in Ubuntu:
  New
Status in backintime package in Ubuntu:
  Confirmed
Status in budgie-welcome package in Ubuntu:
  New
Status in ettercap package in Ubuntu:
  Confirmed
Status in gdebi package in Ubuntu:
  Confirmed
Status in gnunet-gtk package in Ubuntu:
  Confirmed
Status in gparted package in Ubuntu:
  Invalid
Status in gufw package in Ubuntu:
  New
Status in hplip package in Ubuntu:
  Confirmed
Status in italc package in Ubuntu:
  New
Status in laptop-mode-tools package in Ubuntu:
  New
Status in lightdm-gtk-greeter-settings package in Ubuntu:
  Confirmed
Status in nautilus-admin package in Ubuntu:
  New
Status in needrestart-session package in Ubuntu:
  Confirmed
Status in nemo package in Ubuntu:
  Confirmed
Status in policykit-1 package in Ubuntu:
  Invalid
Status in scanmem package in Ubuntu:
  New
Status in scap-workbench package in Ubuntu:
  Confirmed
Status in sirikali package in Ubuntu:
  New
Status in synaptic package in Ubuntu:
  Confirmed
Status in thunar package in Ubuntu:
  New
Status in tuned package in Ubuntu:
  New
Status in ubuntustudio-controls package in Ubuntu:
  New
Status in ubuntustudio-default-settings package in Ubuntu:
  New
Status in xdiagnose package in Ubuntu:
  Confirmed
Status in xubuntu-default-settings package in Ubuntu:
  New
Status in zulucrypt package in Ubuntu:
  New

Bug description:
  Posting here what gnome says about porting to wayland, and their
  tests:

  GNOME Applications under Wayland
  GTK+ has a Wayland backend. If it was enabled at compile-time, you can run a 
GTK+ application under Wayland simply by:

  GDK_BACKEND=wayland gnome-calculator
  Applications that use Clutter or clutter-gtk also need the Clutter Wayland 
backend enabled:

  GDK_BACKEND=wayland CLUTTER_BACKEND=wayland cheese

  https://wiki.gnome.org/Initiatives/Wayland/Applications

  ==> so hope the settings are well set at compile time; maybe a
  rebuilt to get sure all apps are ok.

  
  


  Steps to reproduce:
  1. Install Ubuntu 17.10
  2. Install backintime-qt4 or gparted application from above list (full may be 
acquired from 
https://codesearch.debian.net/search?q=pkexec+filetype%3Adesktop+path%3A*%2Fapplications%2F*=1=4
 )
  3a. Try to launch backintime-qt4 from shortcut "Back In Time (root)" (located 
in /usr/share/applications/backintime-qt4-root.desktop, it uses pkexec
  ($ cat /usr/share/applications/backintime-qt4-root.desktop | grep Exec
  Exec=pkexec backintime-qt4)
  3b. Try to launch Gparted from shortcut "GParted" (located in 
/usr/share/applications/gparted.desktop, it uses gparted-pkexec)
  4a.1. Back In Time does not start from GUI.
  4a.2. Back In Time shows error message in console:
  4b. gparted-pkexec does not start, reports error
  $ gparted-pkexec
  Created symlink /run/systemd/system/-.mount → /dev/null.
  Created symlink /run/systemd/system/run-user-1000.mount → /dev/null.
  Created symlink /run/systemd/system/run-user-121.mount → /dev/null.
  Created symlink /run/systemd/system/tmp.mount → /dev/null.
  No protocol specified

  (gpartedbin:12831): Gtk-WARNING **: cannot open display: :0
  Removed /run/systemd/system/-.mount.
  Removed /run/systemd/system/run-user-1000.mount.
  Removed /run/systemd/system/run-user-121.mount.
  Removed /run/systemd/system/tmp.mount.

  $ pkexec backintime-qt4

  Back In Time
  Version: 1.1.12

  Back In Time comes with ABSOLUTELY NO WARRANTY.
  This is free software, and you are welcome to redistribute it
  under certain conditions; type `backintime --license' for details.

  No protocol specified
  app.py: cannot connect to X server :0

  Expected results:
  * backintime-qt4 may be run as root

  Actual results:
  * unable to run backintime-qt4 as root

  Workaround:
  * setting "xhost +si:localuser:root" helps.

  ProblemType: Bug
  DistroRelease: Ubuntu 17.10
  Package: backintime-qt4 1.1.12-2
  ProcVersionSignature: Ubuntu 4.12.0-11.12-generic 4.12.5
  Uname: Linux 4.12.0-11-generic i686
  ApportVersion: 2.20.6-0ubuntu7
  Architecture: i386
  CurrentDesktop: GNOME
  Date: Sun Aug 27 14:23:14 2017
  InstallationDate: Installed on 2017-08-26 (0 days ago)
  InstallationMedia: Ubuntu 

[Touch-packages] [Bug 1713313] Re: Unable to launch pkexec'ed applications on Wayland session

2017-09-04 Thread LocutusOfBorg
I don't get where is the problem, wayland or all the applications using
policykit?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to policykit-1 in Ubuntu.
https://bugs.launchpad.net/bugs/1713313

Title:
  Unable to launch pkexec'ed applications on Wayland session

Status in apt-offline package in Ubuntu:
  New
Status in backintime package in Ubuntu:
  Confirmed
Status in budgie-welcome package in Ubuntu:
  New
Status in ettercap package in Ubuntu:
  Confirmed
Status in gdebi package in Ubuntu:
  Confirmed
Status in gnunet-gtk package in Ubuntu:
  Confirmed
Status in gparted package in Ubuntu:
  Invalid
Status in gufw package in Ubuntu:
  New
Status in hplip package in Ubuntu:
  Confirmed
Status in italc package in Ubuntu:
  New
Status in laptop-mode-tools package in Ubuntu:
  New
Status in lightdm-gtk-greeter-settings package in Ubuntu:
  Confirmed
Status in nautilus-admin package in Ubuntu:
  New
Status in needrestart-session package in Ubuntu:
  Confirmed
Status in nemo package in Ubuntu:
  Confirmed
Status in policykit-1 package in Ubuntu:
  Invalid
Status in scanmem package in Ubuntu:
  New
Status in scap-workbench package in Ubuntu:
  Confirmed
Status in sirikali package in Ubuntu:
  New
Status in synaptic package in Ubuntu:
  Confirmed
Status in thunar package in Ubuntu:
  New
Status in tuned package in Ubuntu:
  New
Status in ubuntustudio-controls package in Ubuntu:
  New
Status in ubuntustudio-default-settings package in Ubuntu:
  New
Status in xdiagnose package in Ubuntu:
  Confirmed
Status in xubuntu-default-settings package in Ubuntu:
  New
Status in zulucrypt package in Ubuntu:
  New

Bug description:
  Posting here what gnome says about porting to wayland, and their
  tests:

  GNOME Applications under Wayland
  GTK+ has a Wayland backend. If it was enabled at compile-time, you can run a 
GTK+ application under Wayland simply by:

  GDK_BACKEND=wayland gnome-calculator
  Applications that use Clutter or clutter-gtk also need the Clutter Wayland 
backend enabled:

  GDK_BACKEND=wayland CLUTTER_BACKEND=wayland cheese

  https://wiki.gnome.org/Initiatives/Wayland/Applications

  ==> so hope the settings are well set at compile time; maybe a
  rebuilt to get sure all apps are ok.

  
  


  Steps to reproduce:
  1. Install Ubuntu 17.10
  2. Install backintime-qt4 or gparted application from above list (full may be 
acquired from 
https://codesearch.debian.net/search?q=pkexec+filetype%3Adesktop+path%3A*%2Fapplications%2F*=1=4
 )
  3a. Try to launch backintime-qt4 from shortcut "Back In Time (root)" (located 
in /usr/share/applications/backintime-qt4-root.desktop, it uses pkexec
  ($ cat /usr/share/applications/backintime-qt4-root.desktop | grep Exec
  Exec=pkexec backintime-qt4)
  3b. Try to launch Gparted from shortcut "GParted" (located in 
/usr/share/applications/gparted.desktop, it uses gparted-pkexec)
  4a.1. Back In Time does not start from GUI.
  4a.2. Back In Time shows error message in console:
  4b. gparted-pkexec does not start, reports error
  $ gparted-pkexec
  Created symlink /run/systemd/system/-.mount → /dev/null.
  Created symlink /run/systemd/system/run-user-1000.mount → /dev/null.
  Created symlink /run/systemd/system/run-user-121.mount → /dev/null.
  Created symlink /run/systemd/system/tmp.mount → /dev/null.
  No protocol specified

  (gpartedbin:12831): Gtk-WARNING **: cannot open display: :0
  Removed /run/systemd/system/-.mount.
  Removed /run/systemd/system/run-user-1000.mount.
  Removed /run/systemd/system/run-user-121.mount.
  Removed /run/systemd/system/tmp.mount.

  $ pkexec backintime-qt4

  Back In Time
  Version: 1.1.12

  Back In Time comes with ABSOLUTELY NO WARRANTY.
  This is free software, and you are welcome to redistribute it
  under certain conditions; type `backintime --license' for details.

  No protocol specified
  app.py: cannot connect to X server :0

  Expected results:
  * backintime-qt4 may be run as root

  Actual results:
  * unable to run backintime-qt4 as root

  Workaround:
  * setting "xhost +si:localuser:root" helps.

  ProblemType: Bug
  DistroRelease: Ubuntu 17.10
  Package: backintime-qt4 1.1.12-2
  ProcVersionSignature: Ubuntu 4.12.0-11.12-generic 4.12.5
  Uname: Linux 4.12.0-11-generic i686
  ApportVersion: 2.20.6-0ubuntu7
  Architecture: i386
  CurrentDesktop: GNOME
  Date: Sun Aug 27 14:23:14 2017
  InstallationDate: Installed on 2017-08-26 (0 days ago)
  InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha i386 (20170826)
  PackageArchitecture: all
  SourcePackage: backintime
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt-offline/+bug/1713313/+subscriptions

-- 
Mailing list: 

[Touch-packages] [Bug 1056566] Re: Missing pkgconfig file

2017-09-03 Thread LocutusOfBorg
** Changed in: libjpeg-turbo (Ubuntu)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libjpeg-turbo in Ubuntu.
https://bugs.launchpad.net/bugs/1056566

Title:
  Missing pkgconfig file

Status in libjpeg-turbo package in Ubuntu:
  Fix Released

Bug description:
  Our packages do not contain a turbojpeg.pc file, meaning any
  pkgconfig-using build script that depends on it being in libjpeg-turbo
  may fail.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libjpeg-turbo/+bug/1056566/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1419267] Re: libjpegturbo.so missing from -dev package

2017-09-03 Thread LocutusOfBorg
** Changed in: libjpeg-turbo (Ubuntu)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libjpeg-turbo in Ubuntu.
https://bugs.launchpad.net/bugs/1419267

Title:
  libjpegturbo.so missing from -dev package

Status in One Hundred Papercuts:
  Invalid
Status in libjpeg-turbo package in Ubuntu:
  Fix Released

Bug description:
  $ dpkg -L libjpeg-turbo8-dev
  /.
  /usr
  /usr/share
  /usr/share/doc
  /usr/share/doc/libjpeg-turbo8-dev
  /usr/share/doc/libjpeg-turbo8-dev/copyright
  /usr/share/doc/libjpeg-turbo8-dev/README.gz
  /usr/share/doc/libjpeg-turbo8-dev/structure.txt.gz
  /usr/share/doc/libjpeg-turbo8-dev/README-turbo.txt.gz
  /usr/share/doc/libjpeg-turbo8-dev/libjpeg.txt.gz
  /usr/lib
  /usr/lib/x86_64-linux-gnu
  /usr/lib/x86_64-linux-gnu/libjpeg.a
  /usr/lib/x86_64-linux-gnu/libturbojpeg.a
  /usr/include
  /usr/include/jerror.h
  /usr/include/turbojpeg.h
  /usr/include/jmorecfg.h
  /usr/include/jpeglib.h
  /usr/include/jpegint.h
  /usr/include/x86_64-linux-gnu
  /usr/include/x86_64-linux-gnu/jconfig.h
  /usr/share/doc/libjpeg-turbo8-dev/changelog.Debian.gz
  /usr/lib/x86_64-linux-gnu/libjpeg.so


  See the libjpeg.so symlink. This is good.

  I also expect a libturbojpeg.so symlink. This is missing. Please add
  so that I can build software which depends on this dynamic library
  without manually creating this symlink.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.10
  Package: libturbojpeg 1.3.0-0ubuntu2
  ProcVersionSignature: Ubuntu 3.11.0-11.17-generic 3.11.3
  Uname: Linux 3.11.0-11-generic x86_64
  ApportVersion: 2.14.7-0ubuntu8.1
  Architecture: amd64
  Date: Sat Feb  7 08:41:19 2015
  Dependencies:
   gcc-4.9-base 4.9.1-16ubuntu6
   libc6 2.19-10ubuntu2.2
   libgcc1 1:4.9.1-16ubuntu6
   multiarch-support 2.19-10ubuntu2.2
  ProcEnviron:
   TERM=screen
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: libjpeg-turbo
  UpgradeStatus: Upgraded to utopic on 2014-10-24 (105 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/hundredpapercuts/+bug/1419267/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1056566] Re: Missing pkgconfig file

2017-09-03 Thread LocutusOfBorg
in new queue :)

** Changed in: libjpeg-turbo (Ubuntu)
   Status: Confirmed => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libjpeg-turbo in Ubuntu.
https://bugs.launchpad.net/bugs/1056566

Title:
  Missing pkgconfig file

Status in libjpeg-turbo package in Ubuntu:
  Fix Committed

Bug description:
  Our packages do not contain a turbojpeg.pc file, meaning any
  pkgconfig-using build script that depends on it being in libjpeg-turbo
  may fail.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libjpeg-turbo/+bug/1056566/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1419267] Re: libjpegturbo.so missing from -dev package

2017-09-03 Thread LocutusOfBorg
in new queue :)

** Changed in: libjpeg-turbo (Ubuntu)
   Status: Confirmed => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libjpeg-turbo in Ubuntu.
https://bugs.launchpad.net/bugs/1419267

Title:
  libjpegturbo.so missing from -dev package

Status in One Hundred Papercuts:
  Invalid
Status in libjpeg-turbo package in Ubuntu:
  Fix Committed

Bug description:
  $ dpkg -L libjpeg-turbo8-dev
  /.
  /usr
  /usr/share
  /usr/share/doc
  /usr/share/doc/libjpeg-turbo8-dev
  /usr/share/doc/libjpeg-turbo8-dev/copyright
  /usr/share/doc/libjpeg-turbo8-dev/README.gz
  /usr/share/doc/libjpeg-turbo8-dev/structure.txt.gz
  /usr/share/doc/libjpeg-turbo8-dev/README-turbo.txt.gz
  /usr/share/doc/libjpeg-turbo8-dev/libjpeg.txt.gz
  /usr/lib
  /usr/lib/x86_64-linux-gnu
  /usr/lib/x86_64-linux-gnu/libjpeg.a
  /usr/lib/x86_64-linux-gnu/libturbojpeg.a
  /usr/include
  /usr/include/jerror.h
  /usr/include/turbojpeg.h
  /usr/include/jmorecfg.h
  /usr/include/jpeglib.h
  /usr/include/jpegint.h
  /usr/include/x86_64-linux-gnu
  /usr/include/x86_64-linux-gnu/jconfig.h
  /usr/share/doc/libjpeg-turbo8-dev/changelog.Debian.gz
  /usr/lib/x86_64-linux-gnu/libjpeg.so


  See the libjpeg.so symlink. This is good.

  I also expect a libturbojpeg.so symlink. This is missing. Please add
  so that I can build software which depends on this dynamic library
  without manually creating this symlink.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.10
  Package: libturbojpeg 1.3.0-0ubuntu2
  ProcVersionSignature: Ubuntu 3.11.0-11.17-generic 3.11.3
  Uname: Linux 3.11.0-11-generic x86_64
  ApportVersion: 2.14.7-0ubuntu8.1
  Architecture: amd64
  Date: Sat Feb  7 08:41:19 2015
  Dependencies:
   gcc-4.9-base 4.9.1-16ubuntu6
   libc6 2.19-10ubuntu2.2
   libgcc1 1:4.9.1-16ubuntu6
   multiarch-support 2.19-10ubuntu2.2
  ProcEnviron:
   TERM=screen
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: libjpeg-turbo
  UpgradeStatus: Upgraded to utopic on 2014-10-24 (105 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/hundredpapercuts/+bug/1419267/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 189617] Re: policykit integration missing

2017-08-18 Thread LocutusOfBorg
uploaded.

** Changed in: gdebi (Ubuntu)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gdebi in Ubuntu.
https://bugs.launchpad.net/bugs/189617

Title:
  policykit integration missing

Status in gdebi package in Ubuntu:
  Fix Committed
Status in gdebi package in Debian:
  New

Bug description:
  Binary package hint: gdebi

  this package is missing policykit bindings
  version 0.3.3

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdebi/+bug/189617/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 94940] Re: mdns listed in nsswitch.conf causes excessive time for dns lookups

2017-08-03 Thread LocutusOfBorg
Only precise is still supported and affected by this bug, I don't think
this is worth the effort fixing it

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to avahi in Ubuntu.
https://bugs.launchpad.net/bugs/94940

Title:
  mdns listed in nsswitch.conf causes excessive time  for dns lookups

Status in avahi package in Ubuntu:
  Fix Released
Status in nss-mdns package in Ubuntu:
  Fix Released
Status in nss-mdns package in Debian:
  Fix Released

Bug description:
  Binary package hint: avahi-daemon

  I encountered this problem on a machine that is integrated into our
  work network. I performed a dist-upgrade to Feisty on my desktop and
  all went well. I've noticed recently that any dns based work seemed to
  take a significantly longer time then normal.

  My system is getting dns information on our company internal systems
  from two dns servers. Previously, if I tried to establish an ssh
  connection with another system I could generally expect the connection
  in under 3 secs.

  After the dist-upgrade the time went from under 3 seconds to
  approximately 25 seconds. After searching around the system I found an
  entry in /etc/nsswitch.conf that cause me a little concern. The line
  in question is:

 hosts:  files mdns4_minimal [NOTFOUND=return] dns mdns4

  I looked around a bit and it seems that the references to mdns are
  really talking about communication with the Avahi mDNS/DNS-SD daemon.
  Since this looks to be a part of a zeroconf configuration I wasn't
  expecting too much in my current environment, as we really only have
  three Mac's.

  What concerned me is the idea that if we hit files with no answer
  there is a delay while we hit the other options until we hit dns,
  which is where the information I seek existed.

  For an experiment I tried two separate tests. The first changed the
  line to looks like:

  hosts:  files dns mdns4_minimal [NOTFOUND=return] mdns

  The change should have improved the time, but I was still looking at
  approximately 23 seconds to return a command prompt on the destination
  machine.

  Finally, I change the entry to simply:

  hosts:  files dns

  After this change I was again receiving the destination command prompt
  in under 3 seconds. I don't know if simply changing the file will
  correct the problem long-term or not. Seems to help me, but might be
  the way to go for most Ubuntu users.

  ProblemType: Bug
  Architecture: i386
  Date: Thu Mar 22 18:10:54 2007
  DistroRelease: Ubuntu 7.04
  Uname: Linux samdesk 2.6.20-12-generic #2 SMP Wed Mar 21 20:55:46 UTC 2007 
i686 GNU/Linux

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/avahi/+bug/94940/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 94940] Re: mdns listed in nsswitch.conf causes excessive time for dns lookups

2017-08-02 Thread LocutusOfBorg
** Changed in: avahi (Ubuntu)
   Status: Confirmed => Fix Released

** Changed in: nss-mdns (Ubuntu)
   Importance: Medium => High

** Changed in: nss-mdns (Ubuntu)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to avahi in Ubuntu.
https://bugs.launchpad.net/bugs/94940

Title:
  mdns listed in nsswitch.conf causes excessive time  for dns lookups

Status in avahi package in Ubuntu:
  Fix Released
Status in nss-mdns package in Ubuntu:
  Fix Released
Status in nss-mdns package in Debian:
  Fix Released

Bug description:
  Binary package hint: avahi-daemon

  I encountered this problem on a machine that is integrated into our
  work network. I performed a dist-upgrade to Feisty on my desktop and
  all went well. I've noticed recently that any dns based work seemed to
  take a significantly longer time then normal.

  My system is getting dns information on our company internal systems
  from two dns servers. Previously, if I tried to establish an ssh
  connection with another system I could generally expect the connection
  in under 3 secs.

  After the dist-upgrade the time went from under 3 seconds to
  approximately 25 seconds. After searching around the system I found an
  entry in /etc/nsswitch.conf that cause me a little concern. The line
  in question is:

 hosts:  files mdns4_minimal [NOTFOUND=return] dns mdns4

  I looked around a bit and it seems that the references to mdns are
  really talking about communication with the Avahi mDNS/DNS-SD daemon.
  Since this looks to be a part of a zeroconf configuration I wasn't
  expecting too much in my current environment, as we really only have
  three Mac's.

  What concerned me is the idea that if we hit files with no answer
  there is a delay while we hit the other options until we hit dns,
  which is where the information I seek existed.

  For an experiment I tried two separate tests. The first changed the
  line to looks like:

  hosts:  files dns mdns4_minimal [NOTFOUND=return] mdns

  The change should have improved the time, but I was still looking at
  approximately 23 seconds to return a command prompt on the destination
  machine.

  Finally, I change the entry to simply:

  hosts:  files dns

  After this change I was again receiving the destination command prompt
  in under 3 seconds. I don't know if simply changing the file will
  correct the problem long-term or not. Seems to help me, but might be
  the way to go for most Ubuntu users.

  ProblemType: Bug
  Architecture: i386
  Date: Thu Mar 22 18:10:54 2007
  DistroRelease: Ubuntu 7.04
  Uname: Linux samdesk 2.6.20-12-generic #2 SMP Wed Mar 21 20:55:46 UTC 2007 
i686 GNU/Linux

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/avahi/+bug/94940/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1702741] Re: QtCreator crashes when opening a filechooser under wayland

2017-07-28 Thread LocutusOfBorg
it finally landed in artful, so I presume now the SRU can continue with
zesty :)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtbase-opensource-src in
Ubuntu.
https://bugs.launchpad.net/bugs/1702741

Title:
  QtCreator crashes when opening a filechooser under wayland

Status in qtbase-opensource-src package in Ubuntu:
  Fix Released
Status in qtbase-opensource-src source package in Zesty:
  Fix Committed
Status in qtbase-opensource-src package in Debian:
  Fix Released

Bug description:
  Impact
  ==
  The file chooser dialog app for Qt apps will crash the app when trying to use 
the file chooser from a Wayland session such as GNOME on Wayland. GNOME on 
Wayland is included by default in Ubuntu GNOME.

  Test Case
  =
  1) Install Ubuntu 17.04 GNOME
  2) On the login screen, click the gear button and choose GNOME on Wayland and 
log in.
  3) Install qtcreator
  4) Launch qtcreator
  5) Try to do File -> Open File or Project

  The file chooser should open without crashing the app

  Regression Potential
  
  This fix was included in Qt 5.8. This patch was applied in Debian stretch in 
January as part of qtbase-opensource-src 5.7.1+dfsg-3

  
  == Upstream ==

  There is a qt bug here "GTK+ dialogs crash on Wayland" - 
https://bugreports.qt.io/browse/QTBUG-55583
  With what looks like a simple code change that Ubuntu could carry as a patch? 
https://codereview.qt-project.org/#/c/179124/

  Fedora appear to have fixed the bug in Fedora 25 -
  https://bugzilla.redhat.com/show_bug.cgi?id=1403500

  == Debug output ==

  When this occurs in the console you see the following:
  (qtcreator:16534): Gdk-WARNING **: 
/build/gtk+3.0-qPyWJl/gtk+3.0-3.22.11/./gdk/x11/gdkwindow-x11.c:5573 drawable 
is not a native X11 window
  Segmentation fault (core dumped)

  When running under GDB: http://pastebin.ubuntu.com/25033921/

  $ apt-cache policy qtcreator
  qtcreator:
    Installed: 4.1.0-3ubuntu1
    Candidate: 4.1.0-3ubuntu1
    Version table:
   *** 4.1.0-3ubuntu1 500
  500 http://gb.archive.ubuntu.com/ubuntu zesty/universe amd64 Packages
  100 /var/lib/dpkg/status
  $ lsb_release -rd
  Description:  Ubuntu 17.04
  Release:  17.04

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1702741/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1641912] Re: Please backport two recent-manager patches

2017-07-27 Thread LocutusOfBorg
** Also affects: gtk+2.0 (Ubuntu Artful)
   Importance: Critical
 Assignee: Simon Quigley (tsimonq2)
   Status: In Progress

** Also affects: gtk+2.0 (Ubuntu Zesty)
   Importance: Undecided
   Status: New

** Changed in: gtk+2.0 (Ubuntu Zesty)
   Status: New => In Progress

** Changed in: gtk+2.0 (Ubuntu Zesty)
   Importance: Undecided => Critical

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+2.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1641912

Title:
  Please backport two recent-manager patches

Status in GTK+:
  Fix Released
Status in gtk+2.0 package in Ubuntu:
  In Progress
Status in gtk+2.0 source package in Xenial:
  In Progress
Status in gtk+2.0 source package in Yakkety:
  Won't Fix
Status in gtk+2.0 source package in Zesty:
  In Progress
Status in gtk+2.0 source package in Artful:
  In Progress

Bug description:
  
https://git.gnome.org/browse/gtk+/commit/?h=gtk-2-24=a3b2d6a65be9f592de9570c227df00f910167e9e
  
https://git.gnome.org/browse/gtk+/commit/?h=gtk-2-24=35871edb318083b2d7e4758cbdaad6109eed60ca

  Please apply/backport these two patches from the 2.24 branch. They fix a 
memory DOS, originally reported against mate-panel here:
  https://github.com/mate-desktop/mate-panel/issues/479

  For the GTK3 version of this bug, see bug 1641914
  Note that MATE is GTK2 only for Ubuntu 16.04 LTS.

To manage notifications about this bug go to:
https://bugs.launchpad.net/gtk/+bug/1641912/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1687981] Re: Backport packages for 16.04.3 HWE stack

2017-07-21 Thread LocutusOfBorg
Installed virtualbox-hwe-guest-utils, guest-x11 guest-dkms and everything 
worked correctly.
Removed dkms package and installed vith module-assistant the 
virtualbox-guest-source package.

So far so good, reboot works correctly

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libdrm in Ubuntu.
https://bugs.launchpad.net/bugs/1687981

Title:
  Backport packages for 16.04.3 HWE stack

Status in libclc package in Ubuntu:
  Invalid
Status in libdrm package in Ubuntu:
  Invalid
Status in libinput package in Ubuntu:
  Invalid
Status in libwacom package in Ubuntu:
  Invalid
Status in libxfont package in Ubuntu:
  Invalid
Status in libxfont2 package in Ubuntu:
  Invalid
Status in llvm-toolchain-4.0 package in Ubuntu:
  Invalid
Status in mesa package in Ubuntu:
  Invalid
Status in virtualbox-hwe package in Ubuntu:
  Fix Committed
Status in vulkan package in Ubuntu:
  Invalid
Status in wayland package in Ubuntu:
  Invalid
Status in x11proto-core package in Ubuntu:
  Invalid
Status in xfonts-utils package in Ubuntu:
  New
Status in xorg-hwe-16.04 package in Ubuntu:
  Invalid
Status in xorg-server package in Ubuntu:
  Invalid
Status in xorg-server-hwe-16.04 package in Ubuntu:
  Invalid
Status in libclc source package in Xenial:
  Fix Committed
Status in libdrm source package in Xenial:
  Fix Committed
Status in libinput source package in Xenial:
  Fix Committed
Status in libwacom source package in Xenial:
  Fix Committed
Status in libxfont source package in Xenial:
  Fix Committed
Status in libxfont2 source package in Xenial:
  Fix Committed
Status in llvm-toolchain-4.0 source package in Xenial:
  Fix Committed
Status in mesa source package in Xenial:
  Fix Committed
Status in vulkan source package in Xenial:
  Fix Committed
Status in wayland source package in Xenial:
  Fix Committed
Status in x11proto-core source package in Xenial:
  Fix Committed
Status in xfonts-utils source package in Xenial:
  Fix Committed
Status in xorg-hwe-16.04 source package in Xenial:
  New
Status in xorg-server source package in Xenial:
  Invalid
Status in xorg-server-hwe-16.04 source package in Xenial:
  Fix Committed

Bug description:
  [Impact]

  *** hwe-16.04 refresh for 16.04.3 ***

  Revert changes to use debhelper10.

  xorg-server-hwe-16.04 needs updates
  - wayland 1.11 (but zesty has 1.12 which mesa needs so backport that)
  - x11proto-core 7.0.31
  - libxfont-dev 2.0.1, which also means backporting libxfont1 (NEW)

  x-x-i-libinput will not replace -evdev in x-x-i-all-hwe-16.04 because the 
unity mouse config doesn't work with -libinput.
  x-x-i-libinput needs newer libinput, which in turn needs libwacom update.

  Mesa needs llvm-4.0 and libclc, libdrm, wayland updates.

  [Test case]

  upgrade from/to stock & old hwe stack, test desktop usage

  [Regression potential]

  zesty hasn't blown up

  [Other information]

  build order:
  1. x11proto-core, libdrm, libxfont, libxfont1, libwacom, llvm-toolchain-4.0, 
vulkan, wayland
  2. libclc, libinput, xorg-server (build-dep libxfont1-dev)
  3. mesa, xorg-server-hwe-16.04
  4. drivers
  5. xorg-hwe-16.04

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libclc/+bug/1687981/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1687981] Re: Backport packages for 16.04.3 HWE stack

2017-07-21 Thread LocutusOfBorg
** Tags removed: block-proposed verification-needed verification-needed-xenial
** Tags added: verification-done verification-done-xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libdrm in Ubuntu.
https://bugs.launchpad.net/bugs/1687981

Title:
  Backport packages for 16.04.3 HWE stack

Status in libclc package in Ubuntu:
  Invalid
Status in libdrm package in Ubuntu:
  Invalid
Status in libinput package in Ubuntu:
  Invalid
Status in libwacom package in Ubuntu:
  Invalid
Status in libxfont package in Ubuntu:
  Invalid
Status in libxfont2 package in Ubuntu:
  Invalid
Status in llvm-toolchain-4.0 package in Ubuntu:
  Invalid
Status in mesa package in Ubuntu:
  Invalid
Status in virtualbox-hwe package in Ubuntu:
  Fix Committed
Status in vulkan package in Ubuntu:
  Invalid
Status in wayland package in Ubuntu:
  Invalid
Status in x11proto-core package in Ubuntu:
  Invalid
Status in xfonts-utils package in Ubuntu:
  New
Status in xorg-hwe-16.04 package in Ubuntu:
  Invalid
Status in xorg-server package in Ubuntu:
  Invalid
Status in xorg-server-hwe-16.04 package in Ubuntu:
  Invalid
Status in libclc source package in Xenial:
  Fix Committed
Status in libdrm source package in Xenial:
  Fix Committed
Status in libinput source package in Xenial:
  Fix Committed
Status in libwacom source package in Xenial:
  Fix Committed
Status in libxfont source package in Xenial:
  Fix Committed
Status in libxfont2 source package in Xenial:
  Fix Committed
Status in llvm-toolchain-4.0 source package in Xenial:
  Fix Committed
Status in mesa source package in Xenial:
  Fix Committed
Status in vulkan source package in Xenial:
  Fix Committed
Status in wayland source package in Xenial:
  Fix Committed
Status in x11proto-core source package in Xenial:
  Fix Committed
Status in xfonts-utils source package in Xenial:
  Fix Committed
Status in xorg-hwe-16.04 source package in Xenial:
  New
Status in xorg-server source package in Xenial:
  Invalid
Status in xorg-server-hwe-16.04 source package in Xenial:
  Fix Committed

Bug description:
  [Impact]

  *** hwe-16.04 refresh for 16.04.3 ***

  Revert changes to use debhelper10.

  xorg-server-hwe-16.04 needs updates
  - wayland 1.11 (but zesty has 1.12 which mesa needs so backport that)
  - x11proto-core 7.0.31
  - libxfont-dev 2.0.1, which also means backporting libxfont1 (NEW)

  x-x-i-libinput will not replace -evdev in x-x-i-all-hwe-16.04 because the 
unity mouse config doesn't work with -libinput.
  x-x-i-libinput needs newer libinput, which in turn needs libwacom update.

  Mesa needs llvm-4.0 and libclc, libdrm, wayland updates.

  [Test case]

  upgrade from/to stock & old hwe stack, test desktop usage

  [Regression potential]

  zesty hasn't blown up

  [Other information]

  build order:
  1. x11proto-core, libdrm, libxfont, libxfont1, libwacom, llvm-toolchain-4.0, 
vulkan, wayland
  2. libclc, libinput, xorg-server (build-dep libxfont1-dev)
  3. mesa, xorg-server-hwe-16.04
  4. drivers
  5. xorg-hwe-16.04

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libclc/+bug/1687981/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1687981] Re: Backport packages for 16.04.3 HWE stack

2017-07-21 Thread LocutusOfBorg
** Changed in: virtualbox-hwe (Ubuntu)
   Status: New => Fix Committed

** Changed in: virtualbox-hwe (Ubuntu)
 Assignee: (unassigned) => LocutusOfBorg (costamagnagianfranco)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libdrm in Ubuntu.
https://bugs.launchpad.net/bugs/1687981

Title:
  Backport packages for 16.04.3 HWE stack

Status in libclc package in Ubuntu:
  Invalid
Status in libdrm package in Ubuntu:
  Invalid
Status in libinput package in Ubuntu:
  Invalid
Status in libwacom package in Ubuntu:
  Invalid
Status in libxfont package in Ubuntu:
  Invalid
Status in libxfont2 package in Ubuntu:
  Invalid
Status in llvm-toolchain-4.0 package in Ubuntu:
  Invalid
Status in mesa package in Ubuntu:
  Invalid
Status in virtualbox-hwe package in Ubuntu:
  Fix Committed
Status in vulkan package in Ubuntu:
  Invalid
Status in wayland package in Ubuntu:
  Invalid
Status in x11proto-core package in Ubuntu:
  Invalid
Status in xfonts-utils package in Ubuntu:
  New
Status in xorg-hwe-16.04 package in Ubuntu:
  Invalid
Status in xorg-server package in Ubuntu:
  Invalid
Status in xorg-server-hwe-16.04 package in Ubuntu:
  Invalid
Status in libclc source package in Xenial:
  Fix Committed
Status in libdrm source package in Xenial:
  Fix Committed
Status in libinput source package in Xenial:
  Fix Committed
Status in libwacom source package in Xenial:
  Fix Committed
Status in libxfont source package in Xenial:
  Fix Committed
Status in libxfont2 source package in Xenial:
  Fix Committed
Status in llvm-toolchain-4.0 source package in Xenial:
  Fix Committed
Status in mesa source package in Xenial:
  Fix Committed
Status in vulkan source package in Xenial:
  Fix Committed
Status in wayland source package in Xenial:
  Fix Committed
Status in x11proto-core source package in Xenial:
  Fix Committed
Status in xfonts-utils source package in Xenial:
  Fix Committed
Status in xorg-hwe-16.04 source package in Xenial:
  New
Status in xorg-server source package in Xenial:
  Invalid
Status in xorg-server-hwe-16.04 source package in Xenial:
  Fix Committed

Bug description:
  [Impact]

  *** hwe-16.04 refresh for 16.04.3 ***

  Revert changes to use debhelper10.

  xorg-server-hwe-16.04 needs updates
  - wayland 1.11 (but zesty has 1.12 which mesa needs so backport that)
  - x11proto-core 7.0.31
  - libxfont-dev 2.0.1, which also means backporting libxfont1 (NEW)

  x-x-i-libinput will not replace -evdev in x-x-i-all-hwe-16.04 because the 
unity mouse config doesn't work with -libinput.
  x-x-i-libinput needs newer libinput, which in turn needs libwacom update.

  Mesa needs llvm-4.0 and libclc, libdrm, wayland updates.

  [Test case]

  upgrade from/to stock & old hwe stack, test desktop usage

  [Regression potential]

  zesty hasn't blown up

  [Other information]

  build order:
  1. x11proto-core, libdrm, libxfont, libxfont1, libwacom, llvm-toolchain-4.0, 
vulkan, wayland
  2. libclc, libinput, xorg-server (build-dep libxfont1-dev)
  3. mesa, xorg-server-hwe-16.04
  4. drivers
  5. xorg-hwe-16.04

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libclc/+bug/1687981/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1687981] Re: Backport packages for 16.04.3 HWE stack

2017-07-12 Thread LocutusOfBorg
I uploaded virtualbox-lts-zesty and tested the hwe 16.04.3 in xenial VM,
installing virtualbox-guest-x11 and or 
virtualbox-guest-dkms/virtualbox-guest-source works.
Even the embedded kernel module works, so we should be good here.

You can test it on ppa:costamagnagianfranco/locutusofborg-ppa

** Tags removed: verification-failed-xenial
** Tags added: verification-needed-xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libdrm in Ubuntu.
https://bugs.launchpad.net/bugs/1687981

Title:
  Backport packages for 16.04.3 HWE stack

Status in libclc package in Ubuntu:
  Invalid
Status in libdrm package in Ubuntu:
  Invalid
Status in libinput package in Ubuntu:
  Invalid
Status in libwacom package in Ubuntu:
  Invalid
Status in libxfont package in Ubuntu:
  Invalid
Status in libxfont2 package in Ubuntu:
  Invalid
Status in llvm-toolchain-4.0 package in Ubuntu:
  Invalid
Status in mesa package in Ubuntu:
  Invalid
Status in vulkan package in Ubuntu:
  Invalid
Status in wayland package in Ubuntu:
  Invalid
Status in x11proto-core package in Ubuntu:
  Invalid
Status in xfonts-utils package in Ubuntu:
  New
Status in xorg-hwe-16.04 package in Ubuntu:
  Invalid
Status in xorg-server package in Ubuntu:
  Invalid
Status in xorg-server-hwe-16.04 package in Ubuntu:
  Invalid
Status in libclc source package in Xenial:
  Fix Committed
Status in libdrm source package in Xenial:
  Fix Committed
Status in libinput source package in Xenial:
  Fix Committed
Status in libwacom source package in Xenial:
  Fix Committed
Status in libxfont source package in Xenial:
  Fix Committed
Status in libxfont2 source package in Xenial:
  Fix Committed
Status in llvm-toolchain-4.0 source package in Xenial:
  Fix Committed
Status in mesa source package in Xenial:
  Fix Committed
Status in vulkan source package in Xenial:
  Fix Committed
Status in wayland source package in Xenial:
  Fix Committed
Status in x11proto-core source package in Xenial:
  Fix Committed
Status in xfonts-utils source package in Xenial:
  Fix Committed
Status in xorg-hwe-16.04 source package in Xenial:
  New
Status in xorg-server source package in Xenial:
  Invalid
Status in xorg-server-hwe-16.04 source package in Xenial:
  Fix Committed

Bug description:
  [Impact]

  *** hwe-16.04 refresh for 16.04.3 ***

  Revert changes to use debhelper10.

  xorg-server-hwe-16.04 needs updates
  - wayland 1.11 (but zesty has 1.12 which mesa needs so backport that)
  - x11proto-core 7.0.31
  - libxfont-dev 2.0.1, which also means backporting libxfont1 (NEW)

  x-x-i-libinput will not replace -evdev in x-x-i-all-hwe-16.04 because the 
unity mouse config doesn't work with -libinput.
  x-x-i-libinput needs newer libinput, which in turn needs libwacom update.

  Mesa needs llvm-4.0 and libclc, libdrm, wayland updates.

  [Test case]

  upgrade from/to stock & old hwe stack, test desktop usage

  [Regression potential]

  zesty hasn't blown up

  [Other information]

  build order:
  1. x11proto-core, libdrm, libxfont, libxfont1, libwacom, llvm-toolchain-4.0, 
vulkan, wayland
  2. libclc, libinput, xorg-server (build-dep libxfont1-dev)
  3. mesa, xorg-server-hwe-16.04
  4. drivers
  5. xorg-hwe-16.04

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libclc/+bug/1687981/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1687981] Re: Backport packages for 16.04.3 HWE stack

2017-07-10 Thread LocutusOfBorg
Nack on this.
Please wait for virtualbox-guest-x11 being updated.

** Tags removed: verification-done-xenial
** Tags added: block-proposed verification-failed-xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libdrm in Ubuntu.
https://bugs.launchpad.net/bugs/1687981

Title:
  Backport packages for 16.04.3 HWE stack

Status in libclc package in Ubuntu:
  Invalid
Status in libdrm package in Ubuntu:
  Invalid
Status in libinput package in Ubuntu:
  Invalid
Status in libwacom package in Ubuntu:
  Invalid
Status in libxfont package in Ubuntu:
  Invalid
Status in libxfont2 package in Ubuntu:
  Invalid
Status in llvm-toolchain-4.0 package in Ubuntu:
  Invalid
Status in mesa package in Ubuntu:
  Invalid
Status in vulkan package in Ubuntu:
  Invalid
Status in wayland package in Ubuntu:
  Invalid
Status in x11proto-core package in Ubuntu:
  Invalid
Status in xfonts-utils package in Ubuntu:
  New
Status in xorg-hwe-16.04 package in Ubuntu:
  Invalid
Status in xorg-server package in Ubuntu:
  Invalid
Status in xorg-server-hwe-16.04 package in Ubuntu:
  Invalid
Status in libclc source package in Xenial:
  Fix Committed
Status in libdrm source package in Xenial:
  Fix Committed
Status in libinput source package in Xenial:
  Fix Committed
Status in libwacom source package in Xenial:
  Fix Committed
Status in libxfont source package in Xenial:
  Fix Committed
Status in libxfont2 source package in Xenial:
  Fix Committed
Status in llvm-toolchain-4.0 source package in Xenial:
  Fix Committed
Status in mesa source package in Xenial:
  Fix Committed
Status in vulkan source package in Xenial:
  Fix Committed
Status in wayland source package in Xenial:
  Fix Committed
Status in x11proto-core source package in Xenial:
  Fix Committed
Status in xfonts-utils source package in Xenial:
  Fix Committed
Status in xorg-hwe-16.04 source package in Xenial:
  New
Status in xorg-server source package in Xenial:
  Invalid
Status in xorg-server-hwe-16.04 source package in Xenial:
  Fix Committed

Bug description:
  [Impact]

  *** hwe-16.04 refresh for 16.04.3 ***

  Revert changes to use debhelper10.

  xorg-server-hwe-16.04 needs updates
  - wayland 1.11 (but zesty has 1.12 which mesa needs so backport that)
  - x11proto-core 7.0.31
  - libxfont-dev 2.0.1, which also means backporting libxfont1 (NEW)

  x-x-i-libinput will not replace -evdev in x-x-i-all-hwe-16.04 because the 
unity mouse config doesn't work with -libinput.
  x-x-i-libinput needs newer libinput, which in turn needs libwacom update.

  Mesa needs llvm-4.0 and libclc, libdrm, wayland updates.

  [Test case]

  upgrade from/to stock & old hwe stack, test desktop usage

  [Regression potential]

  zesty hasn't blown up

  [Other information]

  build order:
  1. x11proto-core, libdrm, libxfont, libxfont1, libwacom, llvm-toolchain-4.0, 
vulkan, wayland
  2. libclc, libinput, xorg-server (build-dep libxfont1-dev)
  3. mesa, xorg-server-hwe-16.04
  4. drivers
  5. xorg-hwe-16.04

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libclc/+bug/1687981/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1702741] Re: QtCreator crashes when opening a filechooser under wayland

2017-07-07 Thread LocutusOfBorg
I will follow this bug, but seems clearly not a vbox issue :)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtbase-opensource-src in
Ubuntu.
https://bugs.launchpad.net/bugs/1702741

Title:
  QtCreator crashes when opening a filechooser under wayland

Status in qtbase-opensource-src package in Ubuntu:
  Fix Committed
Status in qtbase-opensource-src source package in Zesty:
  In Progress
Status in qtbase-opensource-src package in Debian:
  Fix Released

Bug description:
  Impact
  ==
  The file chooser dialog app for Qt apps will crash the app when trying to use 
the file chooser from a Wayland session such as GNOME on Wayland. GNOME on 
Wayland is included by default in Ubuntu GNOME.

  Test Case
  =
  1) Install Ubuntu 17.04 GNOME
  2) On the login screen, click the gear button and choose GNOME on Wayland and 
log in.
  3) Install qtcreator
  4) Launch qtcreator
  5) Try to do File -> Open File or Project

  The file chooser should open without crashing the app

  Regression Potential
  
  This fix was included in Qt 5.8. This patch was applied in Debian stretch in 
January as part of qtbase-opensource-src 5.7.1+dfsg-3

  
  == Upstream ==

  There is a qt bug here "GTK+ dialogs crash on Wayland" - 
https://bugreports.qt.io/browse/QTBUG-55583
  With what looks like a simple code change that Ubuntu could carry as a patch? 
https://codereview.qt-project.org/#/c/179124/

  Fedora appear to have fixed the bug in Fedora 25 -
  https://bugzilla.redhat.com/show_bug.cgi?id=1403500

  == Debug output ==

  When this occurs in the console you see the following:
  (qtcreator:16534): Gdk-WARNING **: 
/build/gtk+3.0-qPyWJl/gtk+3.0-3.22.11/./gdk/x11/gdkwindow-x11.c:5573 drawable 
is not a native X11 window
  Segmentation fault (core dumped)

  When running under GDB: http://pastebin.ubuntu.com/25033921/

  $ apt-cache policy qtcreator
  qtcreator:
    Installed: 4.1.0-3ubuntu1
    Candidate: 4.1.0-3ubuntu1
    Version table:
   *** 4.1.0-3ubuntu1 500
  500 http://gb.archive.ubuntu.com/ubuntu zesty/universe amd64 Packages
  100 /var/lib/dpkg/status
  $ lsb_release -rd
  Description:  Ubuntu 17.04
  Release:  17.04

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qtbase-opensource-src/+bug/1702741/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1638902] Re: [2.27 Regression] gold internal error in fix_errata on aarch64-linux-gnu

2017-06-30 Thread LocutusOfBorg
ok, now also ghc fails on arm64 for the same issue

** Changed in: binutils (Ubuntu)
   Importance: Medium => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1638902

Title:
   [2.27 Regression] gold internal error in fix_errata on aarch64-linux-
  gnu

Status in binutils:
  Confirmed
Status in binutils package in Ubuntu:
  Confirmed

Bug description:
  seen with binutils from the 2.27 branch:

  $ sh link.sh 
  ld.gold: internal error in fix_errata, at ../../gold/aarch64.cc:1960

  This works with the BFD linker, or when dropping the --fix-
  cortex-a53-843419 option.

  The test cases comes from the build of the gitit package on Ubuntu 16.10,
  see https://launchpad.net/ubuntu/+source/gitit/0.12.1.1+dfsg-2build7

  The package built successfully with binutils 2.26.1

  test case at
  http://people.canonical.com/~doko/tmp/tst.tar.xz

To manage notifications about this bug go to:
https://bugs.launchpad.net/binutils/+bug/1638902/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1610519] Re: apport-gtk crashes with segmentation fault

2017-06-06 Thread LocutusOfBorg
*** This bug is a duplicate of bug 1647600 ***
https://bugs.launchpad.net/bugs/1647600

can you please test libepoxy from my ppa?
 https://launchpad.net/~costamagnagianfranco/+archive/ubuntu/locutusofborg-ppa

please report back results on bug:
https://bugs.launchpad.net/ubuntu/+source/libepoxy/+bug/1647600

this is a duplicate bug.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1610519

Title:
  apport-gtk crashes with segmentation fault

Status in apport package in Ubuntu:
  New

Bug description:
  apport-bug calling apport-gtk crashes with a segmentation fault.

  ~ $ lsb_release -rd
  Description: Ubuntu 16.04.1 LTS
  Release: 16.04
  ~ $ dpkg -l apport-gtk
  Desired=Unknown/Install/Remove/Purge/Hold
  | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
  |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
  ||/ NameVersion  Architecture 
Description
  
+++-===---
  ii  apport-gtk  2.20.1-0ubuntu2.1all  
GTK+ frontend for the apport crash report system

  
  This look related to #1610518.

  
  The backtrace from the core:

  ~ $ apport-bug 
  Segmentation fault (core dumped)
  ~ $ gdb64 /usr/bin/python3 core 
  GNU gdb (Ubuntu 7.11.1-0ubuntu1~16.04) 7.11.1
  Copyright (C) 2016 Free Software Foundation, Inc.
  License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
  This is free software: you are free to change and redistribute it.
  There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
  and "show warranty" for details.
  This GDB was configured as "x86_64-linux-gnu".
  Type "show configuration" for configuration details.
  For bug reporting instructions, please see:
  <http://www.gnu.org/software/gdb/bugs/>.
  Find the GDB manual and other documentation resources online at:
  <http://www.gnu.org/software/gdb/documentation/>.
  For help, type "help".
  Type "apropos word" to search for commands related to "word"...
  Reading symbols from /usr/bin/python3...(no debugging symbols found)...done.

  warning: core file may not match specified executable file.
  [New LWP 4932]
  [Thread debugging using libthread_db enabled]
  Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

  warning: the debug information found in "/lib64/ld-2.23.so" does not
  match "/lib64/ld-linux-x86-64.so.2" (CRC mismatch).

  Core was generated by `/usr/bin/python3 /usr/share/apport/apport-gtk'.
  Program terminated with signal SIGSEGV, Segmentation fault.
  #0  rawmemchr () at ../sysdeps/x86_64/rawmemchr.S:37

  warning: Source file is more recent than executable.
  37movdqu  (%rdi), %xmm0
  (gdb) backtrace full
  #0  rawmemchr () at ../sysdeps/x86_64/rawmemchr.S:37
  No locals.
  #1  0x7f89cc55bf22 in _IO_str_init_static_internal 
(sf=sf@entry=0x7ffc1fa72690, ptr=ptr@entry=0x0, size=size@entry=0, 
pstart=pstart@entry=0x0)
  at strops.c:41
  fp = 0x7ffc1fa72690
  end = 
  #2  0x7f89cc54ab67 in __GI___isoc99_vsscanf (string=0x0, 
format=0x7f89c5e972f2 "%d.%d", args=args@entry=0x7ffc1fa727b8) at 
isoc99_vsscanf.c:41
  ret = -863365216
  sf = {_sbf = {_f = {_flags = -72515584, _IO_read_ptr = 0x0, 
_IO_read_end = 0x0, _IO_read_base = 0x0, _IO_write_base = 0x0, 
_IO_write_ptr = 0x0, _IO_write_end = 0x0, _IO_buf_base = 0x0, 
_IO_buf_end = 0x0, _IO_save_base = 0x0, _IO_backup_base = 0x0, 
_IO_save_end = 0x0, _markers = 0x0, _chain = 0x0, _fileno = 0, 
_flags2 = 0, _old_offset = 71776119061217280, _cur_column = 0, 
_vtable_offset = 0 '\000', _shortbuf = "", _lock = 0x0, _offset 
= 0, _codecvt = 0x0, _wide_data = 0x, 
_freeres_list = 0x0, _freeres_buf = 0xff00ff00, __pad5 
= 18446462598732840960, _mode = -1, 
_unused2 = '\000' }, vtable = 0x7f89cc8a17a0 
<_IO_str_jumps>}, _s = {_allocate_buffer = 0x0, _free_buffer = 0x0}}
  #3  0x7f89cc54ab07 in __isoc99_sscanf (s=, 
format=) at isoc99_sscanf.c:31
  arg = 
  done = -863365216
  #4  0x7f89c5e79d22 in epoxy_glx_version () from 
/usr/lib/x86_64-linux-gnu/libepoxy.so.0
  No symbol table info available.
  #5  0x7f89c8b18509 in gdk_x11_screen_init_gl 
(screen=screen@entry=0xdf6160)
  at /build/gtk+3.0-6ZPWga/gtk+3.0-3.18.9/./gdk/x11/gdkglcontext-x11.c:774
  display = 0xdf1020
  display_x11 = 0xdf1020
  dpy = 0xde3800
  error_base = 172
  event_base = 104
  screen_num = 0

[Touch-packages] [Bug 1688310] Re: KDC/kadmind may fail to start on IPv4-only systems

2017-05-15 Thread LocutusOfBorg
** Tags added: verification-done

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to krb5 in Ubuntu.
https://bugs.launchpad.net/bugs/1688310

Title:
  KDC/kadmind may fail to start on IPv4-only systems

Status in krb5 package in Ubuntu:
  Fix Released
Status in krb5 source package in Zesty:
  Fix Committed
Status in krb5 package in Debian:
  Fix Released

Bug description:
  This is fixed in artful in krb5 1.15-2

  - upstream: http://krbdev.mit.edu/rt/Ticket/Display.html?id=8531
  - debian: conflated into 
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=860767
  - debian patch: 0011-Fix-KDC-kadmind-startup-on-some-IPv4-only-systems.patch

  [Impact]
  getaddrinfo() called on a wildcard address might return the IPv6 "::1" 
address. On machines without IPv6 support, binding to it will most likely fail 
and the kdc/kadmin services won't start.

  The provided patch is applied upstream and in Debian testing.

  [Test Case]

  Steps to reproduce the problem on zesty:

  a) install krb5-kdc krb5-admin-server
  $ sudo apt install krb5-kdc krb5-admin-server
  when prompted, use EXAMPLE.ORG (all caps) as the default realm
  when prompted, use the IP of this machine for the KDC and the Admin servers

  b) configure a new realm called EXAMPLE.ORG
  $ sudo krb5_newrealm
  use any password of your liking when prompted

  c) confirm the kdc and admin services are running.
  $ ps faxw|grep -E "(krb5kdc|kadmind)"|grep -v grep
   4275 ?Ss 0:00 /usr/sbin/krb5kdc -P /var/run/krb5-kdc.pid
   4306 ?Ss 0:00 /usr/sbin/kadmind -nofork

  d) create a principal and obtain a ticket to confirm kerberos is working 
properly:
  $ sudo kadmin.local addprinc -pw ubuntu +requires_preauth ubuntu
  $ kinit
  Password for ubu...@example.org:
  $ klist
  Ticket cache: FILE:/tmp/krb5cc_1000
  Default principal: ubu...@example.org

  Valid starting   Expires  Service principal
  05/04/2017 14:20:17  05/05/2017 00:20:17  krbtgt/example@example.org
   renew until 05/05/2017 14:20:13

  e) Confirm the kerberos services are bound to IPv6 local sockets:
  $ sudo netstat -anp|grep -E "^(tcp|udp)6.*(krb5kdc|kadmind)"
  tcp6   0  0 :::88   :::*LISTEN
  1078/krb5kdc
  tcp6   0  0 :::749  :::*LISTEN
  1065/kadmind
  tcp6   0  0 :::464  :::*LISTEN
  1065/kadmind
  udp6   0  0 :::88   :::*  
  1078/krb5kdc
  udp6   0  0 :::464  :::*  
  1065/kadmind
  udp6   0  0 :::750  :::*  
  1078/krb5kdc

  f) configure the system to not support IPv6. There are probably many ways to 
do this, but the one sure way is to reboot it with ipv6.disable=1 in the kernel 
command line:
  e.1) edit /etc/default/grub
  e.2) add "ipv6.disable=1" to GRUB_CMDLINE_LINUX and save
  e.3) run sudo update-grub
  e.4) reboot

  f) Confirm the kdc and admin services are NOT running:
  $ ps faxw|grep -E "(krb5kdc|kadmind)"|grep -v grep
  $

  g) /var/log/auth.log will contain the reason:
  $ sudo grep -E "(kadmind|krb5kdc).*Failed" /var/log/auth.log
  May  4 14:11:54 22-96 krb5kdc[1087]: Failed setting up a UDP socket (for 
::.750)
  May  4 14:11:54 22-96 kadmind[1085]: Failed setting up a UDP socket (for 
::.464)
  May  4 14:15:36 22-96 krb5kdc[1510]: Failed setting up a UDP socket (for 
::.750)
  May  4 14:16:36 22-96 krb5kdc[1652]: Failed setting up a UDP socket (for 
::.750)
  May  4 14:25:54 22-96 kadmind[1085]: Failed setting up a UDP socket (for 
::.464)
  May  4 14:25:54 22-96 krb5kdc[1079]: Failed setting up a UDP socket (for 
::.750)

  With the updated packages, krb5-kdc and krb5-admin-server will startup
  just fine in the same conditions.

  [Regression Potential]
  We now tolerate a EAFNOSUPPORT error as long as at least one socket was bound 
to correctly. Maybe there could be a scenario when this one bound socket is 
useless, or unexpected: in that case, bailing out because of the EAFNOSUPPORT 
error could be seen as a more robust approach because it's immediately visible, 
instead of silently listening on the useless socket.

  That being said, I believe single stack systems (only IPv4, or only
  IPv6) take an extra configuration effort and most systems are dual
  stack. Zesty certainly is, out of the box.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/krb5/+bug/1688310/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1688121] Re: KDC/kadmind explicit wildcard listener addresses do not use pktinfo

2017-05-15 Thread LocutusOfBorg
** Tags added: verification-done

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to krb5 in Ubuntu.
https://bugs.launchpad.net/bugs/1688121

Title:
  KDC/kadmind explicit wildcard listener addresses do not use pktinfo

Status in krb5 package in Ubuntu:
  Fix Released
Status in krb5 source package in Zesty:
  Fix Committed

Bug description:
  This is fixed in artful in krb5 1.15-2

  - upstream: http://krbdev.mit.edu/rt/Ticket/Display.html?id=8530
  - debian: conflated into 
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=860767
  - debian patch in artful's krb5: 
0012-Use-pktinfo-for-explicit-UDP-wildcard-listeners.patch

  [Impact]

  When the KDC is configured to listen on the wildcard address (0.0.0.0) and 
receives a kinit request via UDP on an aliased interface, the response is sent 
with the wrong source IP and never received by kinit.
  After a short timeout, kinit tries again with TCP, in which case it works. 
But if using PREAUTH (the default), that means this first request will 
correctly fail, with the server demanding PREAUTH, and the client will try 
again with a changed request. The whole dance starts again: first UDP, ignored, 
then TCP, and finally we have a ticket.

  Most clients will just see an increased lag when obtaining tickets. If
  for some reason 88/TCP is blocked on the KDC and clients are expected
  to use UDP at all times, then kinit requests will just fail.

  A workaround is to list the aliased interface's address in kdc_listen
  besides the wildcard (0.0.0.0) address.

  The provided patch is applied upstream and in Debian testing.

  [Test Case]

  On zesty:
  a) install krb5-kdc and krb5-admin-server
  $ sudo apt install krb5-kdc krb5-admin-server
  when prompted, use EXAMPLE.ORG (all caps) as the default realm
  when prompted, select your own IP for the KDC and the Admin servers

  b) configure a new realm called EXAMPLE.ORG
  $ sudo krb5_newrealm
  use any password of your liking when prompted

  b.1) Add "kdc_listen = 0.0.0.0" to the EXAMPLE.ORG [realm] section in 
/etc/krb5kdc/kdc.conf and restart the kerberos services:
  [realms]
  EXAMPLE.ORG = {
  kdc_listen = 0.0.0.0
  (...)
  $ sudo service krb5-kdc restart
  $ sudo service krb5-admin-server restart

  c) run kadmin.local to create a principal "ubuntu" with password "ubuntu" and 
with mandatory PREAUTH:
  $ sudo kadmin.local addprinc -pw ubuntu +requires_preauth ubuntu

  d) extract the ubuntu principal keytab and time how long it takes to obtain a 
ticket:
  $ sudo kadmin.local ktadd -k /home/ubuntu/ubuntu.keytab ubuntu
  $ sudo chown ubuntu:ubuntu /home/ubuntu/ubuntu.keytab
  $ time kinit -k -t /home/ubuntu/ubuntu.keytab ubuntu
  real  0m0.022s
  $ klist
  Ticket cache: FILE:/tmp/krb5cc_1000
  Default principal: ubu...@example.org

  Valid starting   Expires  Service principal
  05/03/2017 21:22:08  05/04/2017 07:22:08  krbtgt/example@example.org
   renew until 05/04/2017 21:22:08

  e) add another IP to your network interface. For example, this adds 
10.0.5.155 to ens3 (it has 10.0.5.55/24 already in my case):
  $ sudo ip addr add 10.0.5.155/24 dev ens3

  f) Edit the EXAMPLE.ORG realm section in /etc/krb5.conf and configure the kdc 
and admin server's IP to this new IP you just added in step (e):
  [realms]
  EXAMPLE.ORG = {
  kdc = 10.0.5.155
  admin_server = 10.0.5.155

  g) Time again how long it takes to obtain a ticket:
  $ time kinit -k -t /home/ubuntu/ubuntu.keytab ubuntu
  real  0m2.017s

  Step (g) shows the bug.

  On a more technical level, we can see that the server responds to kinit's UDP 
request using an incorrect source IP, therefore kinit never "sees" it. It 
quickly times out and switches to TCP, where the server responds using the 
correct source IP:
  1 0.010.0.5.55 → 10.0.5.155   KRB5 216 AS-REQ
  2 0.00056668210.0.5.55 → 10.0.5.55KRB5 298 KRB Error: 
KRB5KDC_ERR_PREAUTH_REQUIRED
  (2) has the incorrect source ip!

  After roughly 1s, kinit switches to tcp and tries again:
  3 1.00323150710.0.5.55 → 10.0.5.155   TCP 76 55588 → 88 [SYN] Seq=0 
Win=43690 Len=0 MSS=65495 SACK_PERM=1 TSval=3523453804 TSecr=0 WS=128
  4 1.003269692   10.0.5.155 → 10.0.5.55TCP 76 88 → 55588 [SYN, ACK] 
Seq=0 Ack=1 Win=43690 Len=0 MSS=65495 SACK_PERM=1 TSval=2572724273 
TSecr=3523453804 WS=128
  5 1.00330261410.0.5.55 → 10.0.5.155   TCP 68 55588 → 88 [ACK] Seq=1 
Ack=1 Win=43776 Len=0 TSval=3523453804 TSecr=2572724273
  6 1.00354520410.0.5.55 → 10.0.5.155   KRB5 244 AS-REQ
  7 1.003567693   10.0.5.155 → 10.0.5.55TCP 68 88 → 55588 [ACK] Seq=1 
Ack=177 Win=44800 Len=0 TSval=2572724273 TSecr=3523453804
  8 1.003799664   10.0.5.155 → 10.0.5.55KRB5 326 KRB Error: 
KRB5KDC_ERR_PREAUTH_REQUIRED
  (continues)
  (8) and the whole tcp handshake happens with the correct IP addresses and the 
exchange 

[Touch-packages] [Bug 1688310] Re: KDC/kadmind may fail to start on IPv4-only systems

2017-05-13 Thread LocutusOfBorg
Andreas can you please test it?
thanks

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to krb5 in Ubuntu.
https://bugs.launchpad.net/bugs/1688310

Title:
  KDC/kadmind may fail to start on IPv4-only systems

Status in krb5 package in Ubuntu:
  Fix Released
Status in krb5 source package in Zesty:
  Fix Committed
Status in krb5 package in Debian:
  Fix Released

Bug description:
  This is fixed in artful in krb5 1.15-2

  - upstream: http://krbdev.mit.edu/rt/Ticket/Display.html?id=8531
  - debian: conflated into 
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=860767
  - debian patch: 0011-Fix-KDC-kadmind-startup-on-some-IPv4-only-systems.patch

  [Impact]
  getaddrinfo() called on a wildcard address might return the IPv6 "::1" 
address. On machines without IPv6 support, binding to it will most likely fail 
and the kdc/kadmin services won't start.

  The provided patch is applied upstream and in Debian testing.

  [Test Case]

  Steps to reproduce the problem on zesty:

  a) install krb5-kdc krb5-admin-server
  $ sudo apt install krb5-kdc krb5-admin-server
  when prompted, use EXAMPLE.ORG (all caps) as the default realm
  when prompted, use the IP of this machine for the KDC and the Admin servers

  b) configure a new realm called EXAMPLE.ORG
  $ sudo krb5_newrealm
  use any password of your liking when prompted

  c) confirm the kdc and admin services are running.
  $ ps faxw|grep -E "(krb5kdc|kadmind)"|grep -v grep
   4275 ?Ss 0:00 /usr/sbin/krb5kdc -P /var/run/krb5-kdc.pid
   4306 ?Ss 0:00 /usr/sbin/kadmind -nofork

  d) create a principal and obtain a ticket to confirm kerberos is working 
properly:
  $ sudo kadmin.local addprinc -pw ubuntu +requires_preauth ubuntu
  $ kinit
  Password for ubu...@example.org:
  $ klist
  Ticket cache: FILE:/tmp/krb5cc_1000
  Default principal: ubu...@example.org

  Valid starting   Expires  Service principal
  05/04/2017 14:20:17  05/05/2017 00:20:17  krbtgt/example@example.org
   renew until 05/05/2017 14:20:13

  e) Confirm the kerberos services are bound to IPv6 local sockets:
  $ sudo netstat -anp|grep -E "^(tcp|udp)6.*(krb5kdc|kadmind)"
  tcp6   0  0 :::88   :::*LISTEN
  1078/krb5kdc
  tcp6   0  0 :::749  :::*LISTEN
  1065/kadmind
  tcp6   0  0 :::464  :::*LISTEN
  1065/kadmind
  udp6   0  0 :::88   :::*  
  1078/krb5kdc
  udp6   0  0 :::464  :::*  
  1065/kadmind
  udp6   0  0 :::750  :::*  
  1078/krb5kdc

  f) configure the system to not support IPv6. There are probably many ways to 
do this, but the one sure way is to reboot it with ipv6.disable=1 in the kernel 
command line:
  e.1) edit /etc/default/grub
  e.2) add "ipv6.disable=1" to GRUB_CMDLINE_LINUX and save
  e.3) run sudo update-grub
  e.4) reboot

  f) Confirm the kdc and admin services are NOT running:
  $ ps faxw|grep -E "(krb5kdc|kadmind)"|grep -v grep
  $

  g) /var/log/auth.log will contain the reason:
  $ sudo grep -E "(kadmind|krb5kdc).*Failed" /var/log/auth.log
  May  4 14:11:54 22-96 krb5kdc[1087]: Failed setting up a UDP socket (for 
::.750)
  May  4 14:11:54 22-96 kadmind[1085]: Failed setting up a UDP socket (for 
::.464)
  May  4 14:15:36 22-96 krb5kdc[1510]: Failed setting up a UDP socket (for 
::.750)
  May  4 14:16:36 22-96 krb5kdc[1652]: Failed setting up a UDP socket (for 
::.750)
  May  4 14:25:54 22-96 kadmind[1085]: Failed setting up a UDP socket (for 
::.464)
  May  4 14:25:54 22-96 krb5kdc[1079]: Failed setting up a UDP socket (for 
::.750)

  With the updated packages, krb5-kdc and krb5-admin-server will startup
  just fine in the same conditions.

  [Regression Potential]
  We now tolerate a EAFNOSUPPORT error as long as at least one socket was bound 
to correctly. Maybe there could be a scenario when this one bound socket is 
useless, or unexpected: in that case, bailing out because of the EAFNOSUPPORT 
error could be seen as a more robust approach because it's immediately visible, 
instead of silently listening on the useless socket.

  That being said, I believe single stack systems (only IPv4, or only
  IPv6) take an extra configuration effort and most systems are dual
  stack. Zesty certainly is, out of the box.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/krb5/+bug/1688310/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1688121] Re: KDC/kadmind explicit wildcard listener addresses do not use pktinfo

2017-05-12 Thread LocutusOfBorg
ahasenack, can you please test it?


thanks!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to krb5 in Ubuntu.
https://bugs.launchpad.net/bugs/1688121

Title:
  KDC/kadmind explicit wildcard listener addresses do not use pktinfo

Status in krb5 package in Ubuntu:
  Fix Released
Status in krb5 source package in Zesty:
  Fix Committed

Bug description:
  This is fixed in artful in krb5 1.15-2

  - upstream: http://krbdev.mit.edu/rt/Ticket/Display.html?id=8530
  - debian: conflated into 
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=860767
  - debian patch in artful's krb5: 
0012-Use-pktinfo-for-explicit-UDP-wildcard-listeners.patch

  
  [Impact]

  When the KDC receives a kinit request via UDP on an aliased interface, the 
response is sent with the wrong source IP and never received by kinit.
  After a short timeout, kinit tries again with TCP, in which case it works. 
But if using PREAUTH (the default), that means this first request will 
correctly fail, with the server demanding PREAUTH, and the client will try 
again with a changed request. The whole dance starts again: first UDP, ignored, 
then TCP, and finally we have a ticket.

  Most clients will just see an increased lag when obtaining tickets. If
  for some reason 88/TCP is blocked on the KDC and clients are expected
  to use UDP at all times, then kinit requests will just fail.

  A workaround is to list the aliased interface's address in kdc_listen
  besides the wildcard (0.0.0.0) address.

  The provided patch is applied upstream and in Debian testing.

  
  [Test Case]

  On zesty:
  a) install krb5-kdc and krb5-admin-server
  $ sudo apt install krb5-kdc krb5-admin-server
  when prompted, use EXAMPLE.ORG (all caps) as the default realm
  when prompted, select your own IP for the KDC and the Admin servers

  b) configure a new realm called EXAMPLE.ORG
  $ sudo krb5_newrealm
  use any password of your liking when prompted

  c) run kadmin.local to create a principal "ubuntu" with password "ubuntu" and 
with mandatory PREAUTH:
  $ sudo kadmin.local addprinc -pw ubuntu +requires_preauth ubuntu

  d) extract the ubuntu principal keytab and time how long it takes to obtain a 
ticket:
  $ sudo kadmin.local ktadd -k /home/ubuntu/ubuntu.keytab ubuntu
  $ sudo chown ubuntu:ubuntu /home/ubuntu/ubuntu.keytab
  $ time kinit -k -t /home/ubuntu/ubuntu.keytab ubuntu
  real  0m0.022s
  $ klist
  Ticket cache: FILE:/tmp/krb5cc_1000
  Default principal: ubu...@example.org

  Valid starting   Expires  Service principal
  05/03/2017 21:22:08  05/04/2017 07:22:08  krbtgt/example@example.org
   renew until 05/04/2017 21:22:08

  e) add another IP to your network interface. For example, this adds 
10.0.5.155 to ens3 (it has 10.0.5.55/24 already in my case):
  $ sudo ip addr add 10.0.5.155/24 dev ens3

  f) Edit the EXAMPLE.ORG realm section in /etc/krb5.conf and configure the kdc 
and admin server's IP to this new IP you just added in step (e):
  [realms]
  EXAMPLE.ORG = {
  kdc = 10.0.5.155
  admin_server = 10.0.5.155

  g) Time again how long it takes to obtain a ticket:
  $ time kinit -k -t /home/ubuntu/ubuntu.keytab ubuntu
  real  0m2.017s

  Step (g) shows the bug.

  On a more technical level, we can see that the server responds to kinit's UDP 
request using an incorrect source IP, therefore kinit never "sees" it. It 
quickly times out and switches to TCP, where the server responds using the 
correct source IP:
  1 0.010.0.5.55 → 10.0.5.155   KRB5 216 AS-REQ
  2 0.00056668210.0.5.55 → 10.0.5.55KRB5 298 KRB Error: 
KRB5KDC_ERR_PREAUTH_REQUIRED
  (2) has the incorrect source ip!

  After roughly 1s, kinit switches to tcp and tries again:
  3 1.00323150710.0.5.55 → 10.0.5.155   TCP 76 55588 → 88 [SYN] Seq=0 
Win=43690 Len=0 MSS=65495 SACK_PERM=1 TSval=3523453804 TSecr=0 WS=128
  4 1.003269692   10.0.5.155 → 10.0.5.55TCP 76 88 → 55588 [SYN, ACK] 
Seq=0 Ack=1 Win=43690 Len=0 MSS=65495 SACK_PERM=1 TSval=2572724273 
TSecr=3523453804 WS=128
  5 1.00330261410.0.5.55 → 10.0.5.155   TCP 68 55588 → 88 [ACK] Seq=1 
Ack=1 Win=43776 Len=0 TSval=3523453804 TSecr=2572724273
  6 1.00354520410.0.5.55 → 10.0.5.155   KRB5 244 AS-REQ
  7 1.003567693   10.0.5.155 → 10.0.5.55TCP 68 88 → 55588 [ACK] Seq=1 
Ack=177 Win=44800 Len=0 TSval=2572724273 TSecr=3523453804
  8 1.003799664   10.0.5.155 → 10.0.5.55KRB5 326 KRB Error: 
KRB5KDC_ERR_PREAUTH_REQUIRED
  (continues)
  (8) and the whole tcp handshake happens with the correct IP addresses and the 
exchange happens and we get the ticket, but not before kinit repeats the 
request with PREAUTH and UDP again. That's why it takes 2 seconds in the end :)

  h) repeat step (g) with the updated packages. Timing should be similar
  to the one in step (d), and a traffic capture should show UDP (and not
  TCP) being used.

  Alternativaly, 

[Touch-packages] [Bug 896726] Re: skype chat dies, then can't quit, have to restart

2017-05-10 Thread LocutusOfBorg
** Changed in: pulseaudio (Ubuntu)
   Status: Incomplete => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/896726

Title:
  skype chat dies, then can't quit, have to restart

Status in pulseaudio package in Ubuntu:
  Fix Released

Bug description:
  This now happens everyday:
  I'm using skype chat with a friend.
  After 10 min or so, I stop hearing back from then. 
  Then skype says my messages are not going through.
  When I try to close skype it doesn't respond.
  Have to restart laptop.

  I'm on mains power, and have good network connection.
  --- 
  ApportVersion: 1.23-0ubuntu4
  Architecture: i386
  DistroRelease: Ubuntu 11.10
  EcryptfsInUse: Yes
  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
  Package: skype 2.2.0.35-1
  PackageArchitecture: i386
  ProcEnviron:
   LANGUAGE=en_GB:en
   PATH=(custom, no user)
   LANG=en_GB.UTF-8
   SHELL=/bin/bash
  Tags:  oneiric running-unity
  Uname: Linux 3.2.0-030200rc2-generic i686
  UnreportableReason: This is not a genuine Ubuntu package
  UpgradeStatus: Upgraded to oneiric on 2011-10-16 (41 days ago)
  UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
  --- 
  ApportVersion: 1.23-0ubuntu4
  Architecture: i386
  DistroRelease: Ubuntu 11.10
  EcryptfsInUse: Yes
  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
  Package: skype 2.2.0.35-0oneiric2
  PackageArchitecture: i386
  ProcEnviron:
   LANGUAGE=en_GB:en
   PATH=(custom, no user)
   LANG=en_GB.UTF-8
   SHELL=/bin/bash
  Tags:  oneiric running-unity
  Uname: Linux 3.2.0-030200rc2-generic i686
  UnreportableReason: This is not a genuine Ubuntu package
  UpgradeStatus: Upgraded to oneiric on 2011-10-16 (45 days ago)
  UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
  --- 
  ApportVersion: 1.23-0ubuntu4
  Architecture: i386
  DistroRelease: Ubuntu 11.10
  EcryptfsInUse: Yes
  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
  Package: skype 2.2.0.35-1
  PackageArchitecture: i386
  ProcEnviron:
   LANGUAGE=en_GB:en
   PATH=(custom, no user)
   LANG=en_GB.UTF-8
   SHELL=/bin/bash
  Tags:  oneiric running-unity
  Uname: Linux 3.2.0-030200rc2-generic i686
  UnreportableReason: This is not a genuine Ubuntu package
  UpgradeStatus: Upgraded to oneiric on 2011-10-16 (47 days ago)
  UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
  --- 
  ApportVersion: 1.23-0ubuntu4
  Architecture: i386
  DistroRelease: Ubuntu 11.10
  EcryptfsInUse: Yes
  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
  Package: skype 2.2.0.35-1
  PackageArchitecture: i386
  ProcEnviron:
   LANGUAGE=en_GB:en
   PATH=(custom, no user)
   LANG=en_GB.UTF-8
   SHELL=/bin/bash
  Tags:  oneiric running-unity
  Uname: Linux 3.2.0-030200rc2-generic i686
  UnreportableReason: This is not a genuine Ubuntu package
  UpgradeStatus: Upgraded to oneiric on 2011-10-16 (48 days ago)
  UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
  --- 
  ApportVersion: 1.23-0ubuntu4
  Architecture: i386
  DistroRelease: Ubuntu 11.10
  EcryptfsInUse: Yes
  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
  Package: skype 2.2.0.35-1
  PackageArchitecture: i386
  ProcEnviron:
   LANGUAGE=en_GB:en
   PATH=(custom, no user)
   LANG=en_GB.UTF-8
   SHELL=/bin/bash
  Tags:  oneiric running-unity
  Uname: Linux 3.2.0-030200rc2-generic i686
  UnreportableReason: This is not a genuine Ubuntu package
  UpgradeStatus: Upgraded to oneiric on 2011-10-16 (49 days ago)
  UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
  --- 
  AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
  ApportVersion: 1.23-0ubuntu4
  Architecture: i386
  ArecordDevices:
    List of CAPTURE Hardware Devices 
   card 0: Intel [HDA Intel], device 0: AD198x Analog [AD198x Analog]
 Subdevices: 2/2
 Subdevice #0: subdevice #0
 Subdevice #1: subdevice #1
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  frank  2075 F pulseaudio
  Card0.Amixer.info:
   Card hw:0 'Intel'/'HDA Intel at 0xf822 irq 46'
 Mixer name : 'Analog Devices AD1984'
 Components : 'HDA:11d41984,17aa20d6,00100400'
 Controls  : 31
 Simple ctrls  : 19
  Card29.Amixer.info:
   Card hw:29 'ThinkPadEC'/'ThinkPad Console Audio Control at EC reg 0x30, fw 
7MHT25WW-1.03'
 Mixer name : 'ThinkPad EC 7MHT25WW-1.03'
 Components : ''
 Controls  : 1
 Simple ctrls  : 1
  Card29.Amixer.values:
   Simple mixer control 'Console',0
 Capabilities: pswitch pswitch-joined penum
 Playback channels: Mono
 Mono: Playback [on]
  DistroRelease: Ubuntu 11.10
  EcryptfsInUse: Yes
  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
  Package: pulseaudio 1:1.0-0ubuntu3.1
  

[Touch-packages] [Bug 1688310] Re: KDC/kadmind may fail to start on IPv4-only systems

2017-05-04 Thread LocutusOfBorg
** Also affects: krb5 (Ubuntu Zesty)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to krb5 in Ubuntu.
https://bugs.launchpad.net/bugs/1688310

Title:
  KDC/kadmind may fail to start on IPv4-only systems

Status in krb5 package in Ubuntu:
  In Progress
Status in krb5 source package in Zesty:
  New

Bug description:
  This is fixed in artful in krb5 1.15-2

  - upstream: http://krbdev.mit.edu/rt/Ticket/Display.html?id=8531
  - debian: conflated into 
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=860767
  - debian patch: 0011-Fix-KDC-kadmind-startup-on-some-IPv4-only-systems.patch

  getaddrinfo() called on a wildcard address might return the IPv6 "::1"
  address. On machines without IPv6 support, binding to it will likely
  fail and the kdc/kadmin services won't start.

  Steps to reproduce the problem on zesty:

  a) install krb5-kdc krb5-admin-server
  $ sudo apt install krb5-kdc krb5-admin-server
  when prompted, use EXAMPLE.ORG (all caps) as the default realm
  when prompted, use the IP of this machine for the KDC and the Admin servers

  b) configure a new realm called EXAMPLE.ORG
  $ sudo krb5_newrealm
  use any password of your liking when prompted

  c) confirm the kdc and admin services are running.
  $ ps faxw|grep -E "(krb5kdc|kadmind)"|grep -v grep
   4275 ?Ss 0:00 /usr/sbin/krb5kdc -P /var/run/krb5-kdc.pid
   4306 ?Ss 0:00 /usr/sbin/kadmind -nofork

  d) create a principal and obtain a ticket to confirm kerberos is working 
properly:
  $ sudo kadmin.local addprinc -pw ubuntu +requires_preauth ubuntu
  $ kinit
  Password for ubu...@example.org: 
  $ klist
  Ticket cache: FILE:/tmp/krb5cc_1000
  Default principal: ubu...@example.org

  Valid starting   Expires  Service principal
  05/04/2017 14:20:17  05/05/2017 00:20:17  krbtgt/example@example.org
renew until 05/05/2017 14:20:13

  e) Confirm the kerberos services are bound to IPv6 local sockets:
  $ sudo netstat -anp|grep -E "^(tcp|udp)6.*(krb5kdc|kadmind)"
  tcp6   0  0 :::88   :::*LISTEN
  1078/krb5kdc
  tcp6   0  0 :::749  :::*LISTEN
  1065/kadmind
  tcp6   0  0 :::464  :::*LISTEN
  1065/kadmind
  udp6   0  0 :::88   :::*  
  1078/krb5kdc
  udp6   0  0 :::464  :::*  
  1065/kadmind
  udp6   0  0 :::750  :::*  
  1078/krb5kdc

  f) configure the system to not support IPv6. There are probably many ways to 
do this, but the one sure way is to reboot it with ipv6.disable=1 in the kernel 
command line:
  e.1) edit /etc/default/grub
  e.2) add "ipv6.disable=1" to GRUB_CMDLINE_LINUX and save
  e.3) run sudo update-grub
  e.4) reboot

  f) Confirm the kdc and admin services are NOT running:
  $ ps faxw|grep -E "(krb5kdc|kadmind)"|grep -v grep
  $

  g) /var/log/auth.log will contain the reason:
  $ sudo grep -E "(kadmind|krb5kdc).*Failed" /var/log/auth.log 
  May  4 14:11:54 22-96 krb5kdc[1087]: Failed setting up a UDP socket (for 
::.750)
  May  4 14:11:54 22-96 kadmind[1085]: Failed setting up a UDP socket (for 
::.464)
  May  4 14:15:36 22-96 krb5kdc[1510]: Failed setting up a UDP socket (for 
::.750)
  May  4 14:16:36 22-96 krb5kdc[1652]: Failed setting up a UDP socket (for 
::.750)
  May  4 14:25:54 22-96 kadmind[1085]: Failed setting up a UDP socket (for 
::.464)
  May  4 14:25:54 22-96 krb5kdc[1079]: Failed setting up a UDP socket (for 
::.750)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/krb5/+bug/1688310/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1688121] Re: KDC/kadmind explicit wildcard listener addresses do not use pktinfo

2017-05-04 Thread LocutusOfBorg
** Bug watch added: Debian Bug tracker #860767
   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=860767

** Changed in: krb5 (Debian)
 Remote watch: krbdev.mit.edu/rt/ #8530 => Debian Bug tracker #860767

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to krb5 in Ubuntu.
https://bugs.launchpad.net/bugs/1688121

Title:
  KDC/kadmind explicit wildcard listener addresses do not use pktinfo

Status in krb5 package in Ubuntu:
  Fix Released
Status in krb5 source package in Zesty:
  In Progress
Status in krb5 package in Debian:
  Unknown

Bug description:
  This is fixed in artful in krb5 1.15-2

  - upstream: http://krbdev.mit.edu/rt/Ticket/Display.html?id=8530
  - debian: conflated into 
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=860767
  - debian patch in artful's krb5: 
0012-Use-pktinfo-for-explicit-UDP-wildcard-listeners.patch

  TL;DR when kinit uses udp on an aliased interface address, server
  responds with the wrong source IP

  On zesty:
  a) install krb5-kdc and krb5-admin-server
  sudo apt install krb5-kdc krb5-admin-server
  when prompted, use EXAMPLE.ORG (all caps) as the default realm
  when prompted, select your own IP for the KDC and the Admin servers

  b) configure a new realm called EXAMPLE.ORG
  sudo krb5_newrealm
  use any password of your liking when prompted

  c) run kadmin.local to create a principal "ubuntu" with password "ubuntu" and 
with mandatory PREAUTH:
  sudo kadmin.local addprinc -pw ubuntu +requires_preauth ubuntu

  d) extract the ubuntu principal keytab and time how long it takes to obtain a 
ticket:
  $ sudo kadmin.local ktadd -k /home/ubuntu/ubuntu.keytab ubuntu
  $ sudo chown ubuntu:ubuntu /home/ubuntu/ubuntu.keytab
  $ time kinit -k -t /home/ubuntu/ubuntu.keytab ubuntu
  real  0m0.022s
  $ klist
  Ticket cache: FILE:/tmp/krb5cc_1000
  Default principal: ubu...@example.org

  Valid starting   Expires  Service principal
  05/03/2017 21:22:08  05/04/2017 07:22:08  krbtgt/example@example.org
   renew until 05/04/2017 21:22:08

  e) add another IP to your network interface. For example, this adds 
10.0.5.155 to ens3 (it has 10.0.5.55/24 already in my case):
  sudo ip addr add 10.0.5.155/24 dev ens3

  f) Edit the EXAMPLE.ORG realm section in /etc/krb5.conf and configure the kdc 
and admin server's IP to this new IP you just added in step (e):
  [realms]
  EXAMPLE.ORG = {
  kdc = 10.0.5.155
  admin_server = 10.0.5.155

  g) Time again how long it takes to obtain a ticket:
  $ time kinit -k -t /home/ubuntu/ubuntu.keytab ubuntu
  real  0m2.017s

  Step (g) shows the bug.

  On a more technical level, we can see that the server responds to kinit's UDP 
request using an incorrect source IP, therefore kinit never "sees" it. It 
quickly times out and switches to TCP, where the server responds using the 
correct source IP:
  1 0.010.0.5.55 → 10.0.5.155   KRB5 216 AS-REQ
  2 0.00056668210.0.5.55 → 10.0.5.55KRB5 298 KRB Error: 
KRB5KDC_ERR_PREAUTH_REQUIRED
  (2) has the incorrect source ip!

  After roughly 1s, kinit switches to tcp and tries again:
  3 1.00323150710.0.5.55 → 10.0.5.155   TCP 76 55588 → 88 [SYN] Seq=0 
Win=43690 Len=0 MSS=65495 SACK_PERM=1 TSval=3523453804 TSecr=0 WS=128
  4 1.003269692   10.0.5.155 → 10.0.5.55TCP 76 88 → 55588 [SYN, ACK] 
Seq=0 Ack=1 Win=43690 Len=0 MSS=65495 SACK_PERM=1 TSval=2572724273 
TSecr=3523453804 WS=128
  5 1.00330261410.0.5.55 → 10.0.5.155   TCP 68 55588 → 88 [ACK] Seq=1 
Ack=1 Win=43776 Len=0 TSval=3523453804 TSecr=2572724273
  6 1.00354520410.0.5.55 → 10.0.5.155   KRB5 244 AS-REQ
  7 1.003567693   10.0.5.155 → 10.0.5.55TCP 68 88 → 55588 [ACK] Seq=1 
Ack=177 Win=44800 Len=0 TSval=2572724273 TSecr=3523453804
  8 1.003799664   10.0.5.155 → 10.0.5.55KRB5 326 KRB Error: 
KRB5KDC_ERR_PREAUTH_REQUIRED
  (continues)
  (8) and the whole tcp handshake happens with the correct IP addresses and the 
exchange happens and we get the ticket, but not before kinit repeats the 
request with PREAUTH and UDP again. That's why it takes 2 seconds in the end :)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/krb5/+bug/1688121/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1688121] Re: KDC/kadmind explicit wildcard listener addresses do not use pktinfo

2017-05-04 Thread LocutusOfBorg
** Changed in: krb5 (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to krb5 in Ubuntu.
https://bugs.launchpad.net/bugs/1688121

Title:
  KDC/kadmind explicit wildcard listener addresses do not use pktinfo

Status in krb5 package in Ubuntu:
  Fix Released
Status in krb5 source package in Zesty:
  In Progress
Status in krb5 package in Debian:
  Unknown

Bug description:
  This is fixed in artful in krb5 1.15-2

  - upstream: http://krbdev.mit.edu/rt/Ticket/Display.html?id=8530
  - debian: conflated into 
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=860767
  - debian patch in artful's krb5: 
0012-Use-pktinfo-for-explicit-UDP-wildcard-listeners.patch

  TL;DR when kinit uses udp on an aliased interface address, server
  responds with the wrong source IP

  On zesty:
  a) install krb5-kdc and krb5-admin-server
  sudo apt install krb5-kdc krb5-admin-server
  when prompted, use EXAMPLE.ORG (all caps) as the default realm
  when prompted, select your own IP for the KDC and the Admin servers

  b) configure a new realm called EXAMPLE.ORG
  sudo krb5_newrealm
  use any password of your liking when prompted

  c) run kadmin.local to create a principal "ubuntu" with password "ubuntu" and 
with mandatory PREAUTH:
  sudo kadmin.local addprinc -pw ubuntu +requires_preauth ubuntu

  d) extract the ubuntu principal keytab and time how long it takes to obtain a 
ticket:
  $ sudo kadmin.local ktadd -k /home/ubuntu/ubuntu.keytab ubuntu
  $ sudo chown ubuntu:ubuntu /home/ubuntu/ubuntu.keytab
  $ time kinit -k -t /home/ubuntu/ubuntu.keytab ubuntu
  real  0m0.022s
  $ klist
  Ticket cache: FILE:/tmp/krb5cc_1000
  Default principal: ubu...@example.org

  Valid starting   Expires  Service principal
  05/03/2017 21:22:08  05/04/2017 07:22:08  krbtgt/example@example.org
   renew until 05/04/2017 21:22:08

  e) add another IP to your network interface. For example, this adds 
10.0.5.155 to ens3 (it has 10.0.5.55/24 already in my case):
  sudo ip addr add 10.0.5.155/24 dev ens3

  f) Edit the EXAMPLE.ORG realm section in /etc/krb5.conf and configure the kdc 
and admin server's IP to this new IP you just added in step (e):
  [realms]
  EXAMPLE.ORG = {
  kdc = 10.0.5.155
  admin_server = 10.0.5.155

  g) Time again how long it takes to obtain a ticket:
  $ time kinit -k -t /home/ubuntu/ubuntu.keytab ubuntu
  real  0m2.017s

  Step (g) shows the bug.

  On a more technical level, we can see that the server responds to kinit's UDP 
request using an incorrect source IP, therefore kinit never "sees" it. It 
quickly times out and switches to TCP, where the server responds using the 
correct source IP:
  1 0.010.0.5.55 → 10.0.5.155   KRB5 216 AS-REQ
  2 0.00056668210.0.5.55 → 10.0.5.55KRB5 298 KRB Error: 
KRB5KDC_ERR_PREAUTH_REQUIRED
  (2) has the incorrect source ip!

  After roughly 1s, kinit switches to tcp and tries again:
  3 1.00323150710.0.5.55 → 10.0.5.155   TCP 76 55588 → 88 [SYN] Seq=0 
Win=43690 Len=0 MSS=65495 SACK_PERM=1 TSval=3523453804 TSecr=0 WS=128
  4 1.003269692   10.0.5.155 → 10.0.5.55TCP 76 88 → 55588 [SYN, ACK] 
Seq=0 Ack=1 Win=43690 Len=0 MSS=65495 SACK_PERM=1 TSval=2572724273 
TSecr=3523453804 WS=128
  5 1.00330261410.0.5.55 → 10.0.5.155   TCP 68 55588 → 88 [ACK] Seq=1 
Ack=1 Win=43776 Len=0 TSval=3523453804 TSecr=2572724273
  6 1.00354520410.0.5.55 → 10.0.5.155   KRB5 244 AS-REQ
  7 1.003567693   10.0.5.155 → 10.0.5.55TCP 68 88 → 55588 [ACK] Seq=1 
Ack=177 Win=44800 Len=0 TSval=2572724273 TSecr=3523453804
  8 1.003799664   10.0.5.155 → 10.0.5.55KRB5 326 KRB Error: 
KRB5KDC_ERR_PREAUTH_REQUIRED
  (continues)
  (8) and the whole tcp handshake happens with the correct IP addresses and the 
exchange happens and we get the ticket, but not before kinit repeats the 
request with PREAUTH and UDP again. That's why it takes 2 seconds in the end :)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/krb5/+bug/1688121/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1688121] Re: KDC/kadmind explicit wildcard listener addresses do not use pktinfo

2017-05-04 Thread LocutusOfBorg
** Also affects: krb5 (Ubuntu Zesty)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to krb5 in Ubuntu.
https://bugs.launchpad.net/bugs/1688121

Title:
  KDC/kadmind explicit wildcard listener addresses do not use pktinfo

Status in krb5 package in Ubuntu:
  Fix Released
Status in krb5 source package in Zesty:
  In Progress
Status in krb5 package in Debian:
  Unknown

Bug description:
  This is fixed in artful in krb5 1.15-2

  - upstream: http://krbdev.mit.edu/rt/Ticket/Display.html?id=8530
  - debian: conflated into 
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=860767
  - debian patch in artful's krb5: 
0012-Use-pktinfo-for-explicit-UDP-wildcard-listeners.patch

  TL;DR when kinit uses udp on an aliased interface address, server
  responds with the wrong source IP

  On zesty:
  a) install krb5-kdc and krb5-admin-server
  sudo apt install krb5-kdc krb5-admin-server
  when prompted, use EXAMPLE.ORG (all caps) as the default realm
  when prompted, select your own IP for the KDC and the Admin servers

  b) configure a new realm called EXAMPLE.ORG
  sudo krb5_newrealm
  use any password of your liking when prompted

  c) run kadmin.local to create a principal "ubuntu" with password "ubuntu" and 
with mandatory PREAUTH:
  sudo kadmin.local addprinc -pw ubuntu +requires_preauth ubuntu

  d) extract the ubuntu principal keytab and time how long it takes to obtain a 
ticket:
  $ sudo kadmin.local ktadd -k /home/ubuntu/ubuntu.keytab ubuntu
  $ sudo chown ubuntu:ubuntu /home/ubuntu/ubuntu.keytab
  $ time kinit -k -t /home/ubuntu/ubuntu.keytab ubuntu
  real  0m0.022s
  $ klist
  Ticket cache: FILE:/tmp/krb5cc_1000
  Default principal: ubu...@example.org

  Valid starting   Expires  Service principal
  05/03/2017 21:22:08  05/04/2017 07:22:08  krbtgt/example@example.org
   renew until 05/04/2017 21:22:08

  e) add another IP to your network interface. For example, this adds 
10.0.5.155 to ens3 (it has 10.0.5.55/24 already in my case):
  sudo ip addr add 10.0.5.155/24 dev ens3

  f) Edit the EXAMPLE.ORG realm section in /etc/krb5.conf and configure the kdc 
and admin server's IP to this new IP you just added in step (e):
  [realms]
  EXAMPLE.ORG = {
  kdc = 10.0.5.155
  admin_server = 10.0.5.155

  g) Time again how long it takes to obtain a ticket:
  $ time kinit -k -t /home/ubuntu/ubuntu.keytab ubuntu
  real  0m2.017s

  Step (g) shows the bug.

  On a more technical level, we can see that the server responds to kinit's UDP 
request using an incorrect source IP, therefore kinit never "sees" it. It 
quickly times out and switches to TCP, where the server responds using the 
correct source IP:
  1 0.010.0.5.55 → 10.0.5.155   KRB5 216 AS-REQ
  2 0.00056668210.0.5.55 → 10.0.5.55KRB5 298 KRB Error: 
KRB5KDC_ERR_PREAUTH_REQUIRED
  (2) has the incorrect source ip!

  After roughly 1s, kinit switches to tcp and tries again:
  3 1.00323150710.0.5.55 → 10.0.5.155   TCP 76 55588 → 88 [SYN] Seq=0 
Win=43690 Len=0 MSS=65495 SACK_PERM=1 TSval=3523453804 TSecr=0 WS=128
  4 1.003269692   10.0.5.155 → 10.0.5.55TCP 76 88 → 55588 [SYN, ACK] 
Seq=0 Ack=1 Win=43690 Len=0 MSS=65495 SACK_PERM=1 TSval=2572724273 
TSecr=3523453804 WS=128
  5 1.00330261410.0.5.55 → 10.0.5.155   TCP 68 55588 → 88 [ACK] Seq=1 
Ack=1 Win=43776 Len=0 TSval=3523453804 TSecr=2572724273
  6 1.00354520410.0.5.55 → 10.0.5.155   KRB5 244 AS-REQ
  7 1.003567693   10.0.5.155 → 10.0.5.55TCP 68 88 → 55588 [ACK] Seq=1 
Ack=177 Win=44800 Len=0 TSval=2572724273 TSecr=3523453804
  8 1.003799664   10.0.5.155 → 10.0.5.55KRB5 326 KRB Error: 
KRB5KDC_ERR_PREAUTH_REQUIRED
  (continues)
  (8) and the whole tcp handshake happens with the correct IP addresses and the 
exchange happens and we get the ticket, but not before kinit repeats the 
request with PREAUTH and UDP again. That's why it takes 2 seconds in the end :)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/krb5/+bug/1688121/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1640320] Re: FTBFS in zesty

2017-04-29 Thread LocutusOfBorg
this is the last blocker for boost 1.61 removal.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to location-service in
Ubuntu.
https://bugs.launchpad.net/bugs/1640320

Title:
  FTBFS in zesty

Status in location-service package in Ubuntu:
  Confirmed

Bug description:
  FTBFS in zesty during a no change rebuild against new boost

  Please see build logs at: https://launchpad.net/ubuntu/+source
  /location-service/3.0.0+16.10.20160912-0ubuntu2

  Please help fix this

  [ 10%] Building CXX object 
src/location_service/com/ubuntu/location/CMakeFiles/ubuntu-location-service-connectivity.dir/connectivity/wireless_network.cpp.o
  cd 
/<>/location-service-3.0.0+16.10.20160912/obj-x86_64-linux-gnu/src/location_service/com/ubuntu/location
 && /usr/bin/g++   -DCOM_UBUNTU_LOCATION_SERVICE_HAVE_NET_CPP=1 
-DCOM_UBUNTU_LOCATION_SERVICE_HAVE_UBUNTU_PLATFORM_HARDWARE_API 
-DCOM_UBUNTU_LOCATION_SERVICE_PROVIDERS_GEOCLUE 
-DCOM_UBUNTU_LOCATION_SERVICE_PROVIDERS_GPS 
-Dubuntu_location_service_connectivity_EXPORTS 
-I/<>/location-service-3.0.0+16.10.20160912/3rd-party 
-I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include 
-I/usr/include/json-c 
-I/<>/location-service-3.0.0+16.10.20160912/include/location_service 
-I/<>/location-service-3.0.0+16.10.20160912/src/location_service 
-I/<>/location-service-3.0.0+16.10.20160912/obj-x86_64-linux-gnu/src/location_service
 -I/usr/include/ubuntu  -g -O2 
-fdebug-prefix-map=/<>/location-service-3.0.0+16.10.20160912=. 
-fstack-protector-strong -Wformat -Werror=format-security -Wdate-time 
-D_FORTIFY_SOURCE=2  -std=c++11 -Wall -fno-strict-aliasing -pedantic -Wextra 
-fPIC -Wno-error=unused-local-typedefs -fPIC   -o 
CMakeFiles/ubuntu-location-service-connectivity.dir/connectivity/wireless_network.cpp.o
 -c 
/<>/location-service-3.0.0+16.10.20160912/src/location_service/com/ubuntu/location/connectivity/wireless_network.cpp
  In file included from 
/<>/location-service-3.0.0+16.10.20160912/src/location_service/com/ubuntu/location/providers/gps/sntp_client.h:21:0,
   from 
/<>/location-service-3.0.0+16.10.20160912/src/location_service/com/ubuntu/location/providers/gps/sntp_client.cpp:19:
  
/<>/location-service-3.0.0+16.10.20160912/src/location_service/com/ubuntu/location/providers/gps/android_hardware_abstraction_layer.h:57:14:
 error: ‘vector’ in namespace ‘std’ does not name a template type
   std::vector xtra_hosts
^~
  
/<>/location-service-3.0.0+16.10.20160912/src/location_service/com/ubuntu/location/providers/gps/android_hardware_abstraction_layer.h:59:10:
 warning: extra ‘;’ [-Wpedantic]
   };
^
  
/<>/location-service-3.0.0+16.10.20160912/src/location_service/com/ubuntu/location/providers/gps/android_hardware_abstraction_layer.h:66:18:
 error: ‘vector’ in namespace ‘std’ does not name a template type
   virtual std::vector download_xtra_data(const Configuration& 
config) = 0;
^~
  make -f po/CMakeFiles/pofiles_70.dir/build.make 
po/CMakeFiles/pofiles_70.dir/depend

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/location-service/+bug/1640320/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1608200] Re: please merge openssl from Debian

2017-03-31 Thread LocutusOfBorg
sigh, you are right, after three days spent I can't really do anything
good because the renaming of the package has been too invasive.

lets see for z+1

** Changed in: openssl (Ubuntu)
   Status: Fix Committed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssl in Ubuntu.
https://bugs.launchpad.net/bugs/1608200

Title:
  please merge openssl from Debian

Status in openssl package in Ubuntu:
  Incomplete

Bug description:
  I'm not aware of any ABI breakages, but I bumped the shlibs min
  version anyway.

  Please triple check
  + dh_makeshlibs -a -V "libssl1.0.0 (>= 1.0.2h)" 
--add-udeb="libcrypto1.0.0-udeb" -Xengines

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1608200/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1608200] Re: please merge openssl from Debian

2017-03-31 Thread LocutusOfBorg
** Changed in: openssl (Ubuntu)
 Assignee: (unassigned) => LocutusOfBorg (costamagnagianfranco)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssl in Ubuntu.
https://bugs.launchpad.net/bugs/1608200

Title:
  please merge openssl from Debian

Status in openssl package in Ubuntu:
  Fix Committed

Bug description:
  I'm not aware of any ABI breakages, but I bumped the shlibs min
  version anyway.

  Please triple check
  + dh_makeshlibs -a -V "libssl1.0.0 (>= 1.0.2h)" 
--add-udeb="libcrypto1.0.0-udeb" -Xengines

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1608200/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1608200] Re: please merge openssl from Debian

2017-03-29 Thread LocutusOfBorg
** Changed in: openssl (Ubuntu)
   Status: New => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssl in Ubuntu.
https://bugs.launchpad.net/bugs/1608200

Title:
  please merge openssl from Debian

Status in openssl package in Ubuntu:
  Fix Committed

Bug description:
  I'm not aware of any ABI breakages, but I bumped the shlibs min
  version anyway.

  Please triple check
  + dh_makeshlibs -a -V "libssl1.0.0 (>= 1.0.2h)" 
--add-udeb="libcrypto1.0.0-udeb" -Xengines

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openssl/+bug/1608200/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1640320] Re: FTBFS in zesty

2017-03-27 Thread LocutusOfBorg
ping please :)
mir has been accepted, we have only two packages left now

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to location-service in
Ubuntu.
https://bugs.launchpad.net/bugs/1640320

Title:
  FTBFS in zesty

Status in location-service package in Ubuntu:
  In Progress

Bug description:
  FTBFS in zesty during a no change rebuild against new boost

  Please see build logs at: https://launchpad.net/ubuntu/+source
  /location-service/3.0.0+16.10.20160912-0ubuntu2

  Please help fix this

  [ 10%] Building CXX object 
src/location_service/com/ubuntu/location/CMakeFiles/ubuntu-location-service-connectivity.dir/connectivity/wireless_network.cpp.o
  cd 
/<>/location-service-3.0.0+16.10.20160912/obj-x86_64-linux-gnu/src/location_service/com/ubuntu/location
 && /usr/bin/g++   -DCOM_UBUNTU_LOCATION_SERVICE_HAVE_NET_CPP=1 
-DCOM_UBUNTU_LOCATION_SERVICE_HAVE_UBUNTU_PLATFORM_HARDWARE_API 
-DCOM_UBUNTU_LOCATION_SERVICE_PROVIDERS_GEOCLUE 
-DCOM_UBUNTU_LOCATION_SERVICE_PROVIDERS_GPS 
-Dubuntu_location_service_connectivity_EXPORTS 
-I/<>/location-service-3.0.0+16.10.20160912/3rd-party 
-I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include 
-I/usr/include/json-c 
-I/<>/location-service-3.0.0+16.10.20160912/include/location_service 
-I/<>/location-service-3.0.0+16.10.20160912/src/location_service 
-I/<>/location-service-3.0.0+16.10.20160912/obj-x86_64-linux-gnu/src/location_service
 -I/usr/include/ubuntu  -g -O2 
-fdebug-prefix-map=/<>/location-service-3.0.0+16.10.20160912=. 
-fstack-protector-strong -Wformat -Werror=format-security -Wdate-time 
-D_FORTIFY_SOURCE=2  -std=c++11 -Wall -fno-strict-aliasing -pedantic -Wextra 
-fPIC -Wno-error=unused-local-typedefs -fPIC   -o 
CMakeFiles/ubuntu-location-service-connectivity.dir/connectivity/wireless_network.cpp.o
 -c 
/<>/location-service-3.0.0+16.10.20160912/src/location_service/com/ubuntu/location/connectivity/wireless_network.cpp
  In file included from 
/<>/location-service-3.0.0+16.10.20160912/src/location_service/com/ubuntu/location/providers/gps/sntp_client.h:21:0,
   from 
/<>/location-service-3.0.0+16.10.20160912/src/location_service/com/ubuntu/location/providers/gps/sntp_client.cpp:19:
  
/<>/location-service-3.0.0+16.10.20160912/src/location_service/com/ubuntu/location/providers/gps/android_hardware_abstraction_layer.h:57:14:
 error: ‘vector’ in namespace ‘std’ does not name a template type
   std::vector xtra_hosts
^~
  
/<>/location-service-3.0.0+16.10.20160912/src/location_service/com/ubuntu/location/providers/gps/android_hardware_abstraction_layer.h:59:10:
 warning: extra ‘;’ [-Wpedantic]
   };
^
  
/<>/location-service-3.0.0+16.10.20160912/src/location_service/com/ubuntu/location/providers/gps/android_hardware_abstraction_layer.h:66:18:
 error: ‘vector’ in namespace ‘std’ does not name a template type
   virtual std::vector download_xtra_data(const Configuration& 
config) = 0;
^~
  make -f po/CMakeFiles/pofiles_70.dir/build.make 
po/CMakeFiles/pofiles_70.dir/depend

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/location-service/+bug/1640320/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1675138] Re: Please transition to Boost 1.62

2017-03-25 Thread LocutusOfBorg
** Changed in: mir (Ubuntu)
   Status: Triaged => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1675138

Title:
  Please transition to Boost 1.62

Status in Mir:
  Fix Committed
Status in Mir 0.26 series:
  New
Status in mir package in Ubuntu:
  Fix Committed

Bug description:
  There is an ongoing transition to Boost 1.62 and mir is one of the last 
affected packages:
  http://people.canonical.com/~ubuntu-archive/transitions/html/boost1.62.html

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1675138/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1609546] Re: Slow DNS lookup through Netgear DG834G V4 router

2017-03-14 Thread LocutusOfBorg
@Colin, can you please reply to what upstream asked?
https://github.com/systemd/systemd/issues/3980#issuecomment-279779991

** Summary changed:

- nslookup doesn't works
+ Slow DNS lookup through Netgear DG834G V4 router

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1609546

Title:
  Slow DNS lookup through Netgear DG834G V4 router

Status in systemd package in Ubuntu:
  Triaged

Bug description:
  On up to date Yakkety if I specify my Netgear router as the DNS server (via 
Network Manager) then DNS lookup takes about 30 seconds. I see the delay when I 
run, for example,
  systemd-resolve www.google.com
  or
  wget www.google.com

  I do not see the same delay if I run
  nslookup www.google.com

  A clue may be that in syslog I see
  Aug  3 21:20:56 dibbler systemd-resolved[2362]: Using degraded feature set 
(UDP+EDNS0+DO) for DNS server 127.0.1.1.
  Aug  3 21:21:16 dibbler systemd-resolved[2362]: Using degraded feature set 
(UDP+EDNS0) for DNS server 127.0.1.1.
  Aug  3 21:21:32 dibbler systemd-resolved[2362]: Using degraded feature set 
(UDP) for DNS server 127.0.1.1.

  I do not see the issue if I specify an external DNS server.
  I do not see the issue on 16.04, nor previous versions, or on other devices 
connected to the network. I have been using this router for years.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.10
  Package: systemd 231-1
  ProcVersionSignature: Ubuntu 4.4.0-33.52-generic 4.4.15
  Uname: Linux 4.4.0-33-generic x86_64
  ApportVersion: 2.20.3-0ubuntu2
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Wed Aug  3 21:24:07 2016
  InstallationDate: Installed on 2016-08-02 (1 days ago)
  InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Alpha amd64 (20160802)
  MachineType: Hewlett-Packard Presario CQ57 Notebook PC
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-33-generic 
root=UUID=aaca48e9-0f14-4b6b-ad60-fe93989c14b8 ro quiet splash vt.handoff=7
  SourcePackage: systemd
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 12/17/2011
  dmi.bios.vendor: Hewlett-Packard
  dmi.bios.version: F.47
  dmi.board.asset.tag: Base Board Asset Tag
  dmi.board.name: 3577
  dmi.board.vendor: Hewlett-Packard
  dmi.board.version: 24.49
  dmi.chassis.asset.tag: Chassis Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: Hewlett-Packard
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnHewlett-Packard:bvrF.47:bd12/17/2011:svnHewlett-Packard:pnPresarioCQ57NotebookPC:pvr068E1220491620100:rvnHewlett-Packard:rn3577:rvr24.49:cvnHewlett-Packard:ct10:cvrChassisVersion:
  dmi.product.name: Presario CQ57 Notebook PC
  dmi.product.version: 068E1220491620100
  dmi.sys.vendor: Hewlett-Packard

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1609546/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1666059] Re: Main virtualbox window resizes itself 3 or 4 times - then no desktop start

2017-03-13 Thread LocutusOfBorg
*** This bug is a duplicate of bug 1671377 ***
https://bugs.launchpad.net/bugs/1671377

Timo, you rock!
it works with that patch, uploaded in Ubuntu


** This bug has been marked a duplicate of bug 1671377
   Crash in VirtualBox with libdrm/intel, fixed in git

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1666059

Title:
  Main virtualbox window resizes itself 3 or 4 times - then no desktop
  start

Status in mesa package in Ubuntu:
  New
Status in virtualbox package in Ubuntu:
  Confirmed
Status in xorg-server package in Ubuntu:
  New

Bug description:
  Install virtualbox from repo's.

  Install Xubuntu or Ubuntu

  Install virtulabox-guest-utils

  Reboot - virtual installation starts.

  Install virtualbox-guest-x11

  Reboot

  Virtual installation starts, see disk clean notice, window then
  resizes itself a few times - then cursor flashing but no login screen
  appears

  ProblemType: Bug
  DistroRelease: Ubuntu 17.04
  Package: virtualbox-guest-x11 5.1.14-dfsg-2
  ProcVersionSignature: Ubuntu 4.9.0-15.16-generic 4.9.5
  Uname: Linux 4.9.0-15-generic x86_64
  ApportVersion: 2.20.4-0ubuntu2
  Architecture: amd64
  Date: Sun Feb 19 20:34:16 2017
  InstallationDate: Installed on 2017-02-19 (0 days ago)
  InstallationMedia: Xubuntu 17.04 "Zesty Zapus" - Alpha amd64 (20170219)
  SourcePackage: virtualbox
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1666059/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1671377] Re: Crash in VirtualBox with libdrm/intel, fixed in git

2017-03-13 Thread LocutusOfBorg
Michael you rock! I tried hard to understand the reasons for that
failure/crash, thanks for fixing!

** Changed in: libdrm (Ubuntu)
   Status: Confirmed => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libdrm in Ubuntu.
https://bugs.launchpad.net/bugs/1671377

Title:
  Crash in VirtualBox with libdrm/intel, fixed in git

Status in libdrm package in Ubuntu:
  Fix Committed

Bug description:
  When starting a VirtualBox virtual machine using VMSVGA emulation on
  Ubuntu 17.04 I get a crash.  I tracked this down to the Intel code in
  libdrm and Chris Wilson committed the fix to git as 19c4cfc5.  I
  verified that the crash occurs with libdrm build from git before but
  not after that commit.  Could you please apply this to the Ubuntu
  package?

  ProblemType: Bug
  DistroRelease: Ubuntu 17.04
  Package: libdrm-intel1 2.4.75-1
  ProcVersionSignature: Ubuntu 4.10.0-8.10-generic 4.10.0-rc8
  Uname: Linux 4.10.0-8-generic x86_64
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.4-0ubuntu2
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  CurrentDesktop: Unity:Unity7
  Date: Thu Mar  9 09:07:59 2017
  DistUpgraded: Fresh install
  DistroCodename: zesty
  DistroVariant: ubuntu
  GraphicsCard:
   Intel Corporation 2nd Generation Core Processor Family Integrated Graphics 
Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
 Subsystem: Dell 2nd Generation Core Processor Family Integrated Graphics 
Controller [1028:0493]
  InstallationDate: Installed on 2016-05-31 (281 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
  Lsusb:
   Bus 002 Device 003: ID 0a5c:5801 Broadcom Corp. BCM5880 Secure Applications 
Processor with fingerprint swipe sensor
   Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
   Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
   Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: Dell Inc. Latitude E6420
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-8-generic 
root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
  SourcePackage: libdrm
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 11/14/2013
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A21
  dmi.board.name: 0K0DNP
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A02
  dmi.chassis.type: 9
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvrA21:bd11/14/2013:svnDellInc.:pnLatitudeE6420:pvr01:rvnDellInc.:rn0K0DNP:rvrA02:cvnDellInc.:ct9:cvr:
  dmi.product.name: Latitude E6420
  dmi.product.version: 01
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz 1:0.9.13.1+17.04.20170109-0ubuntu1
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.75-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 13.0.4-1ubuntu1
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 13.0.4-1ubuntu1
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.4-1ubuntu9
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.2-1ubuntu1
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.8.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160706-1ubuntu1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.13-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libdrm/+bug/1671377/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1671377] Re: Crash in VirtualBox with libdrm/intel, fixed in git

2017-03-13 Thread LocutusOfBorg
** Changed in: libdrm (Ubuntu)
   Importance: Undecided => Critical

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libdrm in Ubuntu.
https://bugs.launchpad.net/bugs/1671377

Title:
  Crash in VirtualBox with libdrm/intel, fixed in git

Status in libdrm package in Ubuntu:
  New

Bug description:
  When starting a VirtualBox virtual machine using VMSVGA emulation on
  Ubuntu 17.04 I get a crash.  I tracked this down to the Intel code in
  libdrm and Chris Wilson committed the fix to git as 19c4cfc5.  I
  verified that the crash occurs with libdrm build from git before but
  not after that commit.  Could you please apply this to the Ubuntu
  package?

  ProblemType: Bug
  DistroRelease: Ubuntu 17.04
  Package: libdrm-intel1 2.4.75-1
  ProcVersionSignature: Ubuntu 4.10.0-8.10-generic 4.10.0-rc8
  Uname: Linux 4.10.0-8-generic x86_64
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.4-0ubuntu2
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  CurrentDesktop: Unity:Unity7
  Date: Thu Mar  9 09:07:59 2017
  DistUpgraded: Fresh install
  DistroCodename: zesty
  DistroVariant: ubuntu
  GraphicsCard:
   Intel Corporation 2nd Generation Core Processor Family Integrated Graphics 
Controller [8086:0126] (rev 09) (prog-if 00 [VGA controller])
 Subsystem: Dell 2nd Generation Core Processor Family Integrated Graphics 
Controller [1028:0493]
  InstallationDate: Installed on 2016-05-31 (281 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
  Lsusb:
   Bus 002 Device 003: ID 0a5c:5801 Broadcom Corp. BCM5880 Secure Applications 
Processor with fingerprint swipe sensor
   Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
   Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
   Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: Dell Inc. Latitude E6420
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.10.0-8-generic 
root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
  SourcePackage: libdrm
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 11/14/2013
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A21
  dmi.board.name: 0K0DNP
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A02
  dmi.chassis.type: 9
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvrA21:bd11/14/2013:svnDellInc.:pnLatitudeE6420:pvr01:rvnDellInc.:rn0K0DNP:rvrA02:cvnDellInc.:ct9:cvr:
  dmi.product.name: Latitude E6420
  dmi.product.version: 01
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz 1:0.9.13.1+17.04.20170109-0ubuntu1
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.75-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 13.0.4-1ubuntu1
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 13.0.4-1ubuntu1
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.4-1ubuntu9
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.2-1ubuntu1
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.8.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160706-1ubuntu1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.13-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libdrm/+bug/1671377/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1666059] Re: Main virtualbox window resizes itself 3 or 4 times - then no desktop start

2017-03-11 Thread LocutusOfBorg
it is not helping... I did test with a vbox custom on my
ppa:costamagnagianfranco/locutusofborg-ppa

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1666059

Title:
  Main virtualbox window resizes itself 3 or 4 times - then no desktop
  start

Status in mesa package in Ubuntu:
  New
Status in virtualbox package in Ubuntu:
  Confirmed
Status in xorg-server package in Ubuntu:
  New

Bug description:
  Install virtualbox from repo's.

  Install Xubuntu or Ubuntu

  Install virtulabox-guest-utils

  Reboot - virtual installation starts.

  Install virtualbox-guest-x11

  Reboot

  Virtual installation starts, see disk clean notice, window then
  resizes itself a few times - then cursor flashing but no login screen
  appears

  ProblemType: Bug
  DistroRelease: Ubuntu 17.04
  Package: virtualbox-guest-x11 5.1.14-dfsg-2
  ProcVersionSignature: Ubuntu 4.9.0-15.16-generic 4.9.5
  Uname: Linux 4.9.0-15-generic x86_64
  ApportVersion: 2.20.4-0ubuntu2
  Architecture: amd64
  Date: Sun Feb 19 20:34:16 2017
  InstallationDate: Installed on 2017-02-19 (0 days ago)
  InstallationMedia: Xubuntu 17.04 "Zesty Zapus" - Alpha amd64 (20170219)
  SourcePackage: virtualbox
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1666059/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1584853] Re: [SRU] Shotwell crashes on startup / Crash in exiv2 due to assertion when setting rating on jpg with a Casio makernote

2017-03-08 Thread LocutusOfBorg
I'm not sure about the testing I performed, but I didn't experience any
crash during my test


** Tags removed: verification-needed
** Tags added: verification-done

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to exiv2 in Ubuntu.
https://bugs.launchpad.net/bugs/1584853

Title:
  [SRU] Shotwell crashes on startup / Crash in exiv2 due to assertion
  when setting rating on jpg with a Casio makernote

Status in exiv2 package in Ubuntu:
  Fix Released
Status in exiv2 source package in Xenial:
  Fix Committed
Status in exiv2 package in Debian:
  Fix Released

Bug description:
  [Impact]

   * exiv2 crash with Casio makernote
   * trivial patch

  [Test Case]

   * start shotwell with Casio makernote images

  [Regression Potential]

   * none
  [Other Info]
   
  Starting from the command line, this can be seen:

  shotwell: tiffcomposite.cpp:749: virtual Exiv2::Internal::TiffComponent* 
Exiv2::Internal::TiffMnEntry::doAddPath(uint16_t, Exiv2::Internal::TiffPath&, 
Exiv2::Internal::TiffComponent*, Exiv2::Internal::TiffComponent::AutoPtr): 
Assertion `mn_' failed.
  Aborted (core dumped)

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: shotwell 0.22.0+git20160108.r1.f2fb1f7-0ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
  Uname: Linux 4.4.0-22-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Mon May 23 08:48:32 2016
  InstallationDate: Installed on 2015-09-20 (245 days ago)
  InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
  SourcePackage: shotwell
  UpgradeStatus: Upgraded to xenial on 2016-04-21 (31 days ago)
  shotwell.log:
   L 24280 2016-05-23 08:46:56 [MSG] main.vala:385: Shotwell Photo Manager 
0.22.0
   L 24280 2016-05-23 08:46:56 [MSG] main.vala:43: Verifying database ...

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/exiv2/+bug/1584853/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1666059] Re: Main virtualbox window resizes itself 4 or 4 times - then no start

2017-03-06 Thread LocutusOfBorg
not sure if mesa has something to do here, because we are using ld to
override the ld.so.conf.d EGL and GL configuration files

** Also affects: mesa (Ubuntu)
   Importance: Undecided
   Status: New

** Also affects: xorg-server (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1666059

Title:
  Main virtualbox window resizes itself 4 or 4 times - then no start

Status in mesa package in Ubuntu:
  New
Status in virtualbox package in Ubuntu:
  Confirmed
Status in xorg-server package in Ubuntu:
  New

Bug description:
  Install virtualbox from repo's.

  Install Xubuntu or Ubuntu

  Install virtulabox-guest-utils

  Reboot - virtual installation starts.

  Install virtualbox-guest-x11

  Reboot

  Virtual installation starts, see disk clean notice, window then
  resizes itself a few times - then cursor flashing but no login screen
  appears

  ProblemType: Bug
  DistroRelease: Ubuntu 17.04
  Package: virtualbox-guest-x11 5.1.14-dfsg-2
  ProcVersionSignature: Ubuntu 4.9.0-15.16-generic 4.9.5
  Uname: Linux 4.9.0-15-generic x86_64
  ApportVersion: 2.20.4-0ubuntu2
  Architecture: amd64
  Date: Sun Feb 19 20:34:16 2017
  InstallationDate: Installed on 2017-02-19 (0 days ago)
  InstallationMedia: Xubuntu 17.04 "Zesty Zapus" - Alpha amd64 (20170219)
  SourcePackage: virtualbox
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1666059/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1666059] Re: Main virtualbox window resizes itself 4 or 4 times - then no start

2017-03-06 Thread LocutusOfBorg
putting xorg developers in the loop

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mesa in Ubuntu.
https://bugs.launchpad.net/bugs/1666059

Title:
  Main virtualbox window resizes itself 4 or 4 times - then no start

Status in mesa package in Ubuntu:
  New
Status in virtualbox package in Ubuntu:
  Confirmed
Status in xorg-server package in Ubuntu:
  New

Bug description:
  Install virtualbox from repo's.

  Install Xubuntu or Ubuntu

  Install virtulabox-guest-utils

  Reboot - virtual installation starts.

  Install virtualbox-guest-x11

  Reboot

  Virtual installation starts, see disk clean notice, window then
  resizes itself a few times - then cursor flashing but no login screen
  appears

  ProblemType: Bug
  DistroRelease: Ubuntu 17.04
  Package: virtualbox-guest-x11 5.1.14-dfsg-2
  ProcVersionSignature: Ubuntu 4.9.0-15.16-generic 4.9.5
  Uname: Linux 4.9.0-15-generic x86_64
  ApportVersion: 2.20.4-0ubuntu2
  Architecture: amd64
  Date: Sun Feb 19 20:34:16 2017
  InstallationDate: Installed on 2017-02-19 (0 days ago)
  InstallationMedia: Xubuntu 17.04 "Zesty Zapus" - Alpha amd64 (20170219)
  SourcePackage: virtualbox
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1666059/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1584853] Re: [SRU] Shotwell crashes on startup / Crash in exiv2 due to assertion when setting rating on jpg with a Casio makernote

2017-03-06 Thread LocutusOfBorg
@Ricardo can you please test it?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to exiv2 in Ubuntu.
https://bugs.launchpad.net/bugs/1584853

Title:
  [SRU] Shotwell crashes on startup / Crash in exiv2 due to assertion
  when setting rating on jpg with a Casio makernote

Status in exiv2 package in Ubuntu:
  Fix Released
Status in exiv2 source package in Xenial:
  Fix Committed
Status in exiv2 package in Debian:
  Fix Released

Bug description:
  [Impact]

   * exiv2 crash with Casio makernote
   * trivial patch

  [Test Case]

   * start shotwell with Casio makernote images

  [Regression Potential]

   * none
  [Other Info]
   
  Starting from the command line, this can be seen:

  shotwell: tiffcomposite.cpp:749: virtual Exiv2::Internal::TiffComponent* 
Exiv2::Internal::TiffMnEntry::doAddPath(uint16_t, Exiv2::Internal::TiffPath&, 
Exiv2::Internal::TiffComponent*, Exiv2::Internal::TiffComponent::AutoPtr): 
Assertion `mn_' failed.
  Aborted (core dumped)

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: shotwell 0.22.0+git20160108.r1.f2fb1f7-0ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
  Uname: Linux 4.4.0-22-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Mon May 23 08:48:32 2016
  InstallationDate: Installed on 2015-09-20 (245 days ago)
  InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
  SourcePackage: shotwell
  UpgradeStatus: Upgraded to xenial on 2016-04-21 (31 days ago)
  shotwell.log:
   L 24280 2016-05-23 08:46:56 [MSG] main.vala:385: Shotwell Photo Manager 
0.22.0
   L 24280 2016-05-23 08:46:56 [MSG] main.vala:43: Verifying database ...

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/exiv2/+bug/1584853/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1584853] Re: Shotwell crashes on startup / Crash in exiv2 due to assertion when setting rating on jpg with a Casio makernote

2017-02-28 Thread LocutusOfBorg
done, please test package on ppa:costamagnagianfranco/locutusofborg-ppa

** Changed in: exiv2 (Ubuntu)
   Status: Confirmed => Fix Released

** Also affects: exiv2 (Ubuntu Xenial)
   Importance: Undecided
   Status: New

** Changed in: exiv2 (Ubuntu Xenial)
   Status: New => Fix Committed

** Description changed:

+ [Impact]
+ 
+  * exiv2 crash with Casio makernote
+  * trivial patch
+ 
+ [Test Case]
+ 
+  * start shotwell with Casio makernote images
+ 
+ [Regression Potential]
+ 
+  * none
+ [Other Info]
+  
  Starting from the command line, this can be seen:
  
  shotwell: tiffcomposite.cpp:749: virtual Exiv2::Internal::TiffComponent* 
Exiv2::Internal::TiffMnEntry::doAddPath(uint16_t, Exiv2::Internal::TiffPath&, 
Exiv2::Internal::TiffComponent*, Exiv2::Internal::TiffComponent::AutoPtr): 
Assertion `mn_' failed.
  Aborted (core dumped)
  
  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: shotwell 0.22.0+git20160108.r1.f2fb1f7-0ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
  Uname: Linux 4.4.0-22-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Mon May 23 08:48:32 2016
  InstallationDate: Installed on 2015-09-20 (245 days ago)
  InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
  SourcePackage: shotwell
  UpgradeStatus: Upgraded to xenial on 2016-04-21 (31 days ago)
  shotwell.log:
-  L 24280 2016-05-23 08:46:56 [MSG] main.vala:385: Shotwell Photo Manager 
0.22.0
-  L 24280 2016-05-23 08:46:56 [MSG] main.vala:43: Verifying database ...
+  L 24280 2016-05-23 08:46:56 [MSG] main.vala:385: Shotwell Photo Manager 
0.22.0
+  L 24280 2016-05-23 08:46:56 [MSG] main.vala:43: Verifying database ...

** Summary changed:

- Shotwell crashes on startup / Crash in exiv2 due to assertion when setting 
rating on jpg with a Casio makernote
+ [SRU] Shotwell crashes on startup / Crash in exiv2 due to assertion when 
setting rating on jpg with a Casio makernote

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to exiv2 in Ubuntu.
https://bugs.launchpad.net/bugs/1584853

Title:
  [SRU] Shotwell crashes on startup / Crash in exiv2 due to assertion
  when setting rating on jpg with a Casio makernote

Status in exiv2 package in Ubuntu:
  Fix Released
Status in exiv2 source package in Xenial:
  Fix Committed
Status in exiv2 package in Debian:
  Fix Released

Bug description:
  [Impact]

   * exiv2 crash with Casio makernote
   * trivial patch

  [Test Case]

   * start shotwell with Casio makernote images

  [Regression Potential]

   * none
  [Other Info]
   
  Starting from the command line, this can be seen:

  shotwell: tiffcomposite.cpp:749: virtual Exiv2::Internal::TiffComponent* 
Exiv2::Internal::TiffMnEntry::doAddPath(uint16_t, Exiv2::Internal::TiffPath&, 
Exiv2::Internal::TiffComponent*, Exiv2::Internal::TiffComponent::AutoPtr): 
Assertion `mn_' failed.
  Aborted (core dumped)

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: shotwell 0.22.0+git20160108.r1.f2fb1f7-0ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
  Uname: Linux 4.4.0-22-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Mon May 23 08:48:32 2016
  InstallationDate: Installed on 2015-09-20 (245 days ago)
  InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
  SourcePackage: shotwell
  UpgradeStatus: Upgraded to xenial on 2016-04-21 (31 days ago)
  shotwell.log:
   L 24280 2016-05-23 08:46:56 [MSG] main.vala:385: Shotwell Photo Manager 
0.22.0
   L 24280 2016-05-23 08:46:56 [MSG] main.vala:43: Verifying database ...

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/exiv2/+bug/1584853/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1639478] Re: Merge with Debian 0.48.0

2017-01-05 Thread LocutusOfBorg
@jbicha, time to retry it again?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to poppler in Ubuntu.
https://bugs.launchpad.net/bugs/1639478

Title:
  Merge with Debian 0.48.0

Status in poppler package in Ubuntu:
  Fix Committed

Bug description:
  I successfully test-built poppler 0.48 on zesty. I did not test-build
  the rdepends.

  https://people.canonical.com/~ubuntu-
  archive/transitions/html/poppler.html

  I dropped the change to not build-depend on openjpeg2; the (universe)
  build-depends is fine since we do still disable openjpeg2.

  Changes since Ubuntu version 0.44.0-3ubuntu2
  ===

  https://cgit.freedesktop.org/poppler/poppler/tree/NEWS

  poppler (0.48.0-2) unstable; urgency=medium

    * Upload to unstable. (See #839869)
    * autopkgtest: build the qt5 test with -std=c++11, required with Qt5 >= 5.6.
    * Backport upstream commit 5d15a52aade68c618c356fe403ca500e74917ef7 to 
remove
  an extra '%' in an error message of pdfseparate; patch
  upstream_pdfseparate-remove-extra-in-error-message.patch. (Closes: 
#835202)

   -- Pino Toscano   Sat, 05 Nov 2016 08:29:43 +0100

  poppler (0.48.0-1) experimental; urgency=medium

    * New upstream release:
  - fixes UTF-16 decoding of document outline title (Closes: #702082)
  - fixes crashes in PDF documents (Closes: #830565)
    * Rename packages according to the new SONAMEs:
  - libpoppler61 -> libpoppler64
    * Update copyright.
    * Bump the libglib2.0-dev (build-)dependency to 2.41, as noted in the
  upstream build system.
    * Update symbols files.
    * Bump shlibs for libpoppler-cpp0v5 to >= 0.46.0, following the new APIs
  added.
    * Install the GObject introspection data in a multi-arch directory:
  - bump the libgirepository1.0-dev, and gobject-introspection to
    >= 1.42.0-2~, as providing a fixed dh_girepository
  - update gir1.2-poppler-0.18.install
  - mark gir1.2-poppler-0.18 as Multi-Arch: same

   -- Pino Toscano   Sat, 08 Oct 2016 20:14:42 +0200

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/poppler/+bug/1639478/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1443853] Re: Ubuntu 14.10 ISO live boot in Oracle VirtualBox ends up with a corrupted display

2016-12-16 Thread LocutusOfBorg
Hi Michael, I mean this change
https://anonscm.debian.org/cgit/pkg-virtualbox/virtualbox.git/commit/?id=17ee2def5d1b193f63fc378eda32d1bc9ead73cb

but you are right, I commented on the wrong bug report. silly me

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to kbd in Ubuntu.
https://bugs.launchpad.net/bugs/1443853

Title:
  Ubuntu 14.10 ISO live boot in Oracle VirtualBox ends up with a
  corrupted display

Status in Virtualbox:
  Invalid
Status in console-setup package in Ubuntu:
  Incomplete
Status in kbd package in Ubuntu:
  Incomplete
Status in virtualbox package in Ubuntu:
  Incomplete

Bug description:
  (Content copied from "Ubuntu 14.10 ISO live boot ends up with a
  corrupted display" #13615 VirtualBox bug ticket, by piotrjurkiewicz)

  Booting up live session of Ubuntu MATE 14.10 and Ubuntu Gnome 14.10 from ISO 
ends up with a corrupted screen. See the screenshot:
  https://launchpadlibrarian.net/186864347/ubu.png

  Switching back and forth to the tty7 (ctrl+alt+F1 and then alt+F7)
  fixes the display.

  I think that this might be a problem with resolution setting:

  ```
  00:00:31.226379 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM= w=1152 h=400 bpp=0 cbLine=0x0, flags=0x1
  00:00:31.226399 UIFrameBuffer::RequestResize: Screen=0, Format=0, 
BitsPerPixel=0, BytesPerLine=0, Size=1152x400, Sending to async-handler..
  00:00:31.226457 UIFrameBufferQImage::resizeEvent: Format=0, BitsPerPixel=0, 
BytesPerLine=0, Size=1152x400
  00:00:31.226467 UIFrameBufferQImage::resizeEvent: Resizing to FALLBACK buffer 
due to format is invalid..
  ```

  After switching back and forth to the tty7 (what fixes the display)
  the log says:

  ```
  00:00:31.226379 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM= w=1152 h=400 bpp=0 cbLine=0x0, flags=0x1
  00:00:31.226399 UIFrameBuffer::RequestResize: Screen=0, Format=0, 
BitsPerPixel=0, BytesPerLine=0, Size=1152x400, Sending to async-handler..
  00:00:31.226457 UIFrameBufferQImage::resizeEvent: Format=0, BitsPerPixel=0, 
BytesPerLine=0, Size=1152x400
  00:00:31.226467 UIFrameBufferQImage::resizeEvent: Resizing to FALLBACK buffer 
due to format is invalid..
  00:01:37.584616 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM= w=720 h=400 bpp=0 cbLine=0x0, flags=0x1
  00:01:37.584634 UIFrameBuffer::RequestResize: Screen=0, Format=0, 
BitsPerPixel=0, BytesPerLine=0, Size=720x400, Sending to async-handler..
  00:01:37.584680 UIFrameBufferQImage::resizeEvent: Format=0, BitsPerPixel=0, 
BytesPerLine=0, Size=720x400
  00:01:37.584692 UIFrameBufferQImage::resizeEvent: Resizing to FALLBACK buffer 
due to format is invalid..
  00:01:39.055475 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM=0a7f w=1024 h=768 bpp=32 cbLine=0x1000, flags=0x1
  00:01:39.055495 UIFrameBuffer::RequestResize: Screen=0, Format=843204434, 
BitsPerPixel=32, BytesPerLine=4096, Size=1024x768, Sending to async-handler..
  00:01:39.09 UIFrameBufferQImage::resizeEvent: Format=843204434, 
BitsPerPixel=32, BytesPerLine=4096, Size=1024x768
  00:01:39.055568 UIFrameBufferQImage::resizeEvent: Resizing to directly use 
VGA device content..
  ```

  I have tested 4.3.18 and also the testbuild 4.3.19 r96825, it happens
  on both of them.

  You can download the ISO images of these two systems here:

   https://ubuntu-mate.r.worldssl.net/download/ubuntu-mate-14.10
  -desktop-amd64.iso

   http://cdimage.ubuntu.com/ubuntu-gnome/releases/14.10/release/ubuntu-
  gnome-14.10-desktop-amd64.iso

To manage notifications about this bug go to:
https://bugs.launchpad.net/virtualbox/+bug/1443853/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1443853] Re: Ubuntu 14.10 ISO live boot in Oracle VirtualBox ends up with a corrupted display

2016-12-16 Thread LocutusOfBorg
I *think* we fixed this for the upcoming ubuntu zesty, I backported the
fix, can you please try it?

https://launchpad.net/~costamagnagianfranco/+archive/ubuntu
/costamagnagianfranco-ppa

thanks

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to kbd in Ubuntu.
https://bugs.launchpad.net/bugs/1443853

Title:
  Ubuntu 14.10 ISO live boot in Oracle VirtualBox ends up with a
  corrupted display

Status in Virtualbox:
  Invalid
Status in console-setup package in Ubuntu:
  Incomplete
Status in kbd package in Ubuntu:
  Incomplete
Status in virtualbox package in Ubuntu:
  Incomplete

Bug description:
  (Content copied from "Ubuntu 14.10 ISO live boot ends up with a
  corrupted display" #13615 VirtualBox bug ticket, by piotrjurkiewicz)

  Booting up live session of Ubuntu MATE 14.10 and Ubuntu Gnome 14.10 from ISO 
ends up with a corrupted screen. See the screenshot:
  https://launchpadlibrarian.net/186864347/ubu.png

  Switching back and forth to the tty7 (ctrl+alt+F1 and then alt+F7)
  fixes the display.

  I think that this might be a problem with resolution setting:

  ```
  00:00:31.226379 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM= w=1152 h=400 bpp=0 cbLine=0x0, flags=0x1
  00:00:31.226399 UIFrameBuffer::RequestResize: Screen=0, Format=0, 
BitsPerPixel=0, BytesPerLine=0, Size=1152x400, Sending to async-handler..
  00:00:31.226457 UIFrameBufferQImage::resizeEvent: Format=0, BitsPerPixel=0, 
BytesPerLine=0, Size=1152x400
  00:00:31.226467 UIFrameBufferQImage::resizeEvent: Resizing to FALLBACK buffer 
due to format is invalid..
  ```

  After switching back and forth to the tty7 (what fixes the display)
  the log says:

  ```
  00:00:31.226379 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM= w=1152 h=400 bpp=0 cbLine=0x0, flags=0x1
  00:00:31.226399 UIFrameBuffer::RequestResize: Screen=0, Format=0, 
BitsPerPixel=0, BytesPerLine=0, Size=1152x400, Sending to async-handler..
  00:00:31.226457 UIFrameBufferQImage::resizeEvent: Format=0, BitsPerPixel=0, 
BytesPerLine=0, Size=1152x400
  00:00:31.226467 UIFrameBufferQImage::resizeEvent: Resizing to FALLBACK buffer 
due to format is invalid..
  00:01:37.584616 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM= w=720 h=400 bpp=0 cbLine=0x0, flags=0x1
  00:01:37.584634 UIFrameBuffer::RequestResize: Screen=0, Format=0, 
BitsPerPixel=0, BytesPerLine=0, Size=720x400, Sending to async-handler..
  00:01:37.584680 UIFrameBufferQImage::resizeEvent: Format=0, BitsPerPixel=0, 
BytesPerLine=0, Size=720x400
  00:01:37.584692 UIFrameBufferQImage::resizeEvent: Resizing to FALLBACK buffer 
due to format is invalid..
  00:01:39.055475 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM=0a7f w=1024 h=768 bpp=32 cbLine=0x1000, flags=0x1
  00:01:39.055495 UIFrameBuffer::RequestResize: Screen=0, Format=843204434, 
BitsPerPixel=32, BytesPerLine=4096, Size=1024x768, Sending to async-handler..
  00:01:39.09 UIFrameBufferQImage::resizeEvent: Format=843204434, 
BitsPerPixel=32, BytesPerLine=4096, Size=1024x768
  00:01:39.055568 UIFrameBufferQImage::resizeEvent: Resizing to directly use 
VGA device content..
  ```

  I have tested 4.3.18 and also the testbuild 4.3.19 r96825, it happens
  on both of them.

  You can download the ISO images of these two systems here:

   https://ubuntu-mate.r.worldssl.net/download/ubuntu-mate-14.10
  -desktop-amd64.iso

   http://cdimage.ubuntu.com/ubuntu-gnome/releases/14.10/release/ubuntu-
  gnome-14.10-desktop-amd64.iso

To manage notifications about this bug go to:
https://bugs.launchpad.net/virtualbox/+bug/1443853/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1650319] [NEW] can't use keyboard after resume from suspend

2016-12-15 Thread LocutusOfBorg
Public bug reported:

Many times (around ~60% of them), resuming my laptop from suspend
results in a not-working keyboard.

Solution/Workaround is: close lid, let it suspend again, and try to
resume until keyboard gets working again.


Another solution is: plug an usb keyboard, and run something like "modprobe 
usbhid" or "modprobe hid", and this unblocks also the laptop keyboard.

Probably this is a bug in the kernel, but I have not enough knowledge to
understand where it is located (maybe we can add some systemd hooks in
/lib/systemd to catch such events and reload the kernel modules?)

G.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: systemd 229-4ubuntu12
ProcVersionSignature: Ubuntu 4.4.0-51.72-generic 4.4.30
Uname: Linux 4.4.0-51-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.4
Architecture: amd64
CurrentDesktop: GNOME
Date: Thu Dec 15 16:15:08 2016
InstallationDate: Installed on 2016-05-11 (217 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
MachineType: Acer Aspire V3-772G
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-51-generic 
root=UUID=96a472a8-14aa-43e2-8953-a112b2ef6b9c ro quiet splash
SourcePackage: systemd
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 10/11/2013
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: V1.13
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: VA70_HW
dmi.board.vendor: Acer
dmi.board.version: Type2 - Board Version
dmi.chassis.type: 10
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: 
dmi:bvnInsydeCorp.:bvrV1.13:bd10/11/2013:svnAcer:pnAspireV3-772G:pvrV1.13:rvnAcer:rnVA70_HW:rvrType2-BoardVersion:cvnChassisManufacturer:ct10:cvrChassisVersion:
dmi.product.name: Aspire V3-772G
dmi.product.version: V1.13
dmi.sys.vendor: Acer

** Affects: systemd (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug third-party-packages xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1650319

Title:
  can't use keyboard after resume from suspend

Status in systemd package in Ubuntu:
  New

Bug description:
  Many times (around ~60% of them), resuming my laptop from suspend
  results in a not-working keyboard.

  Solution/Workaround is: close lid, let it suspend again, and try to
  resume until keyboard gets working again.

  
  Another solution is: plug an usb keyboard, and run something like "modprobe 
usbhid" or "modprobe hid", and this unblocks also the laptop keyboard.

  Probably this is a bug in the kernel, but I have not enough knowledge
  to understand where it is located (maybe we can add some systemd hooks
  in /lib/systemd to catch such events and reload the kernel modules?)

  G.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: systemd 229-4ubuntu12
  ProcVersionSignature: Ubuntu 4.4.0-51.72-generic 4.4.30
  Uname: Linux 4.4.0-51-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2.4
  Architecture: amd64
  CurrentDesktop: GNOME
  Date: Thu Dec 15 16:15:08 2016
  InstallationDate: Installed on 2016-05-11 (217 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  MachineType: Acer Aspire V3-772G
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-51-generic 
root=UUID=96a472a8-14aa-43e2-8953-a112b2ef6b9c ro quiet splash
  SourcePackage: systemd
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 10/11/2013
  dmi.bios.vendor: Insyde Corp.
  dmi.bios.version: V1.13
  dmi.board.asset.tag: Type2 - Board Asset Tag
  dmi.board.name: VA70_HW
  dmi.board.vendor: Acer
  dmi.board.version: Type2 - Board Version
  dmi.chassis.type: 10
  dmi.chassis.vendor: Chassis Manufacturer
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnInsydeCorp.:bvrV1.13:bd10/11/2013:svnAcer:pnAspireV3-772G:pvrV1.13:rvnAcer:rnVA70_HW:rvrType2-BoardVersion:cvnChassisManufacturer:ct10:cvrChassisVersion:
  dmi.product.name: Aspire V3-772G
  dmi.product.version: V1.13
  dmi.sys.vendor: Acer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1650319/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1595485] Re: packages to remove from zesty

2016-12-09 Thread LocutusOfBorg
patat [armhf] has been removed in Debian too

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libpng in Ubuntu.
https://bugs.launchpad.net/bugs/1595485

Title:
  packages to remove from zesty

Status in bino package in Ubuntu:
  New
Status in flightgear package in Ubuntu:
  Invalid
Status in fpc package in Ubuntu:
  Fix Released
Status in fslview package in Ubuntu:
  Fix Released
Status in gnome-video-arcade package in Ubuntu:
  Fix Released
Status in insighttoolkit package in Ubuntu:
  Fix Released
Status in insighttoolkit4 package in Ubuntu:
  Invalid
Status in iva package in Ubuntu:
  Fix Released
Status in ldc package in Ubuntu:
  Invalid
Status in libpng package in Ubuntu:
  Fix Released
Status in mame package in Ubuntu:
  Fix Released
Status in patat package in Ubuntu:
  New
Status in pepperflashplugin-nonfree package in Ubuntu:
  Fix Released
Status in ppc64-diag package in Ubuntu:
  Fix Released
Status in python-pysam package in Ubuntu:
  Fix Released
Status in runit package in Ubuntu:
  Fix Released
Status in samtools package in Ubuntu:
  Fix Released
Status in simgear package in Ubuntu:
  Invalid
Status in singular package in Ubuntu:
  Fix Released
Status in stacks package in Ubuntu:
  Fix Released
Status in vcmi package in Ubuntu:
  Fix Released
Status in vmtk package in Ubuntu:
  Fix Released
Status in vtk package in Ubuntu:
  Fix Released
Status in fpc package in Debian:
  Fix Released

Bug description:
  bino [arm64]
  patat [armhf]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bino/+bug/1595485/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1595485] Re: packages to remove from zesty

2016-12-09 Thread LocutusOfBorg
bino is sad on arm64, and the reason seems qt-related, I don't think we
should wait for it to be fixed, I want to decruft the old lirc libraries

** Changed in: insighttoolkit4 (Ubuntu)
   Status: New => Invalid

** Changed in: ldc (Ubuntu)
   Status: New => Invalid

** Description changed:

- (NOTE: all of them are gone from Debian)
- 1) libpng.
- Superseded by libpng16
- 
- no reverse dependencies I can see
- 2) insighttoolkit
- Superseded by insighttoolkit4
- it doesn't build on powerpc, so we have to remove binaries here
- (sorry, but Debian maintains only amd64 and i386, and we can't maintain all 
the others including powerpc)
- 
- just removing vmtk/powerpc should allow its removal too
- 
- 3) vtk
- Superseded by vtk6
- 
- needs vmtk migration
- and fslview removal or demote to proposed.
- Debian broke it, because it is already broken, and it has little fix in time 
probability
- (probably we will remove in Debian soon)
- 
- 4) samtools
- old binaries left on armhf: libbam-dev, samtools (from 0.1.19-1ubuntu1)
- old binaries left on powerpc: libbam-dev, samtools (from 0.1.19-1ubuntu1)
- old binaries left on s390x: libbam-dev, samtools (from 0.1.19-1ubuntu1)
- 
- removed in Debian too
- 
- 5) pepperflashplugin-nonfree [i386]
- please remove on i386 (removed in Debian too)
- upstream is not supporting it, so it can't be downloaded/installed on i386 
anymore
- 
- 6) singular [armhf]
- removed in Debian too
- 
- 7) fpc [powerpc]
- powerpc sadness with glib 2.23
- https://bugs.launchpad.net/ubuntu/+source/fpc/+bug/1562480
- 
- 8) mame [ppc64el]
- sandness on that arch, removed in Debian
- 
- 9) flightgear [armhf]
- I don't care about simgear/armhf, because it is unlikely for such a game to 
run on thar architecture.
+ bino [arm64]

** Also affects: bino (Ubuntu)
   Importance: Undecided
   Status: New

** Also affects: patat (Ubuntu)
   Importance: Undecided
   Status: New

** Description changed:

  bino [arm64]
+ patat [armhf]

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libpng in Ubuntu.
https://bugs.launchpad.net/bugs/1595485

Title:
  packages to remove from zesty

Status in bino package in Ubuntu:
  New
Status in flightgear package in Ubuntu:
  Invalid
Status in fpc package in Ubuntu:
  Fix Released
Status in fslview package in Ubuntu:
  Fix Released
Status in gnome-video-arcade package in Ubuntu:
  Fix Released
Status in insighttoolkit package in Ubuntu:
  Fix Released
Status in insighttoolkit4 package in Ubuntu:
  Invalid
Status in iva package in Ubuntu:
  Fix Released
Status in ldc package in Ubuntu:
  Invalid
Status in libpng package in Ubuntu:
  Fix Released
Status in mame package in Ubuntu:
  Fix Released
Status in patat package in Ubuntu:
  New
Status in pepperflashplugin-nonfree package in Ubuntu:
  Fix Released
Status in ppc64-diag package in Ubuntu:
  Fix Released
Status in python-pysam package in Ubuntu:
  Fix Released
Status in runit package in Ubuntu:
  Fix Released
Status in samtools package in Ubuntu:
  Fix Released
Status in simgear package in Ubuntu:
  Invalid
Status in singular package in Ubuntu:
  Fix Released
Status in stacks package in Ubuntu:
  Fix Released
Status in vcmi package in Ubuntu:
  Fix Released
Status in vmtk package in Ubuntu:
  Fix Released
Status in vtk package in Ubuntu:
  Fix Released
Status in fpc package in Debian:
  Fix Released

Bug description:
  bino [arm64]
  patat [armhf]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bino/+bug/1595485/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1443853] Re: Ubuntu 14.10 ISO live boot in Oracle VirtualBox ends up with a corrupted display

2016-12-02 Thread LocutusOfBorg
I'm setting it to incomplete, because with the vboxvideo driver loaded in the 
kernel, I can't reproduce this issue anymore
(I might even not able to reproduce it because of my new laptop with different 
hw configuration)

** Changed in: kbd (Ubuntu)
   Status: Confirmed => Incomplete

** Changed in: console-setup (Ubuntu)
   Status: Confirmed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to kbd in Ubuntu.
https://bugs.launchpad.net/bugs/1443853

Title:
  Ubuntu 14.10 ISO live boot in Oracle VirtualBox ends up with a
  corrupted display

Status in Virtualbox:
  Invalid
Status in console-setup package in Ubuntu:
  Incomplete
Status in kbd package in Ubuntu:
  Incomplete
Status in virtualbox package in Ubuntu:
  Incomplete

Bug description:
  (Content copied from "Ubuntu 14.10 ISO live boot ends up with a
  corrupted display" #13615 VirtualBox bug ticket, by piotrjurkiewicz)

  Booting up live session of Ubuntu MATE 14.10 and Ubuntu Gnome 14.10 from ISO 
ends up with a corrupted screen. See the screenshot:
  https://launchpadlibrarian.net/186864347/ubu.png

  Switching back and forth to the tty7 (ctrl+alt+F1 and then alt+F7)
  fixes the display.

  I think that this might be a problem with resolution setting:

  ```
  00:00:31.226379 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM= w=1152 h=400 bpp=0 cbLine=0x0, flags=0x1
  00:00:31.226399 UIFrameBuffer::RequestResize: Screen=0, Format=0, 
BitsPerPixel=0, BytesPerLine=0, Size=1152x400, Sending to async-handler..
  00:00:31.226457 UIFrameBufferQImage::resizeEvent: Format=0, BitsPerPixel=0, 
BytesPerLine=0, Size=1152x400
  00:00:31.226467 UIFrameBufferQImage::resizeEvent: Resizing to FALLBACK buffer 
due to format is invalid..
  ```

  After switching back and forth to the tty7 (what fixes the display)
  the log says:

  ```
  00:00:31.226379 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM= w=1152 h=400 bpp=0 cbLine=0x0, flags=0x1
  00:00:31.226399 UIFrameBuffer::RequestResize: Screen=0, Format=0, 
BitsPerPixel=0, BytesPerLine=0, Size=1152x400, Sending to async-handler..
  00:00:31.226457 UIFrameBufferQImage::resizeEvent: Format=0, BitsPerPixel=0, 
BytesPerLine=0, Size=1152x400
  00:00:31.226467 UIFrameBufferQImage::resizeEvent: Resizing to FALLBACK buffer 
due to format is invalid..
  00:01:37.584616 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM= w=720 h=400 bpp=0 cbLine=0x0, flags=0x1
  00:01:37.584634 UIFrameBuffer::RequestResize: Screen=0, Format=0, 
BitsPerPixel=0, BytesPerLine=0, Size=720x400, Sending to async-handler..
  00:01:37.584680 UIFrameBufferQImage::resizeEvent: Format=0, BitsPerPixel=0, 
BytesPerLine=0, Size=720x400
  00:01:37.584692 UIFrameBufferQImage::resizeEvent: Resizing to FALLBACK buffer 
due to format is invalid..
  00:01:39.055475 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM=0a7f w=1024 h=768 bpp=32 cbLine=0x1000, flags=0x1
  00:01:39.055495 UIFrameBuffer::RequestResize: Screen=0, Format=843204434, 
BitsPerPixel=32, BytesPerLine=4096, Size=1024x768, Sending to async-handler..
  00:01:39.09 UIFrameBufferQImage::resizeEvent: Format=843204434, 
BitsPerPixel=32, BytesPerLine=4096, Size=1024x768
  00:01:39.055568 UIFrameBufferQImage::resizeEvent: Resizing to directly use 
VGA device content..
  ```

  I have tested 4.3.18 and also the testbuild 4.3.19 r96825, it happens
  on both of them.

  You can download the ISO images of these two systems here:

   https://ubuntu-mate.r.worldssl.net/download/ubuntu-mate-14.10
  -desktop-amd64.iso

   http://cdimage.ubuntu.com/ubuntu-gnome/releases/14.10/release/ubuntu-
  gnome-14.10-desktop-amd64.iso

To manage notifications about this bug go to:
https://bugs.launchpad.net/virtualbox/+bug/1443853/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1443853] Re: Ubuntu 14.10 ISO live boot in Oracle VirtualBox ends up with a corrupted display

2016-12-02 Thread LocutusOfBorg
setting the severity to critical, I really think we should fix this bug,
if we can find somebody understanding the console-setup bits

** Changed in: console-setup (Ubuntu)
   Importance: Undecided => High

** Changed in: kbd (Ubuntu)
   Importance: Undecided => High

** Changed in: virtualbox (Ubuntu)
   Importance: Undecided => High

** Changed in: console-setup (Ubuntu)
   Importance: High => Critical

** Changed in: virtualbox (Ubuntu)
   Importance: High => Critical

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to kbd in Ubuntu.
https://bugs.launchpad.net/bugs/1443853

Title:
  Ubuntu 14.10 ISO live boot in Oracle VirtualBox ends up with a
  corrupted display

Status in Virtualbox:
  Invalid
Status in console-setup package in Ubuntu:
  Confirmed
Status in kbd package in Ubuntu:
  Confirmed
Status in virtualbox package in Ubuntu:
  Incomplete

Bug description:
  (Content copied from "Ubuntu 14.10 ISO live boot ends up with a
  corrupted display" #13615 VirtualBox bug ticket, by piotrjurkiewicz)

  Booting up live session of Ubuntu MATE 14.10 and Ubuntu Gnome 14.10 from ISO 
ends up with a corrupted screen. See the screenshot:
  https://launchpadlibrarian.net/186864347/ubu.png

  Switching back and forth to the tty7 (ctrl+alt+F1 and then alt+F7)
  fixes the display.

  I think that this might be a problem with resolution setting:

  ```
  00:00:31.226379 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM= w=1152 h=400 bpp=0 cbLine=0x0, flags=0x1
  00:00:31.226399 UIFrameBuffer::RequestResize: Screen=0, Format=0, 
BitsPerPixel=0, BytesPerLine=0, Size=1152x400, Sending to async-handler..
  00:00:31.226457 UIFrameBufferQImage::resizeEvent: Format=0, BitsPerPixel=0, 
BytesPerLine=0, Size=1152x400
  00:00:31.226467 UIFrameBufferQImage::resizeEvent: Resizing to FALLBACK buffer 
due to format is invalid..
  ```

  After switching back and forth to the tty7 (what fixes the display)
  the log says:

  ```
  00:00:31.226379 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM= w=1152 h=400 bpp=0 cbLine=0x0, flags=0x1
  00:00:31.226399 UIFrameBuffer::RequestResize: Screen=0, Format=0, 
BitsPerPixel=0, BytesPerLine=0, Size=1152x400, Sending to async-handler..
  00:00:31.226457 UIFrameBufferQImage::resizeEvent: Format=0, BitsPerPixel=0, 
BytesPerLine=0, Size=1152x400
  00:00:31.226467 UIFrameBufferQImage::resizeEvent: Resizing to FALLBACK buffer 
due to format is invalid..
  00:01:37.584616 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM= w=720 h=400 bpp=0 cbLine=0x0, flags=0x1
  00:01:37.584634 UIFrameBuffer::RequestResize: Screen=0, Format=0, 
BitsPerPixel=0, BytesPerLine=0, Size=720x400, Sending to async-handler..
  00:01:37.584680 UIFrameBufferQImage::resizeEvent: Format=0, BitsPerPixel=0, 
BytesPerLine=0, Size=720x400
  00:01:37.584692 UIFrameBufferQImage::resizeEvent: Resizing to FALLBACK buffer 
due to format is invalid..
  00:01:39.055475 Display::handleDisplayResize(): uScreenId = 0, 
pvVRAM=0a7f w=1024 h=768 bpp=32 cbLine=0x1000, flags=0x1
  00:01:39.055495 UIFrameBuffer::RequestResize: Screen=0, Format=843204434, 
BitsPerPixel=32, BytesPerLine=4096, Size=1024x768, Sending to async-handler..
  00:01:39.09 UIFrameBufferQImage::resizeEvent: Format=843204434, 
BitsPerPixel=32, BytesPerLine=4096, Size=1024x768
  00:01:39.055568 UIFrameBufferQImage::resizeEvent: Resizing to directly use 
VGA device content..
  ```

  I have tested 4.3.18 and also the testbuild 4.3.19 r96825, it happens
  on both of them.

  You can download the ISO images of these two systems here:

   https://ubuntu-mate.r.worldssl.net/download/ubuntu-mate-14.10
  -desktop-amd64.iso

   http://cdimage.ubuntu.com/ubuntu-gnome/releases/14.10/release/ubuntu-
  gnome-14.10-desktop-amd64.iso

To manage notifications about this bug go to:
https://bugs.launchpad.net/virtualbox/+bug/1443853/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1619616] Re: Mir test fails with protobuf3: Protobuf-can-be-reloaded (SEGFAULT)

2016-11-24 Thread LocutusOfBorg
why this patch is not upstream? I don't see it in the google protobuf github 
repo
https://github.com/google/protobuf/blob/master/src/google/protobuf/stubs/common.cc

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1619616

Title:
  Mir test fails with protobuf3: Protobuf-can-be-reloaded (SEGFAULT)

Status in Mir:
  Invalid
Status in mir package in Ubuntu:
  Invalid
Status in protobuf package in Ubuntu:
  Fix Released

Bug description:
  builds with 3.0.0-7, then has one failing test:

  test 19
Start 19: Protobuf-can-be-reloaded

  19: Test command: 
/<>/mir-0.24.0+16.10.20160815.3/obj-powerpc64le-linux-gnu/bin/mir_test_reload_protobuf
  19: Test timeout computed to be: 9.99988e+06
  19/19 Test #19: Protobuf-can-be-reloaded 
..***Exception: SegFault 0.17 sec

  95% tests passed, 1 tests failed out of 19

  Total Test time (real) = 125.73 sec

  The following tests FAILED:
19 - Protobuf-can-be-reloaded (SEGFAULT)
  Errors while running CTest
  Makefile:85: recipe for target 'test' failed
  make[2]: *** [test] Error 8

  ~

  The reason this matters:

  The principle downstream from Mir (Unity8) loads Mir as one of a
  number of plugins, several of which use protobuf. That means that
  we're prone to being loaded, unloaded and reloaded and don't have
  control of this.

  We've encountered problems in this scenario before that have been
  traced to protobuf so we have a specific test. But other Unity8
  plugins may encounter the same issue.

  As seen in comment #25 the problem here is entirely down to a change
  in the behavior of libmirprotobuf-lite - it no longer unloads on
  dlclose().

  This is only a problem because there is code (see patch in comment
  #20) that assumes that the library will not be used after a call to
  google::protobuf::ShutdownProtobufLibrary() unless it is reloaded.

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1619616/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1642353] Re: package virtualbox-ext-pack 5.1.6-2 failed to install/upgrade: subprocess new pre-installation script returned error exit status 1

2016-11-16 Thread LocutusOfBorg
I'm trying to reassign to apt then :)

** Package changed: virtualbox-ext-pack (Ubuntu) => apt (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1642353

Title:
  package virtualbox-ext-pack 5.1.6-2 failed to install/upgrade:
  subprocess new pre-installation script returned error exit status 1

Status in apt package in Ubuntu:
  New

Bug description:
  VirtualBox and "extension pack" are working as a charm, this is not a
  but about package virtualbox-ext-pack.

  **This is a something to fix on the crash-reporter process**

  I have pressed CTRL+C or something like that when the installation of
  package virtualbox-ext-pack was displaying me the PUEL licence. And
  the crash-reporter thought I had a problem while installing this
  package. I just wanted to quit the installer (sudo apt install).

  ProblemType: Package
  DistroRelease: Ubuntu 16.10
  Package: virtualbox-ext-pack 5.1.6-2
  ProcVersionSignature: Ubuntu 4.8.0-28.30-generic 4.8.6
  Uname: Linux 4.8.0-28-generic x86_64
  ApportVersion: 2.20.3-0ubuntu8
  AptOrdering:
   virtualbox-ext-pack:amd64: Install
   NULL: ConfigurePending
  Architecture: amd64
  Date: Wed Nov 16 16:51:59 2016
  DpkgTerminalLog:
   Preparing to unpack .../virtualbox-ext-pack_5.1.6-2_all.deb ...
   User did not accept the license.
   dpkg: error processing archive 
/var/cache/apt/archives/virtualbox-ext-pack_5.1.6-2_all.deb (--unpack):
subprocess new pre-installation script returned error exit status 1
  ErrorMessage: subprocess new pre-installation script returned error exit 
status 1
  InstallationDate: Installed on 2016-09-08 (69 days ago)
  InstallationMedia: Ubuntu-GNOME 16.10 "Yakkety Yak" - Alpha amd64 (20160907)
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.18.10ubuntu1
   apt  1.3.1
  SourcePackage: virtualbox-ext-pack
  Title: package virtualbox-ext-pack 5.1.6-2 failed to install/upgrade: 
subprocess new pre-installation script returned error exit status 1
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1642353/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1349834] Re: [MIR] flask-script and libjsoncpp (b-d's for net-cpp)

2016-10-29 Thread LocutusOfBorg
** Changed in: libjsoncpp (Ubuntu)
   Status: Incomplete => Fix Released

** Changed in: flask-script (Ubuntu)
   Status: Incomplete => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libjsoncpp in Ubuntu.
https://bugs.launchpad.net/bugs/1349834

Title:
  [MIR] flask-script and libjsoncpp (b-d's for net-cpp)

Status in flask-script package in Ubuntu:
  Fix Released
Status in libjsoncpp package in Ubuntu:
  Fix Released

Bug description:
  [MIR] flask-script and libjsoncpp (b-d's for net-cpp)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/flask-script/+bug/1349834/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1637128] [NEW] please switch to clang-3.8 or newer

2016-10-27 Thread LocutusOfBorg
Public bug reported:

As said, indicator-location still uses clang-3.6 who is going to be
removed soon from the archive

please use a newer one whenever possible!

thanks

** Affects: indicator-location (Ubuntu)
 Importance: High
 Status: New

** Changed in: indicator-location (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to indicator-location in
Ubuntu.
https://bugs.launchpad.net/bugs/1637128

Title:
  please switch to clang-3.8 or newer

Status in indicator-location package in Ubuntu:
  New

Bug description:
  As said, indicator-location still uses clang-3.6 who is going to be
  removed soon from the archive

  please use a newer one whenever possible!

  thanks

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/indicator-location/+bug/1637128/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1595485] Re: packages to remove from zesty

2016-10-24 Thread LocutusOfBorg
** Summary changed:

- packages to remove from yakkety
+ packages to remove from zesty

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libpng in Ubuntu.
https://bugs.launchpad.net/bugs/1595485

Title:
  packages to remove from zesty

Status in flightgear package in Ubuntu:
  Invalid
Status in fpc package in Ubuntu:
  Fix Released
Status in fslview package in Ubuntu:
  Fix Released
Status in gnome-video-arcade package in Ubuntu:
  Fix Released
Status in insighttoolkit package in Ubuntu:
  Fix Released
Status in insighttoolkit4 package in Ubuntu:
  New
Status in iva package in Ubuntu:
  Fix Released
Status in ldc package in Ubuntu:
  New
Status in libpng package in Ubuntu:
  Fix Released
Status in mame package in Ubuntu:
  Fix Released
Status in pepperflashplugin-nonfree package in Ubuntu:
  Fix Released
Status in ppc64-diag package in Ubuntu:
  Fix Released
Status in python-pysam package in Ubuntu:
  Fix Released
Status in runit package in Ubuntu:
  Fix Released
Status in samtools package in Ubuntu:
  Fix Released
Status in simgear package in Ubuntu:
  Invalid
Status in singular package in Ubuntu:
  Fix Released
Status in stacks package in Ubuntu:
  Fix Released
Status in vcmi package in Ubuntu:
  Fix Released
Status in vmtk package in Ubuntu:
  Fix Released
Status in vtk package in Ubuntu:
  Fix Released
Status in fpc package in Debian:
  Fix Released

Bug description:
  (NOTE: all of them are gone from Debian)
  1) libpng.
  Superseded by libpng16

  no reverse dependencies I can see
  2) insighttoolkit
  Superseded by insighttoolkit4
  it doesn't build on powerpc, so we have to remove binaries here
  (sorry, but Debian maintains only amd64 and i386, and we can't maintain all 
the others including powerpc)

  just removing vmtk/powerpc should allow its removal too

  3) vtk
  Superseded by vtk6

  needs vmtk migration
  and fslview removal or demote to proposed.
  Debian broke it, because it is already broken, and it has little fix in time 
probability
  (probably we will remove in Debian soon)

  4) samtools
  old binaries left on armhf: libbam-dev, samtools (from 0.1.19-1ubuntu1)
  old binaries left on powerpc: libbam-dev, samtools (from 0.1.19-1ubuntu1)
  old binaries left on s390x: libbam-dev, samtools (from 0.1.19-1ubuntu1)

  removed in Debian too

  5) pepperflashplugin-nonfree [i386]
  please remove on i386 (removed in Debian too)
  upstream is not supporting it, so it can't be downloaded/installed on i386 
anymore

  6) singular [armhf]
  removed in Debian too

  7) fpc [powerpc]
  powerpc sadness with glib 2.23
  https://bugs.launchpad.net/ubuntu/+source/fpc/+bug/1562480

  8) mame [ppc64el]
  sandness on that arch, removed in Debian

  9) flightgear [armhf]
  I don't care about simgear/armhf, because it is unlikely for such a game to 
run on thar architecture.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/flightgear/+bug/1595485/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1595485] Re: packages to remove from yakkety

2016-09-08 Thread LocutusOfBorg
https://launchpad.net/ubuntu/+source/insighttoolkit4/4.10.0-dfsg1-3ubuntu1/+build/10712957
insightoolkit4 on ppc64el grow too much for buildd space.
Debian has no binary on ppc64el and maintaining them is difficult.
Please remove it and its reverse-dependencies, in case somebody increases the 
space, they will enter again the archive

** Also affects: insighttoolkit4 (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libpng in Ubuntu.
https://bugs.launchpad.net/bugs/1595485

Title:
  packages to remove from yakkety

Status in flightgear package in Ubuntu:
  Invalid
Status in fpc package in Ubuntu:
  Fix Released
Status in fslview package in Ubuntu:
  Fix Released
Status in gnome-video-arcade package in Ubuntu:
  Fix Released
Status in insighttoolkit package in Ubuntu:
  Fix Released
Status in insighttoolkit4 package in Ubuntu:
  New
Status in iva package in Ubuntu:
  Fix Released
Status in ldc package in Ubuntu:
  New
Status in libpng package in Ubuntu:
  Fix Released
Status in mame package in Ubuntu:
  Fix Released
Status in pepperflashplugin-nonfree package in Ubuntu:
  Fix Released
Status in ppc64-diag package in Ubuntu:
  Fix Released
Status in python-pysam package in Ubuntu:
  Fix Released
Status in runit package in Ubuntu:
  Fix Released
Status in samtools package in Ubuntu:
  Fix Released
Status in simgear package in Ubuntu:
  Invalid
Status in singular package in Ubuntu:
  Fix Released
Status in stacks package in Ubuntu:
  Fix Released
Status in vcmi package in Ubuntu:
  Fix Released
Status in vmtk package in Ubuntu:
  Fix Released
Status in vtk package in Ubuntu:
  Fix Released
Status in fpc package in Debian:
  Fix Released

Bug description:
  (NOTE: all of them are gone from Debian)
  1) libpng.
  Superseded by libpng16

  no reverse dependencies I can see
  2) insighttoolkit
  Superseded by insighttoolkit4
  it doesn't build on powerpc, so we have to remove binaries here
  (sorry, but Debian maintains only amd64 and i386, and we can't maintain all 
the others including powerpc)

  just removing vmtk/powerpc should allow its removal too

  3) vtk
  Superseded by vtk6

  needs vmtk migration
  and fslview removal or demote to proposed.
  Debian broke it, because it is already broken, and it has little fix in time 
probability
  (probably we will remove in Debian soon)

  4) samtools
  old binaries left on armhf: libbam-dev, samtools (from 0.1.19-1ubuntu1)
  old binaries left on powerpc: libbam-dev, samtools (from 0.1.19-1ubuntu1)
  old binaries left on s390x: libbam-dev, samtools (from 0.1.19-1ubuntu1)

  removed in Debian too

  5) pepperflashplugin-nonfree [i386]
  please remove on i386 (removed in Debian too)
  upstream is not supporting it, so it can't be downloaded/installed on i386 
anymore

  6) singular [armhf]
  removed in Debian too

  7) fpc [powerpc]
  powerpc sadness with glib 2.23
  https://bugs.launchpad.net/ubuntu/+source/fpc/+bug/1562480

  8) mame [ppc64el]
  sandness on that arch, removed in Debian

  9) flightgear [armhf]
  I don't care about simgear/armhf, because it is unlikely for such a game to 
run on thar architecture.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/flightgear/+bug/1595485/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1613698] Re: curl: Problem with chunked encoded data

2016-09-03 Thread LocutusOfBorg
** Tags removed: verification-needed
** Tags added: verification-done

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to curl in Ubuntu.
https://bugs.launchpad.net/bugs/1613698

Title:
  curl: Problem with chunked encoded data

Status in curl package in Ubuntu:
  Fix Released
Status in curl source package in Trusty:
  Fix Committed

Bug description:
  [Impact]
  curl in Ubuntu 14.0.4 suffers from a bug ("Problem (2) in the Chunked-Encoded 
data") introduced in curl 7.35.0 
(https://github.com/curl/curl/commit/345891edba32312686e18d8ff185f4476b74e417).

  See the corresponding thread on the curl mailing list:
  * https://curl.haxx.se/mail/lib-2014-02/0100.html
  * https://curl.haxx.se/mail/lib-2014-02/0108.html

  Googling for "Problem (2) in the Chunked-Encoded data" shows that this seems 
to be a problem for other Ubuntu users, too. For example:
  * 
https://github.com/jackalope/jackalope-jackrabbit/issues/89#issuecomment-55084492
  * 
https://www.mastizada.com/blog/chunked-encoded-data-error-in-php-curl-requests/
  * https://bugs.php.net/bug.php?id=72131

  [ test case]
  * curl -v 'http://curl.haxx.se/download/' 
  (this might work on some configurations)

  
  [ fix ]

  The issue was fixed in curl 7.36.0 with
  https://github.com/curl/curl/commit/0ab97ba0090f2609760c33000181f08757336a48

  If you apply that patch to curl in Ubuntu 14.04, I'm sure you'll make
  a lot of people happy - including me. Thanks!

  [Regression Potential] 
  * none, fix comes from upstream, and is a fix of a bad commit

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/curl/+bug/1613698/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1485622] Re: [needs-packaging] Import libzmq5-dev from Debian.

2016-09-02 Thread LocutusOfBorg
** Changed in: zeromq3 (Ubuntu)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to zeromq3 in Ubuntu.
https://bugs.launchpad.net/bugs/1485622

Title:
  [needs-packaging] Import libzmq5-dev from Debian.

Status in zeromq3 package in Ubuntu:
  Fix Released

Bug description:
  Per connection permissions are very difficult to do with ZMQ 4.0.4,
  which is the current state of the libzmq3-dev package.  The current
  stable release for ZMQ is 4.1.3, which includes the zmq_msg_gets
  function which exposes the individual authentication information.  The
  4.1 release has been packaged as libzmq5-dev in the Debian unstable
  release (https://packages.debian.org/experimental/libzmq5-dev) and it
  would be highly useful if it could be made available in Ubuntu.

  Thanks,
  Charlie West

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/zeromq3/+bug/1485622/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1595485] Re: packages to remove from yakkety

2016-08-29 Thread LocutusOfBorg
ldc [powerpc ppc64el]

** Also affects: ldc (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libpng in Ubuntu.
https://bugs.launchpad.net/bugs/1595485

Title:
  packages to remove from yakkety

Status in flightgear package in Ubuntu:
  Invalid
Status in fpc package in Ubuntu:
  Fix Released
Status in fslview package in Ubuntu:
  Fix Released
Status in gnome-video-arcade package in Ubuntu:
  Fix Released
Status in insighttoolkit package in Ubuntu:
  Fix Released
Status in iva package in Ubuntu:
  Fix Released
Status in ldc package in Ubuntu:
  New
Status in libpng package in Ubuntu:
  Fix Released
Status in mame package in Ubuntu:
  Fix Released
Status in pepperflashplugin-nonfree package in Ubuntu:
  Fix Released
Status in ppc64-diag package in Ubuntu:
  Fix Released
Status in python-pysam package in Ubuntu:
  Fix Released
Status in runit package in Ubuntu:
  Fix Released
Status in samtools package in Ubuntu:
  Fix Released
Status in simgear package in Ubuntu:
  Invalid
Status in singular package in Ubuntu:
  Fix Released
Status in stacks package in Ubuntu:
  Fix Released
Status in vcmi package in Ubuntu:
  Fix Released
Status in vmtk package in Ubuntu:
  Fix Released
Status in vtk package in Ubuntu:
  Fix Released
Status in fpc package in Debian:
  Fix Released

Bug description:
  (NOTE: all of them are gone from Debian)
  1) libpng.
  Superseded by libpng16

  no reverse dependencies I can see
  2) insighttoolkit
  Superseded by insighttoolkit4
  it doesn't build on powerpc, so we have to remove binaries here
  (sorry, but Debian maintains only amd64 and i386, and we can't maintain all 
the others including powerpc)

  just removing vmtk/powerpc should allow its removal too

  3) vtk
  Superseded by vtk6

  needs vmtk migration
  and fslview removal or demote to proposed.
  Debian broke it, because it is already broken, and it has little fix in time 
probability
  (probably we will remove in Debian soon)

  4) samtools
  old binaries left on armhf: libbam-dev, samtools (from 0.1.19-1ubuntu1)
  old binaries left on powerpc: libbam-dev, samtools (from 0.1.19-1ubuntu1)
  old binaries left on s390x: libbam-dev, samtools (from 0.1.19-1ubuntu1)

  removed in Debian too

  5) pepperflashplugin-nonfree [i386]
  please remove on i386 (removed in Debian too)
  upstream is not supporting it, so it can't be downloaded/installed on i386 
anymore

  6) singular [armhf]
  removed in Debian too

  7) fpc [powerpc]
  powerpc sadness with glib 2.23
  https://bugs.launchpad.net/ubuntu/+source/fpc/+bug/1562480

  8) mame [ppc64el]
  sandness on that arch, removed in Debian

  9) flightgear [armhf]
  I don't care about simgear/armhf, because it is unlikely for such a game to 
run on thar architecture.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/flightgear/+bug/1595485/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1613698] Re: curl: Problem with chunked encoded data

2016-08-29 Thread LocutusOfBorg
lol the above links shows my ettercap ppa as "fix" just because it has a
new curl

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to curl in Ubuntu.
https://bugs.launchpad.net/bugs/1613698

Title:
  curl: Problem with chunked encoded data

Status in curl package in Ubuntu:
  Confirmed

Bug description:
  [Impact]
  curl in Ubuntu 14.0.4 suffers from a bug ("Problem (2) in the Chunked-Encoded 
data") introduced in curl 7.35.0 
(https://github.com/curl/curl/commit/345891edba32312686e18d8ff185f4476b74e417).

  See the corresponding thread on the curl mailing list:
  * https://curl.haxx.se/mail/lib-2014-02/0100.html
  * https://curl.haxx.se/mail/lib-2014-02/0108.html

  Googling for "Problem (2) in the Chunked-Encoded data" shows that this seems 
to be a problem for other Ubuntu users, too. For example:
  * 
https://github.com/jackalope/jackalope-jackrabbit/issues/89#issuecomment-55084492
  * 
https://www.mastizada.com/blog/chunked-encoded-data-error-in-php-curl-requests/
  * https://bugs.php.net/bug.php?id=72131

  [ test case]
  * curl -v 'http://curl.haxx.se/download/' 
  (this might work on some configurations)

  
  [ fix ]

  The issue was fixed in curl 7.36.0 with
  https://github.com/curl/curl/commit/0ab97ba0090f2609760c33000181f08757336a48

  If you apply that patch to curl in Ubuntu 14.04, I'm sure you'll make
  a lot of people happy - including me. Thanks!

  [Regression Potential] 
  * none, fix comes from upstream, and is a fix of a bad commit

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/curl/+bug/1613698/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1613698] Re: curl: Problem with chunked encoded data

2016-08-29 Thread LocutusOfBorg
done thanks

** Description changed:

- curl in Ubuntu 14.0.4 suffers from a bug ("Problem (2) in the Chunked-
- Encoded data") introduced in curl 7.35.0
- 
(https://github.com/curl/curl/commit/345891edba32312686e18d8ff185f4476b74e417).
+ [Impact]
+ curl in Ubuntu 14.0.4 suffers from a bug ("Problem (2) in the Chunked-Encoded 
data") introduced in curl 7.35.0 
(https://github.com/curl/curl/commit/345891edba32312686e18d8ff185f4476b74e417).
  
  See the corresponding thread on the curl mailing list:
  * https://curl.haxx.se/mail/lib-2014-02/0100.html
  * https://curl.haxx.se/mail/lib-2014-02/0108.html
  
  Googling for "Problem (2) in the Chunked-Encoded data" shows that this seems 
to be a problem for other Ubuntu users, too. For example:
  * 
https://github.com/jackalope/jackalope-jackrabbit/issues/89#issuecomment-55084492
  * 
https://www.mastizada.com/blog/chunked-encoded-data-error-in-php-curl-requests/
  * https://bugs.php.net/bug.php?id=72131
  
- 
+ [ test case]
+ * curl -v 'http://curl.haxx.se/download/' 
+ (this might work on some configurations)
+ 
+ 
+ [ fix ]
  
  The issue was fixed in curl 7.36.0 with
  https://github.com/curl/curl/commit/0ab97ba0090f2609760c33000181f08757336a48
  
  If you apply that patch to curl in Ubuntu 14.04, I'm sure you'll make a
  lot of people happy - including me. Thanks!
  
- 
- 
- Ubuntu 14.04.4 LTS, curl-7.35.0-1ubuntu2.7
+ [Regression Potential] 
+ * none, fix comes from upstream, and is a fix of a bad commit

** Changed in: curl (Ubuntu)
   Importance: High => Medium

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to curl in Ubuntu.
https://bugs.launchpad.net/bugs/1613698

Title:
  curl: Problem with chunked encoded data

Status in curl package in Ubuntu:
  Confirmed

Bug description:
  [Impact]
  curl in Ubuntu 14.0.4 suffers from a bug ("Problem (2) in the Chunked-Encoded 
data") introduced in curl 7.35.0 
(https://github.com/curl/curl/commit/345891edba32312686e18d8ff185f4476b74e417).

  See the corresponding thread on the curl mailing list:
  * https://curl.haxx.se/mail/lib-2014-02/0100.html
  * https://curl.haxx.se/mail/lib-2014-02/0108.html

  Googling for "Problem (2) in the Chunked-Encoded data" shows that this seems 
to be a problem for other Ubuntu users, too. For example:
  * 
https://github.com/jackalope/jackalope-jackrabbit/issues/89#issuecomment-55084492
  * 
https://www.mastizada.com/blog/chunked-encoded-data-error-in-php-curl-requests/
  * https://bugs.php.net/bug.php?id=72131

  [ test case]
  * curl -v 'http://curl.haxx.se/download/' 
  (this might work on some configurations)

  
  [ fix ]

  The issue was fixed in curl 7.36.0 with
  https://github.com/curl/curl/commit/0ab97ba0090f2609760c33000181f08757336a48

  If you apply that patch to curl in Ubuntu 14.04, I'm sure you'll make
  a lot of people happy - including me. Thanks!

  [Regression Potential] 
  * none, fix comes from upstream, and is a fix of a bad commit

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/curl/+bug/1613698/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1613698] Re: curl: Problem with chunked encoded data

2016-08-29 Thread LocutusOfBorg
patches should be applied not at the bottom :) new debdiff

build ongoing ppa:costamagnagianfranco/costamagnagianfranco-ppa

** Attachment added: "debdiff-v2"
   
https://bugs.launchpad.net/ubuntu/+source/curl/+bug/1613698/+attachment/4729776/+files/debdiff-v2

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to curl in Ubuntu.
https://bugs.launchpad.net/bugs/1613698

Title:
  curl: Problem with chunked encoded data

Status in curl package in Ubuntu:
  Confirmed

Bug description:
  curl in Ubuntu 14.0.4 suffers from a bug ("Problem (2) in the Chunked-
  Encoded data") introduced in curl 7.35.0
  
(https://github.com/curl/curl/commit/345891edba32312686e18d8ff185f4476b74e417).

  See the corresponding thread on the curl mailing list:
  * https://curl.haxx.se/mail/lib-2014-02/0100.html
  * https://curl.haxx.se/mail/lib-2014-02/0108.html

  Googling for "Problem (2) in the Chunked-Encoded data" shows that this seems 
to be a problem for other Ubuntu users, too. For example:
  * 
https://github.com/jackalope/jackalope-jackrabbit/issues/89#issuecomment-55084492
  * 
https://www.mastizada.com/blog/chunked-encoded-data-error-in-php-curl-requests/
  * https://bugs.php.net/bug.php?id=72131

  

  The issue was fixed in curl 7.36.0 with
  https://github.com/curl/curl/commit/0ab97ba0090f2609760c33000181f08757336a48

  If you apply that patch to curl in Ubuntu 14.04, I'm sure you'll make
  a lot of people happy - including me. Thanks!

  

  Ubuntu 14.04.4 LTS, curl-7.35.0-1ubuntu2.7

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/curl/+bug/1613698/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1613698] Re: curl: Problem with chunked encoded data

2016-08-28 Thread LocutusOfBorg
fix for the bug, uploaded on ppa:costamagnagianfranco/locutusofborg-ppa

** Attachment added: "debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/curl/+bug/1613698/+attachment/4729543/+files/debdiff

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to curl in Ubuntu.
https://bugs.launchpad.net/bugs/1613698

Title:
  curl: Problem with chunked encoded data

Status in curl package in Ubuntu:
  Confirmed

Bug description:
  curl in Ubuntu 14.0.4 suffers from a bug ("Problem (2) in the Chunked-
  Encoded data") introduced in curl 7.35.0
  
(https://github.com/curl/curl/commit/345891edba32312686e18d8ff185f4476b74e417).

  See the corresponding thread on the curl mailing list:
  * https://curl.haxx.se/mail/lib-2014-02/0100.html
  * https://curl.haxx.se/mail/lib-2014-02/0108.html

  Googling for "Problem (2) in the Chunked-Encoded data" shows that this seems 
to be a problem for other Ubuntu users, too. For example:
  * 
https://github.com/jackalope/jackalope-jackrabbit/issues/89#issuecomment-55084492
  * 
https://www.mastizada.com/blog/chunked-encoded-data-error-in-php-curl-requests/
  * https://bugs.php.net/bug.php?id=72131

  

  The issue was fixed in curl 7.36.0 with
  https://github.com/curl/curl/commit/0ab97ba0090f2609760c33000181f08757336a48

  If you apply that patch to curl in Ubuntu 14.04, I'm sure you'll make
  a lot of people happy - including me. Thanks!

  

  Ubuntu 14.04.4 LTS, curl-7.35.0-1ubuntu2.7

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/curl/+bug/1613698/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1613698] Re: curl: Problem with chunked encoded data

2016-08-28 Thread LocutusOfBorg
** Changed in: curl (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to curl in Ubuntu.
https://bugs.launchpad.net/bugs/1613698

Title:
  curl: Problem with chunked encoded data

Status in curl package in Ubuntu:
  Confirmed

Bug description:
  curl in Ubuntu 14.0.4 suffers from a bug ("Problem (2) in the Chunked-
  Encoded data") introduced in curl 7.35.0
  
(https://github.com/curl/curl/commit/345891edba32312686e18d8ff185f4476b74e417).

  See the corresponding thread on the curl mailing list:
  * https://curl.haxx.se/mail/lib-2014-02/0100.html
  * https://curl.haxx.se/mail/lib-2014-02/0108.html

  Googling for "Problem (2) in the Chunked-Encoded data" shows that this seems 
to be a problem for other Ubuntu users, too. For example:
  * 
https://github.com/jackalope/jackalope-jackrabbit/issues/89#issuecomment-55084492
  * 
https://www.mastizada.com/blog/chunked-encoded-data-error-in-php-curl-requests/
  * https://bugs.php.net/bug.php?id=72131

  

  The issue was fixed in curl 7.36.0 with
  https://github.com/curl/curl/commit/0ab97ba0090f2609760c33000181f08757336a48

  If you apply that patch to curl in Ubuntu 14.04, I'm sure you'll make
  a lot of people happy - including me. Thanks!

  

  Ubuntu 14.04.4 LTS, curl-7.35.0-1ubuntu2.7

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/curl/+bug/1613698/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1595485] Re: packages to remove from yakkety

2016-08-26 Thread LocutusOfBorg
iva [i386]

** Also affects: iva (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: iva (Ubuntu)
   Status: New => Fix Released

** Changed in: fpc (Ubuntu)
   Status: Incomplete => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libpng in Ubuntu.
https://bugs.launchpad.net/bugs/1595485

Title:
  packages to remove from yakkety

Status in flightgear package in Ubuntu:
  Invalid
Status in fpc package in Ubuntu:
  Fix Released
Status in fslview package in Ubuntu:
  Fix Released
Status in gnome-video-arcade package in Ubuntu:
  Fix Released
Status in insighttoolkit package in Ubuntu:
  Fix Released
Status in iva package in Ubuntu:
  Fix Released
Status in libpng package in Ubuntu:
  Fix Released
Status in mame package in Ubuntu:
  Fix Released
Status in pepperflashplugin-nonfree package in Ubuntu:
  Fix Released
Status in ppc64-diag package in Ubuntu:
  Fix Released
Status in python-pysam package in Ubuntu:
  Fix Released
Status in runit package in Ubuntu:
  Fix Released
Status in samtools package in Ubuntu:
  Fix Released
Status in simgear package in Ubuntu:
  Invalid
Status in singular package in Ubuntu:
  Fix Released
Status in stacks package in Ubuntu:
  Fix Released
Status in vcmi package in Ubuntu:
  Fix Released
Status in vmtk package in Ubuntu:
  Fix Released
Status in vtk package in Ubuntu:
  Fix Released
Status in fpc package in Debian:
  Fix Released

Bug description:
  (NOTE: all of them are gone from Debian)
  1) libpng.
  Superseded by libpng16

  no reverse dependencies I can see
  2) insighttoolkit
  Superseded by insighttoolkit4
  it doesn't build on powerpc, so we have to remove binaries here
  (sorry, but Debian maintains only amd64 and i386, and we can't maintain all 
the others including powerpc)

  just removing vmtk/powerpc should allow its removal too

  3) vtk
  Superseded by vtk6

  needs vmtk migration
  and fslview removal or demote to proposed.
  Debian broke it, because it is already broken, and it has little fix in time 
probability
  (probably we will remove in Debian soon)

  4) samtools
  old binaries left on armhf: libbam-dev, samtools (from 0.1.19-1ubuntu1)
  old binaries left on powerpc: libbam-dev, samtools (from 0.1.19-1ubuntu1)
  old binaries left on s390x: libbam-dev, samtools (from 0.1.19-1ubuntu1)

  removed in Debian too

  5) pepperflashplugin-nonfree [i386]
  please remove on i386 (removed in Debian too)
  upstream is not supporting it, so it can't be downloaded/installed on i386 
anymore

  6) singular [armhf]
  removed in Debian too

  7) fpc [powerpc]
  powerpc sadness with glib 2.23
  https://bugs.launchpad.net/ubuntu/+source/fpc/+bug/1562480

  8) mame [ppc64el]
  sandness on that arch, removed in Debian

  9) flightgear [armhf]
  I don't care about simgear/armhf, because it is unlikely for such a game to 
run on thar architecture.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/flightgear/+bug/1595485/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1595485] Re: packages to remove from yakkety

2016-08-25 Thread LocutusOfBorg
** Changed in: runit (Ubuntu)
   Status: New => Fix Released

** Changed in: singular (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libpng in Ubuntu.
https://bugs.launchpad.net/bugs/1595485

Title:
  packages to remove from yakkety

Status in flightgear package in Ubuntu:
  Invalid
Status in fpc package in Ubuntu:
  Incomplete
Status in fslview package in Ubuntu:
  Fix Released
Status in gnome-video-arcade package in Ubuntu:
  Fix Released
Status in insighttoolkit package in Ubuntu:
  Fix Released
Status in libpng package in Ubuntu:
  Fix Released
Status in mame package in Ubuntu:
  Fix Released
Status in pepperflashplugin-nonfree package in Ubuntu:
  Fix Released
Status in ppc64-diag package in Ubuntu:
  Fix Released
Status in python-pysam package in Ubuntu:
  Fix Released
Status in runit package in Ubuntu:
  Fix Released
Status in samtools package in Ubuntu:
  Fix Released
Status in simgear package in Ubuntu:
  Invalid
Status in singular package in Ubuntu:
  Fix Released
Status in stacks package in Ubuntu:
  Fix Released
Status in vcmi package in Ubuntu:
  Fix Released
Status in vmtk package in Ubuntu:
  Fix Released
Status in vtk package in Ubuntu:
  Fix Released
Status in fpc package in Debian:
  Fix Released

Bug description:
  (NOTE: all of them are gone from Debian)
  1) libpng.
  Superseded by libpng16

  no reverse dependencies I can see
  2) insighttoolkit
  Superseded by insighttoolkit4
  it doesn't build on powerpc, so we have to remove binaries here
  (sorry, but Debian maintains only amd64 and i386, and we can't maintain all 
the others including powerpc)

  just removing vmtk/powerpc should allow its removal too

  3) vtk
  Superseded by vtk6

  needs vmtk migration
  and fslview removal or demote to proposed.
  Debian broke it, because it is already broken, and it has little fix in time 
probability
  (probably we will remove in Debian soon)

  4) samtools
  old binaries left on armhf: libbam-dev, samtools (from 0.1.19-1ubuntu1)
  old binaries left on powerpc: libbam-dev, samtools (from 0.1.19-1ubuntu1)
  old binaries left on s390x: libbam-dev, samtools (from 0.1.19-1ubuntu1)

  removed in Debian too

  5) pepperflashplugin-nonfree [i386]
  please remove on i386 (removed in Debian too)
  upstream is not supporting it, so it can't be downloaded/installed on i386 
anymore

  6) singular [armhf]
  removed in Debian too

  7) fpc [powerpc]
  powerpc sadness with glib 2.23
  https://bugs.launchpad.net/ubuntu/+source/fpc/+bug/1562480

  8) mame [ppc64el]
  sandness on that arch, removed in Debian

  9) flightgear [armhf]
  I don't care about simgear/armhf, because it is unlikely for such a game to 
run on thar architecture.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/flightgear/+bug/1595485/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1595485] Re: packages to remove from yakkety

2016-08-23 Thread LocutusOfBorg
** Changed in: vcmi (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libpng in Ubuntu.
https://bugs.launchpad.net/bugs/1595485

Title:
  packages to remove from yakkety

Status in flightgear package in Ubuntu:
  Invalid
Status in fpc package in Ubuntu:
  Incomplete
Status in fslview package in Ubuntu:
  Fix Released
Status in gnome-video-arcade package in Ubuntu:
  Fix Released
Status in insighttoolkit package in Ubuntu:
  Fix Released
Status in libpng package in Ubuntu:
  Fix Released
Status in mame package in Ubuntu:
  Fix Released
Status in pepperflashplugin-nonfree package in Ubuntu:
  Fix Released
Status in ppc64-diag package in Ubuntu:
  Fix Released
Status in python-pysam package in Ubuntu:
  New
Status in runit package in Ubuntu:
  New
Status in samtools package in Ubuntu:
  Fix Released
Status in simgear package in Ubuntu:
  Invalid
Status in singular package in Ubuntu:
  New
Status in stacks package in Ubuntu:
  Fix Released
Status in vcmi package in Ubuntu:
  Fix Released
Status in vmtk package in Ubuntu:
  Fix Released
Status in vtk package in Ubuntu:
  Fix Released
Status in fpc package in Debian:
  Fix Released

Bug description:
  (NOTE: all of them are gone from Debian)
  1) libpng.
  Superseded by libpng16

  no reverse dependencies I can see
  2) insighttoolkit
  Superseded by insighttoolkit4
  it doesn't build on powerpc, so we have to remove binaries here
  (sorry, but Debian maintains only amd64 and i386, and we can't maintain all 
the others including powerpc)

  just removing vmtk/powerpc should allow its removal too

  3) vtk
  Superseded by vtk6

  needs vmtk migration
  and fslview removal or demote to proposed.
  Debian broke it, because it is already broken, and it has little fix in time 
probability
  (probably we will remove in Debian soon)

  4) samtools
  old binaries left on armhf: libbam-dev, samtools (from 0.1.19-1ubuntu1)
  old binaries left on powerpc: libbam-dev, samtools (from 0.1.19-1ubuntu1)
  old binaries left on s390x: libbam-dev, samtools (from 0.1.19-1ubuntu1)

  removed in Debian too

  5) pepperflashplugin-nonfree [i386]
  please remove on i386 (removed in Debian too)
  upstream is not supporting it, so it can't be downloaded/installed on i386 
anymore

  6) singular [armhf]
  removed in Debian too

  7) fpc [powerpc]
  powerpc sadness with glib 2.23
  https://bugs.launchpad.net/ubuntu/+source/fpc/+bug/1562480

  8) mame [ppc64el]
  sandness on that arch, removed in Debian

  9) flightgear [armhf]
  I don't care about simgear/armhf, because it is unlikely for such a game to 
run on thar architecture.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/flightgear/+bug/1595485/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1595485] Re: packages to remove from yakkety

2016-08-23 Thread LocutusOfBorg
lets wait for a bootstrap instead

** Also affects: python-pysam (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: fpc (Ubuntu)
   Status: New => Incomplete

** Bug watch added: Debian Bug tracker #820170
   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820170

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libpng in Ubuntu.
https://bugs.launchpad.net/bugs/1595485

Title:
  packages to remove from yakkety

Status in flightgear package in Ubuntu:
  Invalid
Status in fpc package in Ubuntu:
  Incomplete
Status in fslview package in Ubuntu:
  Fix Released
Status in gnome-video-arcade package in Ubuntu:
  Fix Released
Status in insighttoolkit package in Ubuntu:
  Fix Released
Status in libpng package in Ubuntu:
  Fix Released
Status in mame package in Ubuntu:
  Fix Released
Status in pepperflashplugin-nonfree package in Ubuntu:
  Fix Released
Status in ppc64-diag package in Ubuntu:
  Fix Released
Status in python-pysam package in Ubuntu:
  New
Status in runit package in Ubuntu:
  New
Status in samtools package in Ubuntu:
  Fix Released
Status in simgear package in Ubuntu:
  Invalid
Status in singular package in Ubuntu:
  New
Status in stacks package in Ubuntu:
  Fix Released
Status in vmtk package in Ubuntu:
  Fix Released
Status in vtk package in Ubuntu:
  Fix Released
Status in fpc package in Debian:
  Fix Released

Bug description:
  (NOTE: all of them are gone from Debian)
  1) libpng.
  Superseded by libpng16

  no reverse dependencies I can see
  2) insighttoolkit
  Superseded by insighttoolkit4
  it doesn't build on powerpc, so we have to remove binaries here
  (sorry, but Debian maintains only amd64 and i386, and we can't maintain all 
the others including powerpc)

  just removing vmtk/powerpc should allow its removal too

  3) vtk
  Superseded by vtk6

  needs vmtk migration
  and fslview removal or demote to proposed.
  Debian broke it, because it is already broken, and it has little fix in time 
probability
  (probably we will remove in Debian soon)

  4) samtools
  old binaries left on armhf: libbam-dev, samtools (from 0.1.19-1ubuntu1)
  old binaries left on powerpc: libbam-dev, samtools (from 0.1.19-1ubuntu1)
  old binaries left on s390x: libbam-dev, samtools (from 0.1.19-1ubuntu1)

  removed in Debian too

  5) pepperflashplugin-nonfree [i386]
  please remove on i386 (removed in Debian too)
  upstream is not supporting it, so it can't be downloaded/installed on i386 
anymore

  6) singular [armhf]
  removed in Debian too

  7) fpc [powerpc]
  powerpc sadness with glib 2.23
  https://bugs.launchpad.net/ubuntu/+source/fpc/+bug/1562480

  8) mame [ppc64el]
  sandness on that arch, removed in Debian

  9) flightgear [armhf]
  I don't care about simgear/armhf, because it is unlikely for such a game to 
run on thar architecture.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/flightgear/+bug/1595485/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1595485] Re: packages to remove from yakkety

2016-08-23 Thread LocutusOfBorg
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=820170
python-pysam (i386) removal request in Debian

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libpng in Ubuntu.
https://bugs.launchpad.net/bugs/1595485

Title:
  packages to remove from yakkety

Status in flightgear package in Ubuntu:
  Invalid
Status in fpc package in Ubuntu:
  Incomplete
Status in fslview package in Ubuntu:
  Fix Released
Status in gnome-video-arcade package in Ubuntu:
  Fix Released
Status in insighttoolkit package in Ubuntu:
  Fix Released
Status in libpng package in Ubuntu:
  Fix Released
Status in mame package in Ubuntu:
  Fix Released
Status in pepperflashplugin-nonfree package in Ubuntu:
  Fix Released
Status in ppc64-diag package in Ubuntu:
  Fix Released
Status in python-pysam package in Ubuntu:
  New
Status in runit package in Ubuntu:
  New
Status in samtools package in Ubuntu:
  Fix Released
Status in simgear package in Ubuntu:
  Invalid
Status in singular package in Ubuntu:
  New
Status in stacks package in Ubuntu:
  Fix Released
Status in vmtk package in Ubuntu:
  Fix Released
Status in vtk package in Ubuntu:
  Fix Released
Status in fpc package in Debian:
  Fix Released

Bug description:
  (NOTE: all of them are gone from Debian)
  1) libpng.
  Superseded by libpng16

  no reverse dependencies I can see
  2) insighttoolkit
  Superseded by insighttoolkit4
  it doesn't build on powerpc, so we have to remove binaries here
  (sorry, but Debian maintains only amd64 and i386, and we can't maintain all 
the others including powerpc)

  just removing vmtk/powerpc should allow its removal too

  3) vtk
  Superseded by vtk6

  needs vmtk migration
  and fslview removal or demote to proposed.
  Debian broke it, because it is already broken, and it has little fix in time 
probability
  (probably we will remove in Debian soon)

  4) samtools
  old binaries left on armhf: libbam-dev, samtools (from 0.1.19-1ubuntu1)
  old binaries left on powerpc: libbam-dev, samtools (from 0.1.19-1ubuntu1)
  old binaries left on s390x: libbam-dev, samtools (from 0.1.19-1ubuntu1)

  removed in Debian too

  5) pepperflashplugin-nonfree [i386]
  please remove on i386 (removed in Debian too)
  upstream is not supporting it, so it can't be downloaded/installed on i386 
anymore

  6) singular [armhf]
  removed in Debian too

  7) fpc [powerpc]
  powerpc sadness with glib 2.23
  https://bugs.launchpad.net/ubuntu/+source/fpc/+bug/1562480

  8) mame [ppc64el]
  sandness on that arch, removed in Debian

  9) flightgear [armhf]
  I don't care about simgear/armhf, because it is unlikely for such a game to 
run on thar architecture.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/flightgear/+bug/1595485/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


  1   2   3   >